Anjuta 3.16.0 (March 22, 2015) -- Sébastien Granjoux

Changes:

Dominique Leuenberger (1)
    build: detect vala 0.28 branch

Marek Černocký (4)
    Updated Czech translation

Samir Ribic (1)
    Added Bosnian translation

Sebastian Rasmussen (1)
Josef Andersson (1)
    Updated Swedish translation

Cheng-Chia Tseng (1)
    Updated Chinese (Taiwan) translation

Necdet Yücel (1)
    Updated Turkish translation

Matej Urbančič (1)
    Updated Slovenian translation

Kjartan Maraas (1)
    Updated Norwegian bokmål translation.

Inaki Larranaga Murgoitio (1)
    Updated Basque language



Anjuta 3.15.90 (January 25, 2015) -- Sébastien Granjoux

Changes:

Sébastien Granjoux (3)
    debug-manager: bgo#743270 - Many debugging commands are broken
    symbol-db: bgo #733600 - anjuta-tags - build breakage with recent glib
    symbol-db: Provide better error message if one GDA backend is missing

Christian Kirbach (1)
    Updated German translation

Muhammet Kara (1)
    Updated Turkish translation

Duarte Loreto (1)
    Updated Portuguese translation

Tom Tryfonidis (1)
    Updated Greek translation

Claudio Arseni (1)
    Updated Italian translation



Anjuta 3.14.0 (September 21, 2014) -- Sébastien Granjoux

Changes:

Balázs Úr (1)
    Updated Hungarian translation

Piotr Drąg (1)
    Updated Polish translation

Kenneth Nielsen (1)
    Updated Danish translation

Benjamin Steinwender (1)
    Updated German translation

Мирослав Николић (1)
    Updated Serbian translation

Carles Ferrando (1)
    Updated Catalan (Valencian) translation

Gil Forcada (1)
    Update Catalan translation



Anjuta 3.13.92 (September 14, 2014) -- Sébastien Granjoux

Changes:

Kalev Lember (1)
    Support webkit2gtk-4.0

Seong-ho Cho (1)
    Updated Korean translation

Rūdolfs Mazurs (1)
    Updated Latvian translation

Claude Paroz (1)
Alexandre Franke (1)
    Updated French translation

Marek Černocký (2)
    Removed useless mark for translation
    Updated Czech translation

Chao-Hsiung Liao (1)
    Updated Traditional Chinese translation(Hong Kong and Taiwan)



Anjuta 3.13.90 (August 18, 2014) -- Sébastien Granjoux

Changes:

Sébastien Granjoux (9)
    terminal: Support vte-2.90 or vte-2.91
    project-wizard: bgo #732672 - Suggestion to use a Glade prompted handler name rather than "destroy"
    project-wizard: bgo #732614 - parameters reversed in template main.py function def destroy(window, self)
    project-wizard: bgo 732446 - Python template not loading
    bgo #731844 - AppData file does not validate
    run-program: bgo #730314 - Gnome-Terminal not support --disable-factory argument
    Add a warning if there is an error while getting package list
    bgo #730895 - anjuta installs icons in the gnome icon theme
    terminal: bgo #728295 - Crash if gnome-terminal is not installed

Debarshi Ray (3)
    terminal: Port to vte-2.91
    terminal: Fix incompatible pointer type warning
    terminal: Silence -Wunused-function

Ritesh Khadgaray (1)
    project-wizard: bgo #734719 - unified email id setting

Piotr Drąg (1)
    doap: add <programming-language>
    Improve punctuation in translatable strings

Olav Vitters (1)
    doap category apps

Abderrahim Kitouni (3)
    language-support-vala: bgo #722197 - use an empty list in case of the Vala block context is null
    language-support-vala: bgo #722197 - use an empty list in case of the Vala block context is null
    Support Vala 0.26
    
Tristian Celestin (1)
    Updated starter plugin

Lasse Liehu (1)
    Finnish translation update

MarMav (1)
Tom Tryfonidis (1)
    Updated Greek translation

Kjartan Maraas (1)
    Updated Norwegian bokmål translation.

Fran Diéguez (1)
    Updated Galician translations

Balázs Úr (1)
    Updated Hungarian translation

Andika Triwidada (1)
    Updated Indonesian translation

Benjamin Steinwender (1)
    Updated German translation

Aurimas Černius (1)
    Updated Lithuanian translation

Jiro Matsuzawa (1)
    l10n: Update Japanese translation

Yuri Myasoedov (3)
    Some fixes in Russian translation
    Updated Russian translation

Akom Chotiphantawanon (1)
    Updated Thai translation

Daniel Mustieles (4)
    Updated Spanish translation

Enrico Nicoletto (2)
Rafael Ferreira (1)
    Updated Brazilian Portuguese translation

Marek Černocký (2)
    Updated Czech translation

Matej Urbančič (1)
    Updated Slovenian translation

Carles Ferrando (1)
Pau Iranzo (1)
    [l10n] Updated Catalan (Valencian) translation



Anjuta 3.13.1 (April 28, 2014) -- Sébastien Granjoux

Changes:
Sébastien Granjoux (7):
    Load big projects without errors and without blocking the GUI
    Keep the most recent message pane on the left
    bgo #727634 - Cannot copy build output
    bgo #627091 - add tabs middle-mouse-click close action
    bgo #727637 - Autotools plugin should be able to find the correct executable when the project configuration changes
    bgo #727633 - Remove Configuration always fails when Run Several Commands at a Time preference is set
    bgo #727630 - Do not guess user's email address when creating the comment block at the top of new files

Quentin Huot-Marchand (1):
    bgo #349733 - rename feature in file manager

Michael Catanzaro (1):
    Miscellaneous improvements to the About dialog

Johannes Schmid (2):
    bgo #726607: Don't say successfully - just show the error code
    Give reasonable default size to git dock

Marek Černocký (1):
    Updated Czech translation

marablack3 (1):
    Updated Greek translation

Matej Urbančič (2):
    Updated Slovenian translation

Akom Chotiphantawanon (1):
    Updated Thai translation

Gabor Kelemen (1):
    Mark images as not translatable to keep them off translators radar



Anjuta 3.12.0 (March 25, 2014) -- Sébastien Granjoux

Changes:
Claudio Arseni (2):
  Updated Italian translation

Gábor Kelemen (1):
  Updated Hungarian translation

Andika Triwidada (1):
  Updated Indonesian translation



Anjuta 3.11.92 (March 20, 2014) -- Sébastien Granjoux

Changes:
Ask H. Larsen (1):
  Updated Danish translation

Claude Paroz (1):
  Updated French translation

Мирослав Николић (1):
  Updated Serbian translation

Seong-ho Cho (1):
  Updated Korean translatio

Paweł Żołnowski (1):
  Updated Polish translation

Fran Dieguez (2):
  Updated Galician translation

Yuri Myasoedov (1):
  Updated Russian translation

Rafael Ferreira (2):
  Updated Brazilian Portuguese translation

Daniel Mustieles (3):
  Updated Spanish translation

Chao-Hsiung Liao (2):
  Updated Traditional Chinese translation(Hong Kong and Taiwan)

Attila Hammer (2):
Balázs Úr (1):
  Updated Hungarian translation

Marek Černocký (2):
  Updated Czech translation

Aurimas Černius (2):
  Updated Lithuanian translation

Rūdolfs Mazurs (2):
  Updated Latvian translation

Wylmer Wang (2):
  Updated Chinese (China) translation

Tristian Celestin (9):
  bgo #688020 - stop using gnome-terminal's gconf profiles

Kjartan Maraas (1):
  Updated Norwegian bokmål translation

Akom Chotiphantawanon (1):
  Updated Thai translation

Sébastien Granjoux (17):
  Fix build
  bgo #725373 - make is used in libanjuta/interfaces/Makefile.am
  bgo #723451 - Choose project backend window is too small  
  bgo #722989 - Project target name concatenated with variable wasn't processed 
  bgo#723452 - Critical warnings when closing Anjuta window if multiple windows are open
  Remove unused code
  Remove a critical warnings
  bgo #723449 - Should set a reasonable default window size
  bgo #723510 - Warning after closing a program started by Run -> Execute
  bgo #723458 - Missing image icon next to recent projects
  bgo #723443 - New Window action is always disableda
  bgo #711353 - Project Wizard - Set default setting for author, email, version, and project directory

Johannes Schmid (3):
  gdb: Disable password-prompt for gdb communication
  anjuta: Don't set a minimum window size - just use the default
  libanjuta: Set reasonable default size for preferences window (bgo#723444)

Michael Catanzaro (2):
  Fix crash when launching nonexistant program
  User help: fix a typo

Piotr Drąg (1):
  Updated POTFILES.in

Dominique Leuenberger (1):
  Support Vala 0.24



Anjuta 3.11.4 (Januar 15, 2013) -- Johannes Schmid

This is an unstable release targetted for the GNOME 3.12 release.

Changes:
Akom Chotiphantawanon (1):
      Updated Thai translation.

Aurimas Černius (1):
      Updated Lithuanian translation

Benjamin Steinwender (1):
      Updated German translation

Christian Kirbach (1):
      Updated German translation

Colin Walters (2):
      tests: Remove hardcoded -ftest-coverage
      build: Don't explicitly dist INSTALL

Daniel Mustieles (1):
      Updated Spanish translation

Dimitris Spingos (1):
      Updated Greek translation

Dušan Kazik (1):
      Updated slovak translation

Florian Pelz (1):
      plugins: project-wizard: Fix bgo#720969 - GtkApplication project template uses deprecated g_type_init

Fran Diéguez (1):
      Updated Galician translations

James Liggett (2):
      git: Properly show changes for files in both the working tree and index, with tests
      Make sure appdata .in files get distributed

Johannes Schmid (2):
      project-wizard: Move python shebang to the first line of the template
      language-support-python: Don't show python warning when python warning is disabled

Marek Černocký (1):
      Updated Czech translation

Michael Catanzaro (4):
      Don't distribute generated .appdata.xml
      help: don't build incomplete anjuta-glade pages
      app menu: standardize Help/About/Quit
      Fix Debug Process dialog

Pavol Klačanský (1):
      Updated slovak translation

Rafael Ferreira (1):
      Updated Brazilian Portuguese translation

Richard Hughes (1):
      bgo 708748 - Add an AppData file

Stefan Sperling (1):
      bgo #709752 - Don't require neon library for Subversion 1.8

Sébastien Granjoux (6):
      Save the project directory as a relative path
      bgo #708248 - inconsistency in strings: libtool, whitespace use
      Avoid warning when compiling with a C++ compiler
      bgo #711722 - C-Makefile project template broken
      Fix a crash when configure.ac contains LT_INIT two times
      bgo #722005 - Project Properties dialogue Type:/Name:/Version: only shows 2 lines

Tong Hui (1):
      Update Chinese simplified translation

Wylmer Wang (1):
      Fix a mistake in Chinese simplified translation that may block compiling

Yannick Inizan (1):
      project-wizard: Add a project template for a library written in Vala

kriti (2):
      document-manager: Fix bgo#711512 - <Search Text in Editor> Added an else condition to file plugins document-manager/search-box.c which in case of unmatched text calls the ianjuta_editor_selection_set function and unselects any previously selected text.
      document-manager: Fix-Highlight if search box text not found in editor

Anjuta 3.10.0 (September 23, 2013) -- James Liggett

This is a new stable version of Anjuta and all users should update to this
version as all 3.8.x versions become unsupported at this point.

Summary of the major changes between 3.8.x and 3.10:

- Various bug fixes across many different plugins, including git, debug-manager,
  document-manager, symbol-db glade, project-wizard and libanjuta. See the 
  shortlog for complete details. 

- Several updates to the git plugin, including an integrated diff viewer in the
  status pane. The command bar and dock are also packed together and most panes
  have right-click context menus.

- The beginnings of a Windows port. This work is in its very early stages and 
  is not really usable yet.

- The document manager has a Close Others option accessible by right clicking 
  on a document tab that will close all but the selected document.

Bugs fixed:

symbol-db: bgo #704985 - link with librt on Linux
libanjuta: bgo #696984 - Update documentation comments
project-wizard: bgo #696990 - Require package libanjuta-3.0 in anjuta-plugin template
bgo #696023 - Use dist_ prefix in Makefiles
devhelp: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
glade: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
language-support-vala: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
python-loader: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
subversion: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
libanjuta: bgo #697030 - Add close button widget
document-manager: bgo #697030 - Replace close button in tabs with AnjutaCloseButton
project-wizard: bgo #688611 - Make templates Windows portable
libanjuta: bgo #699323 - Use GSettings to get user terminal
file-loader: bgo #699329 - Convert mime types to content types before comparing
libanjuta: bgo #699327 - Use G_GSIZE_FORMAT for gsize
libanjuta: bgo #699330 - Implement anjuta_util_get_real_path in Windows
libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in anjuta-utils.c
libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in resources.c
glade: bgo #698705 - Add application/x-gtk-builder to supported mime types
terminal: bgo #699316 - Add option to disable terminal plugin
file-loader: bgo #700615 - Remove markup from title of Open With dialog
sourceview: bgo #703637 - Set monospace font as default font
git: Fix bgo 699544 - Git pane prevents maximize of main window in small screens
sourceview: bgo#680770 - Don't scroll undo position to center if line already visible
sourceview: Fix bgo#701443 - When trying to change font of GtkSourceView Anjuta crashes
glade: bgo #701207 - Glade signal drop no longer works
glade: bgo #700383 - Anjuta should automatically associate .ui and source files
bgo #702576 - Use a marker comment to get macro and class name
project-manager: bgo #501230 - The 'Can not add source files' dialog is too long and his buttons and bottom side are out of the screen
project-wizard: bgo#696672 - Creating new project using wizard fails due to license files missing
project wizard: bgo #688611 - Add Windows configuration
project-wizard: bgo #698011 - Cannot run anything
bgo #696991 - Anjuta widgets do not load up properly in standalone glade
bgo #698158: anjuta-3.8.1 fails to build with vala-0.20
project-wizard: bgo #700318 - Can't build a project whose name starts by a digit
bgo #694644 - Position of Locals and Stack panes not saved
bgo #689384 - should install a highcontrast app icon
bgo #701419 - sqlite not in depencies
bgo #706630 - Incorrect MimeType in .desktop file
project-manager: bgo #707562 - Plural forms for "%d elements"
project-wizard: bgo #707943 - Auto completion code when you click in the widget tree is broken
document-manager: bgo#698036 - Close Other Tabs enhancement

Thanks to everybody who has helped this cycle and all translators.

Akom Chotiphantawanon (5):
      Updated Thai translation.
      Updated Thai translation
      Updated Thai translation.
      Updated Thai translation.
      Updated Thai translation.

Alexandre Franke (2):
      Update French translation
      Update French translation

Alexandre Rostovtsev (1):
      symbol-db: bgo #704985 - link with librt on Linux

Andika Triwidada (1):
      Updated Indonesian translation

Arnel A. Borja (38):
      libanjuta: bgo #696984 - Include Gdl-3 when introspecting Anjuta-3.0
      libanjuta: bgo #696984 - Documentation comment of section anjuta-debug should be inside after inclusion guard
      libanjuta: bgo #696984 - Remove extra empty lines in documentation comments
      libanjuta: bgo #696984 - Add missing commas in documentation comments
      libanjuta: bgo #696984 - Fix missing double asterisk in documentation comments
      libanjuta: bgo #696984 - Fix function name typos in documentation comments
      libanjuta: bgo #696984 - Fix function argument name typos in documentation comments
      libanjuta: bgo #696984 - Fix a signal name typo in documentation comments
      libanjuta: bgo #696984 - Fix allow-none annotation typo in a documentation comments
      libanjuta: bgo #696984 - Add some missing documentation comment
      libanjuta: bgo #696984 - Update some annotations in documentation comments
      libanjuta: bgo #696984 - Add missing % in constants NULL, TRUE and FALSE in documentation comments
      libanjuta: bgo #696984 - Add anjuta-tabber section stub
      libanjuta: bgo #696984 - Remove unused file anjuta-token-style.h
      libanjuta: bgo #696984 - Update libanjuta.h header
      project-wizard: bgo #696990 - Require package libanjuta-3.0 in anjuta-plugin template
      bgo #696023 - Use dist_ prefix in Makefiles
      devhelp: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      glade: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      language-support-vala: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      python-loader: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      subversion: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      libanjuta: bgo #697030 - Add close button widget
      document-manager: bgo #697030 - Replace close button in tabs with AnjutaCloseButton
      project-wizard: bgo #688611 - Make templates Windows portable
      Use dist_doc_DATA for documentation text files
      project-wizard: Use dist_doc_DATA for documentation text files
      libanjuta: bgo #699323 - Use GSettings to get user terminal
      file-loader: bgo #699329 - Convert mime types to content types before comparing
      libanjuta: bgo #699327 - Use G_GSIZE_FORMAT for gsize
      libanjuta: bgo #699330 - Implement anjuta_util_get_real_path in Windows
      libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in anjuta-utils.c
      libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in resources.c
      glade: bgo #698705 - Add application/x-gtk-builder to supported mime types
      terminal: bgo #699316 - Add option to disable terminal plugin
      file-loader: bgo #700615 - Remove markup from title of Open With dialog
      manuals: Update entries in Anjuta Reference Manual
      sourceview: bgo #703637 - Set monospace font as default font

Ask H. Larsen (1):
      Updated Danish translation

Aurimas Černius (4):
      Updated Lithuanian translation
      Updated Lithuanian translation
      Updated Lithuanian translation
      Updated Lithuanian translation

Balázs Úr (2):
      Updated Hungarian translation
      Updated Hungarian translation

Carl-Anton Ingmarsson (61):
      dir-project: check for NULL groups in dir_project_is_loaded()
      document-manager: pack notebook with width 1
      document-manager: remove margin around the document combo box
      document-manager: don't allocate AnjutaDocmanPriv ourselves
      document-manager: fix compile warning
      anjuta-tabber: implement gtk_container_get_path_for_child()
      anjuta-tabber: rework size allocation
      anjuta-tabber: remove call to gtk_widget_style_attach()
      anjuta-tabber: don't iterate list to check if node is first/last
      message-view: Use AnjutaCloseButton in tabs
      anjuta-tabber: fix calculation of region flags
      anjuta-tabber: don't iterate list to check if node is first/last
      anjuta-tabber: take focus-padding into account when rendering focus
      anjuta-tabber: Always use the padding of an active tab in y-direction size allocation
      document-manager: don't free AnjutaDocmanPriv ourselves
      anjuta-tabber: remove the total padding from total width
      anjuta-tabber: use tab_curvature for left/right space of first/last tab
      message-view: use a single box for the tab widget
      parser-cxx: fix compilation warning
      anjuta_language_provider: add proposals() function
      sourceview: remove filtering of single proposals matching pre_word
      parser-cxx: use anjuta_language_provider_proposals()
      language-support-python: use anjuta_language_provider_proposals()
      language-support-js: use anjuta_language_provider_proposals()
      language-support-js: replace one more use of ianjuta_editor_assist_proposals()
      language-support-python: replace one more use of ianjuta_editor_assist_proposals()
      symbol-db-query: change order of property installation in SymbolDBQuery
      dir-project: fix compile error
      subversion: convert builder file to gtk+-3.0
      starter: guard for NULL document manager or project manager
      anjuta-column-text-view: don't derive from deprecated GtkVBox
      anjuta-file-list: fix deprecation warnings
      anjuta-preferences-dialog: don't use deprecated GtkVBox
      anjuta-status: don't derive from deprecated GtkHBox
      anjuta-tree-combo: remove usage of gtk_widget_[push|pop]_composite_child()
      anjuta-ui: don't use deprecated gtk_widget_render_icon()
      class-gen: don't derive from deprecated GtkHBox
      run-program: let IAnjutaEnvironment override command lines
      anjuta-entry: remove usage of deprecated GtkStyle
      python: only pass python source files to anjuta-python-autocomplete
      cvs-plugin: remove unused variables
      am-project: don't use deprecated g_thread_create()
      devhelp: remove unused variable
      debug-manager: fix compile warnings
      debug-manager: show the disassemble and memory widgets
      debug-manager: don't use deprecated functions in DmaDataView
      debug-manager: make DmaDataView's buffer a property
      debug-manager: don't use deprecated functions in DmaSparseView
      build-basic-autotools: guard against NULL project_uri when build is configured
      Add libgd submodule
      sourceview: use GdRevealer for sliding in the message area
      message-view: don't manually free private structure
      snippets-manager: fix compile warnings
      sourceview: fix compile warnings
      sourceview: use GtkRevealer for sliding in the message area
      indentation-python-style: remove unused editor_settings
      language-support-python: remove unused editor_settings
      language-support-cpp-java: remove unused editor_settings
      parser-cxx: remove unused editor_settings
      Update my email
      symbol-db: Use a GtkSearchEntry for the search entry in the search view.

Chao-Hsiung Liao (3):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)
      Updated Traditional Chinese translation(Hong Kong and Taiwan)
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Cheng-Chia Tseng (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (5):
      Updated German help translation
      Updated German help translation
      Updated German help translation
      Updated German help translation
      Updated German translation

Claudio Arseni (3):
      [l10n] Updated Italian translation.
      [l10n] Updated Italian translation.
      [l10n] Added Italian translation.

Daniel Mustieles (12):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Dimitris Spingos (2):
      Updated Greek translation
      Updated Greek translation

Dirgita (1):
      Updated Indonesian translation

Dominique Leuenberger (1):
      build: add support for libvala-0.22

Enrico Nicoletto (2):
      Updated Brazilian Portuguese translation
      Updated Brazilian Portuguese translation

Fran Diéguez (9):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (4):
      Fix errors in the Hungarian translation
      Updated Hungarian translation
      Update and relicence Hungarian help translation
      Updated Hungarian translation

James Liggett (65):
      Post-release version bump
      git: Use actions for recurring items in the glade file
      git: Pack the dock and the command bar together
      git: Fix more names in the glade file
      git: Use a toggle button to show and hide the command bar
      git: More glade file name fixes
      git: Add a stash button to the Status command bar
      git: Implement branch switching by double-click
      Update doap file
      git: Fix widget names
      git: Implement adding files by dragging them onto the status view
      git: Widget name fixes
      git: Log path entry should be editable
      git: Widget name fixes
      libanjuta/manuals: Update documentation sections
      Revert "git: Log path entry should be editable"
      Update files for 3.9.1 release
      Post release version bump
      git: Widget name fixes
      git: Add context menus to the Status pane
      git: Fix signal names in diff code
      git: More signal name fixes in diff code
      Updated files for release
      Post-release version bump
      git: Add a context menu to the log pane
      git: Add a context menu to the Branches pane
      git: Add a popup menu to the Remotes pane
      git: Check box action fixes in Push and Pull panes
      git: Add a popup menu to the Stash pane
      git: Fix a warning
      Revert "Allow to build without libgd"
      Revert "sourceview: use GdRevealer for sliding in the message area"
      Revert "Add libgd submodule"
      Update MAINTAINERS
      Update files for release
      Post-release version bump
      git: Fix the Do Not Commit option in the Revert pane
      libanjuta/anjuta-entry: Don't use CSS for help text styles
      Updated POTFILES.in
      Updated files for release
      Post-release version bump
      git: Fix bgo 699544 - Git pane prevents maximize of main window in small screens
      Update files for release
      Post-release version bump
      libanjuta/anjuta-command-bar: Resect GTK button image settings
      libanjuta/anjuta-command-bar: Don't use a shadow for the scrolled window
      libanjuta/anjuta-file-list: Fix the help text color
      git: Widget name fixes
      libanjuta: Add AnjutaCellRendererDiff
      libanjuta: Update the glade catalog
      git: Show diffs of uncommitted changes in the status view
      git: Show stash diffs in the stash pane
      git: Don't show the command bar if the Tasks button isn't active
      libanjuta/anjuta-cell-renderer-diff: Detect diff headers
      git: Don't show stash numbers on diff rows
      Updated files for release
      Post-release version bump
      git: Fix removed files status display
      git: Expand the status view tree when all diff commands are finished
      Update files for release
      Post-release version bump
      git: Run diff commands after the status commands finish
      libanjuta/git: Render diffs one line at a time
      Update files for release
      Post-release version bump

Jaume Planas (1):
      [l10n] Add Catalan translation

Jiro Matsuzawa (1):
      l10n: Update Japanese translation

Johannes Schmid (6):
      Updated AUTHORS file
      sourceview: bgo#680770 - Don't scroll undo position to center if line already visible
      sourceview: Fix bgo#701443 - When trying to change font of GtkSourceView Anjuta crashes
      anjuta: Add application menu
      libanjuta: Make AnjutaCommandBar easier to use on small screens
      anjuta: Only show app-menu if supported by environment

Josep Sànchez (1):
      [l10n] Update Catalan translation

Juan Pablo Ugarte (1):
      mk-project: Prevent a crash

Kalev Lember (1):
      dir-project: Fix compiler warning

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation

Marco Diego Aurélio Mesquita (8):
      glade: bgo #701207 - Glade signal drop no longer works
      glade: bgo #700383 - Anjuta should automatically associate .ui and source files
      libanjuta: Improve symbol-db behavior on cut, paste, undo, redo and when multiple files are modified.
      symbol-db: Update symbol database on editor changes without saving
      language-support-cpp-jave: Fix memory leak
      doc: Update documentation after the last improvements in glade support
      Improve c callback body generation.
      bgo #702576 - Use a marker comment to get macro and class name

Marek Černocký (7):
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation
      Updated Czech translation

Matej Urbančič (4):
      Updated Slovenian translation
      Updated Slovenian translation
      Updated Slovenian translation
      Updated Slovenian translation

Michael Catanzaro (3):
      Use program icon on about dialog
      Fix column number on lines with tabs
      help: fix broken images

Milo Casagrande (2):
      [l10n] Updated Italian translation.
      [l10n] Updated Italian translation.

Piotr Drąg (5):
      Updated POTFILES.in
      Updated POTFILES.in
      Updated Polish translation
      Updated Polish translation
      Updated Polish translation

Quentin Huot-Marchand (1):
      project-manager: bgo #501230 - The 'Can not add source files' dialog is too long and his buttons and bottom side are out of the screen

Rafael Ferreira (2):
      Updated Brazilian Portuguese translation
      Updated Brazilian Portuguese translation

Richard Hughes (1):
      Fixed Indonesian translation

Rūdolfs Mazurs (2):
      Updated Latvian translation
      Updated Latvian translation

Seong-ho Cho (2):
      Updated Korean translation
      Updated Korean translation

Sébastien Granjoux (42):
      project-wizard: bgo#696672 - Creating new project using wizard fails due to license files missing
      project wizard: bgo #688611 - Add Windows configuration
      mk-project: Ignore conditional directives in makefile
      git: Fix setting of a custom author in the commit pane
      libanjuta: Improve editor modeline support
      project-wizard: bgo #698011 - Cannot run anything
      bgo #696991 - Anjuta widgets do not load up properly in standalone glade
      bgo #698158: anjuta-3.8.1 fails to build with vala-0.20
      project-wizard: bgo #700318 - Can't build a project whose name starts by a digit
      debug-manager: show registers pane
      bgo #694644 - Position of Locals and Stack panes not saved
      Fix a crash with some version of Gtk due to my last commit
      libanjuta: Move scoped and descoped signal on AnjutaProfile object
      libanjuta: Replace AnjutaPluginDescription by AnjutaPluginHandle in API
      libanjuta: Move anjuta_profile_manager_load_profile function in anjuta_profile
      libanjuta: Always keep plugins in the system profile
      Allow to select different profile on the command line
      libanjuta: Allow to enable only a set of plugins defined in the profile file
      Add a sample custom profile keeping only the editor
      document-manager: Automatically open an empty file if starter plugin is not used
      libanjuta: Keep dynamic allocation data in AnjutaPluginDescription
      libanjuta: Allow to change plugin description key from profile
      Allow to build without libgd
      Keep using loaded plugin even if they are marked as disabled
      Register GApplication with a different name if a profile is used
      document-manager: Make use of symbol-db plugin optional
      language-support-python: Remove critical warnings
      language-manager: Support symbols in more programming languages
      Need at least glib 2.34 for g_spawn_check_exit_status
      dir-project: Load big project faster
      dir-project: Decrease project load priority to avoid blocking GUI
      am-project: data target are not distributed by default in automake
      project-manager: Add a function in the interface to remove a file from a project
      bgo #689384 - should install a highcontrast app icon
      bgo #701419 - sqlite not in depencies
      document-manager: Fix icon size in document manager tabs
      bgo #706630 - Incorrect MimeType in .desktop file
      Remove a critical warning when closing a project
      glade: Fix a critical warning when opening a project with a .ui file opened
      document-manager: Close all documents when closing a project
      project-manager: bgo #707562 - Plural forms for "%d elements"
      project-wizard: bgo #707943 - Auto completion code when you click in the widget tree is broken

Techlive Zheng (1):
      anjuta-tags: fix scope information parsing in the Vala parser

Varad Gautam (1):
      document-manager: bgo#698036 - Close Other Tabs enhancement

Yuri Myasoedov (2):
      Updated Russian translation
      Updated Russian translation

victory (1):
      l10n: Update Japanese translation

Мирослав Николић (2):
      Updated Serbian translation
      Updated Serbian translation


Anjuta 3.9.92 (September 15, 2013) -- James Liggett

Akom Chotiphantawanon (1):
      Updated Thai translation.

Alexandre Franke (2):
      Update French translation
      Update French translation

Andika Triwidada (1):
      Updated Indonesian translation

Ask H. Larsen (1):
      Updated Danish translation

Aurimas Černius (1):
      Updated Lithuanian translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Claudio Arseni (2):
      [l10n] Updated Italian translation.
      [l10n] Updated Italian translation.

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Enrico Nicoletto (1):
      Updated Brazilian Portuguese translation

Fran Diéguez (1):
      Updated Galician translations

Gabor Kelemen (1):
      Updated Hungarian translation

James Liggett (3):
      Post-release version bump
      git: Run diff commands after the status commands finish
      libanjuta/git: Render diffs one line at a time

Marek Černocký (2):
      Updated Czech translation
      Updated Czech translation

Matej Urbančič (1):
      Updated Slovenian translation

Piotr Drąg (1):
      Updated Polish translation

Rūdolfs Mazurs (2):
      Updated Latvian translation
      Updated Latvian translation

Seong-ho Cho (2):
      Updated Korean translation
      Updated Korean translation

Sébastien Granjoux (2):
      project-manager: bgo #707562 - Plural forms for "%d elements"
      project-wizard: bgo #707943 - Auto completion code when you click in the widget tree is broken

Мирослав Николић (1):
      Updated Serbian translation


Anjuta 3.9.91 (September 2, 2013) -- James Liggett

Aurimas Černius (2):
      Updated Lithuanian translation
      Updated Lithuanian translation

Balázs Úr (1):
      Updated Hungarian translation

Christian Kirbach (1):
      Updated German help translation

Enrico Nicoletto (1):
      Updated Brazilian Portuguese translation

Fran Diéguez (2):
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (1):
      Update and relicence Hungarian help translation

James Liggett (3):
      Post-release version bump
      git: Fix removed files status display
      git: Expand the status view tree when all diff commands are finished

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Matej Urbančič (2):
      Updated Slovenian translation
      Updated Slovenian translation

Piotr Drąg (2):
      Updated Polish translation
      Updated Polish translation

Quentin Huot-Marchand (1):
      project-manager: bgo #501230 - The 'Can not add source files' dialog is too long and his buttons and bottom side are out of the screen

Rafael Ferreira (1):
      Updated Brazilian Portuguese translation

Sébastien Granjoux (4):
      bgo #706630 - Incorrect MimeType in .desktop file
      Remove a critical warning when closing a project
      glade: Fix a critical warning when opening a project with a .ui file opened
      document-manager: Close all documents when closing a project


Anjuta 3.9.90 (August 19, 2013) -- James Liggett

Akom Chotiphantawanon (1):
      Updated Thai translation.

Alexandre Rostovtsev (1):
      symbol-db: bgo #704985 - link with librt on Linux

Carl-Anton Ingmarsson (1):
      symbol-db: Use a GtkSearchEntry for the search entry in the search view.

Daniel Mustieles (1):
      Updated Spanish translation

Dominique Leuenberger (1):
      build: add support for libvala-0.22

Fran Diéguez (1):
      Updated Galician translations

Gabor Kelemen (1):
      Updated Hungarian translation

James Liggett (12):
      Post-release version bump
      libanjuta/anjuta-command-bar: Resect GTK button image settings
      libanjuta/anjuta-command-bar: Don't use a shadow for the scrolled window
      libanjuta/anjuta-file-list: Fix the help text color
      git: Widget name fixes
      libanjuta: Add AnjutaCellRendererDiff
      libanjuta: Update the glade catalog
      git: Show diffs of uncommitted changes in the status view
      git: Show stash diffs in the stash pane
      git: Don't show the command bar if the Tasks button isn't active
      libanjuta/anjuta-cell-renderer-diff: Detect diff headers
      git: Don't show stash numbers on diff rows

Marek Černocký (1):
      Updated Czech translation

Michael Catanzaro (3):
      Use program icon on about dialog
      Fix column number on lines with tabs
      help: fix broken images

Piotr Drąg (1):
      Updated POTFILES.in

Rafael Ferreira (1):
      Updated Brazilian Portuguese translation

Sébastien Granjoux (3):
      bgo #689384 - should install a highcontrast app icon
      bgo #701419 - sqlite not in depencies
      document-manager: Fix icon size in document manager tabs


Anjuta 3.9.5 (July 29, 2013) -- James Liggett

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (1):
      Updated Spanish translation

James Liggett (2):
      Post-release version bump
      git: Fix bgo 699544 - Git pane prevents maximize of main window in small screens

Johannes Schmid (2):
      libanjuta: Make AnjutaCommandBar easier to use on small screens
      anjuta: Only show app-menu if supported by environment

Marek Černocký (1):
      Updated Czech translation

Anjuta 3.9.4 (July 8, 2013) -- James Liggett

Akom Chotiphantawanon (1):
      Updated Thai translation

Arnel A. Borja (2):
      manuals: Update entries in Anjuta Reference Manual
      sourceview: bgo #703637 - Set monospace font as default font

Aurimas Černius (1):
      Updated Lithuanian translation

Carl-Anton Ingmarsson (5):
      indentation-python-style: remove unused editor_settings
      language-support-python: remove unused editor_settings
      language-support-cpp-java: remove unused editor_settings
      parser-cxx: remove unused editor_settings
      Update my email

Christian Kirbach (1):
      Updated German help translation

James Liggett (3):
      Post-release version bump
      git: Fix the Do Not Commit option in the Revert pane
      libanjuta/anjuta-entry: Don't use CSS for help text styles

Johannes Schmid (1):
      anjuta: Add application menu

Marco Diego Aurélio Mesquita (1):
      bgo #702576 - Use a marker comment to get macro and class name

Sébastien Granjoux (10):
      Keep using loaded plugin even if they are marked as disabled
      Register GApplication with a different name if a profile is used
      document-manager: Make use of symbol-db plugin optional
      language-support-python: Remove critical warnings
      language-manager: Support symbols in more programming languages
      Need at least glib 2.34 for g_spawn_check_exit_status
      dir-project: Load big project faster
      dir-project: Decrease project load priority to avoid blocking GUI
      am-project: data target are not distributed by default in automake
      project-manager: Add a function in the interface to remove a file from a project


Anjuta 3.9.3 (June 17, 2013) -- James Liggett

Akom Chotiphantawanon (1):
      Updated Thai translation.

Carl-Anton Ingmarsson (5):
      Add libgd submodule
      sourceview: use GdRevealer for sliding in the message area
      message-view: don't manually free private structure
      snippets-manager: fix compile warnings
      sourceview: fix compile warnings

Cheng-Chia Tseng (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (1):
      Updated German help translation

Daniel Mustieles (4):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Fran Diéguez (4):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

James Liggett (11):
      Post-release version bump
      git: Add a context menu to the log pane
      git: Add a context menu to the Branches pane
      git: Add a popup menu to the Remotes pane
      git: Check box action fixes in Push and Pull panes
      git: Add a popup menu to the Stash pane
      git: Fix a warning
      Revert "Allow to build without libgd"
      Revert "sourceview: use GdRevealer for sliding in the message area"
      Revert "Add libgd submodule"
      Update MAINTAINERS

Jiro Matsuzawa (1):
      l10n: Update Japanese translation

Johannes Schmid (1):
      sourceview: Fix bgo#701443 - When trying to change font of GtkSourceView Anjuta crashes

Marco Diego Aurélio Mesquita (6):
      glade: bgo #701207 - Glade signal drop no longer works
      glade: bgo #700383 - Anjuta should automatically associate .ui and source files
      libanjuta: Improve symbol-db behavior on cut, paste, undo, redo and when multiple files are modified.
      symbol-db: Update symbol database on editor changes without saving
      language-support-cpp-jave: Fix memory leak
      doc: Update documentation after the last improvements in glade support

Marek Černocký (2):
      Updated Czech translation
      Updated Czech translation

Piotr Drąg (1):
      Updated POTFILES.in

Sébastien Granjoux (12):
      Fix a crash with some version of Gtk due to my last commit
      libanjuta: Move scoped and descoped signal on AnjutaProfile object
      libanjuta: Replace AnjutaPluginDescription by AnjutaPluginHandle in API
      libanjuta: Move anjuta_profile_manager_load_profile function in anjuta_profile
      libanjuta: Always keep plugins in the system profile
      Allow to select different profile on the command line
      libanjuta: Allow to enable only a set of plugins defined in the profile file
      Add a sample custom profile keeping only the editor
      document-manager: Automatically open an empty file if starter plugin is not used
      libanjuta: Keep dynamic allocation data in AnjutaPluginDescription
      libanjuta: Allow to change plugin description key from profile
      Allow to build without libgd


Anjuta 3.9.2 (May 27, 2013) -- James Liggett

Arnel A. Borja (9):
      libanjuta: bgo #699323 - Use GSettings to get user terminal
      file-loader: bgo #699329 - Convert mime types to content types before comparing
      libanjuta: bgo #699327 - Use G_GSIZE_FORMAT for gsize
      libanjuta: bgo #699330 - Implement anjuta_util_get_real_path in Windows
      libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in anjuta-utils.c
      libanjuta: bgo #699326 - Replace fork and execlp with g_spawn_async in resources.c
      glade: bgo #698705 - Add application/x-gtk-builder to supported mime types
      terminal: bgo #699316 - Add option to disable terminal plugin
      file-loader: bgo #700615 - Remove markup from title of Open With dialog

Carl-Anton Ingmarsson (21):
      subversion: convert builder file to gtk+-3.0
      starter: guard for NULL document manager or project manager
      anjuta-column-text-view: don't derive from deprecated GtkVBox
      anjuta-file-list: fix deprecation warnings
      anjuta-preferences-dialog: don't use deprecated GtkVBox
      anjuta-status: don't derive from deprecated GtkHBox
      anjuta-tree-combo: remove usage of gtk_widget_[push|pop]_composite_child()
      anjuta-ui: don't use deprecated gtk_widget_render_icon()
      class-gen: don't derive from deprecated GtkHBox
      run-program: let IAnjutaEnvironment override command lines
      anjuta-entry: remove usage of deprecated GtkStyle
      python: only pass python source files to anjuta-python-autocomplete
      cvs-plugin: remove unused variables
      am-project: don't use deprecated g_thread_create()
      devhelp: remove unused variable
      debug-manager: fix compile warnings
      debug-manager: show the disassemble and memory widgets
      debug-manager: don't use deprecated functions in DmaDataView
      debug-manager: make DmaDataView's buffer a property
      debug-manager: don't use deprecated functions in DmaSparseView
      build-basic-autotools: guard against NULL project_uri when build is configured

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Fran Diéguez (1):
      Updated Galician translations

James Liggett (5):
      Post release version bump
      git: Widget name fixes
      git: Add context menus to the Status pane
      git: Fix signal names in diff code
      git: More signal name fixes in diff code

Kalev Lember (1):
      dir-project: Fix compiler warning

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Matej Urbančič (1):
      Updated Slovenian translation

Sébastien Granjoux (5):
      bgo #696991 - Anjuta widgets do not load up properly in standalone glade
      bgo #698158: anjuta-3.8.1 fails to build with vala-0.20
      project-wizard: bgo #700318 - Can't build a project whose name starts by a digit
      debug-manager: show registers pane
      bgo #694644 - Position of Locals and Stack panes not saved

Techlive Zheng (1):
      anjuta-tags: fix scope information parsing in the Vala parser

Varad Gautam (1):
      document-manager: bgo#698036 - Close Other Tabs enhancement

Anjuta 3.9.1 (April 30, 2013) -- James Liggett

Arnel A. Borja (27):
      libanjuta: bgo #696984 - Include Gdl-3 when introspecting Anjuta-3.0
      libanjuta: bgo #696984 - Documentation comment of section anjuta-debug should be inside after inclusion guard
      libanjuta: bgo #696984 - Remove extra empty lines in documentation comments
      libanjuta: bgo #696984 - Add missing commas in documentation comments
      libanjuta: bgo #696984 - Fix missing double asterisk in documentation comments
      libanjuta: bgo #696984 - Fix function name typos in documentation comments
      libanjuta: bgo #696984 - Fix function argument name typos in documentation comments
      libanjuta: bgo #696984 - Fix a signal name typo in documentation comments
      libanjuta: bgo #696984 - Fix allow-none annotation typo in a documentation comments
      libanjuta: bgo #696984 - Add some missing documentation comment
      libanjuta: bgo #696984 - Update some annotations in documentation comments
      libanjuta: bgo #696984 - Add missing % in constants NULL, TRUE and FALSE in documentation comments
      libanjuta: bgo #696984 - Add anjuta-tabber section stub
      libanjuta: bgo #696984 - Remove unused file anjuta-token-style.h
      libanjuta: bgo #696984 - Update libanjuta.h header
      project-wizard: bgo #696990 - Require package libanjuta-3.0 in anjuta-plugin template
      bgo #696023 - Use dist_ prefix in Makefiles
      devhelp: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      glade: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      language-support-vala: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      python-loader: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      subversion: bgo #696023 - Use dist_ prefix instead of EXTRA_DIST
      libanjuta: bgo #697030 - Add close button widget
      document-manager: bgo #697030 - Replace close button in tabs with AnjutaCloseButton
      project-wizard: bgo #688611 - Make templates Windows portable
      Use dist_doc_DATA for documentation text files
      project-wizard: Use dist_doc_DATA for documentation text files

Balázs Úr (1):
      Updated Hungarian translation

Carl-Anton Ingmarsson (28):
      dir-project: check for NULL groups in dir_project_is_loaded()
      document-manager: pack notebook with width 1
      document-manager: remove margin around the document combo box
      document-manager: don't allocate AnjutaDocmanPriv ourselves
      document-manager: fix compile warning
      anjuta-tabber: implement gtk_container_get_path_for_child()
      anjuta-tabber: rework size allocation
      anjuta-tabber: remove call to gtk_widget_style_attach()
      anjuta-tabber: don't iterate list to check if node is first/last
      message-view: Use AnjutaCloseButton in tabs
      anjuta-tabber: fix calculation of region flags
      anjuta-tabber: don't iterate list to check if node is first/last
      anjuta-tabber: take focus-padding into account when rendering focus
      anjuta-tabber: Always use the padding of an active tab in y-direction size allocation
      document-manager: don't free AnjutaDocmanPriv ourselves
      anjuta-tabber: remove the total padding from total width
      anjuta-tabber: use tab_curvature for left/right space of first/last tab
      message-view: use a single box for the tab widget
      parser-cxx: fix compilation warning
      anjuta_language_provider: add proposals() function
      sourceview: remove filtering of single proposals matching pre_word
      parser-cxx: use anjuta_language_provider_proposals()
      language-support-python: use anjuta_language_provider_proposals()
      language-support-js: use anjuta_language_provider_proposals()
      language-support-js: replace one more use of ianjuta_editor_assist_proposals()
      language-support-python: replace one more use of ianjuta_editor_assist_proposals()
      symbol-db-query: change order of property installation in SymbolDBQuery
      dir-project: fix compile error

Christian Kirbach (1):
      Updated German help translation

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Dimitris Spingos (2):
      Updated Greek translation
      Updated Greek translation

Dirgita (1):
      Updated Indonesian translation

Gabor Kelemen (1):
      Fix errors in the Hungarian translation

James Liggett (16):
      Post-release version bump
      git: Use actions for recurring items in the glade file
      git: Pack the dock and the command bar together
      git: Fix more names in the glade file
      git: Use a toggle button to show and hide the command bar
      git: More glade file name fixes
      git: Add a stash button to the Status command bar
      git: Implement branch switching by double-click
      Update doap file
      git: Fix widget names
      git: Implement adding files by dragging them onto the status view
      git: Widget name fixes
      git: Log path entry should be editable
      git: Widget name fixes
      libanjuta/manuals: Update documentation sections
      Revert "git: Log path entry should be editable"

Jaume Planas (1):
      [l10n] Add Catalan translation

Johannes Schmid (2):
      Updated AUTHORS file
      sourceview: bgo#680770 - Don't scroll undo position to center if line already visible

Juan Pablo Ugarte (1):
      mk-project: Prevent a crash

Marek Černocký (1):
      Updated Czech translation

Milo Casagrande (2):
      [l10n] Updated Italian translation.
      [l10n] Updated Italian translation.

Richard Hughes (1):
      Fixed Indonesian translation

Sébastien Granjoux (6):
      project-wizard: bgo#696672 - Creating new project using wizard fails due to license files missing
      project wizard: bgo #688611 - Add Windows configuration
      mk-project: Ignore conditional directives in makefile
      git: Fix setting of a custom author in the commit pane
      libanjuta: Improve editor modeline support
      project-wizard: bgo #698011 - Cannot run anything

Yuri Myasoedov (1):
      Updated Russian translation

Мирослав Николић (1):
      Updated Serbian translation

Anjuta 3.8.0 (March 24, 2013) -- James Liggett

This is a new stable version of Anjuta and all users should update to this
version as all 3.6.x versions become unsupported at this point.

Summary of the major changes between 3.6.x and 3.8:

- Various bug fixes across many different plugins, including git, debug-manager,
  document-manager, python, glade, project-wizard and libanjuta. See the shortlog
  for complete details. 

- Two new plugins (Carl-Anton Ingmarsson):
  1. jhbuild build plugin
  2. Quick-open

Bugs fixed:
project-wizard: Fix vala ui path (bgo#Bug 686718 - wrong path of gui file of gtk-vala-application)
python: Fix bgo#687646 - Auto-completion causes a segfault in Anjuta 3.6.1
git: bgo#691044 - typo in git-cherry-pick menu
am-project: bgo#684770 - Adding a "Miscelaneous Data" objective ignores the given name
build: bgo#684758 - anjuta-3.5.91 fails to configure due to ac_ct_CXX check
am-project: bgo#683728 - Project browser is not updated when files are added or removed
am-project: bgo #681051 - Folder properties dialog can't be close with ESC
am-project: bgo #681050 - Double click on folder in project view open properties window
am-project: bgo #681073 - Anjuta crashes when switching git branches of the current project on the commandline
git: Fix bgo 687145 - Critical warning when switching git pane
project-wizard: Fix vala ui path (bgo#686718 - wrong path of gui file of gtk-vala-application)
build-basic-autotools: bgo#686911 - Path of Vala source files passed to message pane is wrong
build-basic-autotools:bgo#688293 - build-basic-autotools: Fix invalid read
anjuta: bgo #688609 - Saved dock positions not applied when opening a project
libanjuta: bgo #693916 - Avoid the name Anjuta in libanjuta messages

Thanks to everybody who has helped this cycle and all translators.

Akom Chotiphantawanon (2):
      Updated Thai translation
      Updated Thai translation

Alexander Shopov (1):
      Updated Bulgarian translation

Alexandre Franke (1):
      Update French translation

Anish A (1):
      Updated Malayalam Localization

Arnel A. Borja (3):
      indentation-c-style: Fix "parenthesis" typos
      symbol-db: Fix "parenthesis" typos
      quick-open: Fix typo in distributed files

Ask H. Larsen (1):
      Updated Danish translation

Aurimas Černius (2):
      Updated Lithuanian translation
      Updated Lithuanian translation

B.Prathibha (1):
      Added keywords in desktop file.

Balázs Úr (1):
      Updated Hungarian translation

Carl-Anton Ingmarsson (149):
      run-program: use AnjutaEnvironmentEditor instead of implementing our own version.
      jhbuild: new plugin to build/run program inside the jhbuild environment.
      indentation-c-style: be more picky when completing braces.
      indentation-c-style: remove java_indentation() method
      indentation-c-style: When removing opening bracket also remove the closing one.
      sourceview: don't emit change events after doing an undo
      indentation-c-style: Change plugin.c modeline to spaces
      indentation-c-style: Enable the plugin for JavaScript source files.
      indentation-c-style: Rename action group to "C Indentation" and remove it on deactivation.
      indentation-python-style: Rename action group to "Python Indentation".
      Fix compile errors regarding undeclared functions.
      document-manager: Fix various compile warnings.
      anjuta-window: Don't call gtk_widget_show_all when setting up widget.
      document-manager: Support showing open documents in a combobox.
      document-manager: Remove obsolete code for tabbing between documents.
      indentation-c-style: Update preferences UI file to gtk+-3
      indentation-c-style: Fix modeline in plugin.c
      indentation-c-style: Fix get_line_indentation().
      indentation-c-style: Add option whether paranthesis alignment should only use spaces.
      file-manager: Fix invalid unref of NULL pointer.
      document-manager: use on_close_file_activate() when closing file using combo close button.
      document-manager: Show dirty character "*" and "[read-only]" in combo filename.
      document-manager: Add search_box to document manager box directly.
      document-manager: hide search box when pressing escape inside the document widget.
      libanjuta: use g_spawn_sync instead of fork() and waitpid()
      debug-manager: use g_spawn_sync() instead of fork() and waitpid()
      document-manager: Never disable "find in files" action.
      git: Fix assertion when running g_signal_handlers_disconnect on already destroyed widget.
      git: Fix assertion when running g_hash_table_unref() on a NULL pointer.
      debug-manager: Fix accessing of invalid tree models.
      document-manager: Update combo filenames when the project changes.
      glade: Fix the palette not being shown.
      glade: Fix the images in the palette toggles used for choosing the edit mode.
      symbol-db: Keep a reference to the SymbolDBQuery when running it in a thread.
      indentation-c-style: Fix logic error from e27cade3ec1ce883182ff1b99637d781ae6b128c
      symbol-db: Use a vertical box for the search view.
      document-manager: Fix disconnection of GtkNotebook "switch-page" signal.
      anjuta-plugin-handle: Use g_hash_table_remove_all instead of g_hash_table_foreach_remove.
      file-manager: Keep a weak reference to the IAnjutaVcs object in FileModel.
      plugin-manager: Fix dependents checking on wrong object in should_unload().
      file-manager: Unref the FileModel reference when the FileView gets finalized.
      run-program: Keep a weak reference to the IAnjutaTerminal we run the program in.
      plugin-manager: Don't destroy available_plugins order in populate_plugin_model().
      anjuta: Fix destruction of the AnjutaUI instance.
      libanjuta: Set "relative-path" property of AnjutaFileDropEntry as readwrite.
      glade: Add toggle buttons for margin and align editing.
      anjuta: Fix destruction of AnjutaPreferences instance.
      sourceview: Don't store the builder for the preferences in a global variable.
      am-project: Change the "Dependencies loop in variables" warning to a debug print.
      plugin-manager: Clean up memory management.
      plugin-manager: Directly use anjuta_plugin_deactivate in unload_all_plugins().
      profile-manager: Add new close() function.
      anjuta: unload all plugins before closing a window.
      anjuta: Remove "exiting" signal from AnjutaShell.
      symbol-db: Remove buffer update timeout when plugin gets deactivated.
      document-manager: Remove autosave timeout when the plugin is deactivated.
      build-basic-autotools: Disconnect all signals on editors when the plugin is deactivated.
      build-basic-autotools: Remove idle for updating indicators when plugin is deactivated.
      git: Fix compile warnings.
      symbol-db: When updating a symbol try to update the closest one.
      run-program: Default to Yes in "The program is already running" dialog.
      sourceview: keep ref on SourceViewIO during call to input_stream_read_async().
      symbol-db: rename sdb_engine_get_tuple_id_by_unique_name4()...
      sourceview: Don't check if objects are not NULL before calling g_clear_object().
      sourceview: Add marks to an unloaded document the same way we reload marks.
      sourceview: Detect that a ifile_open() is a reload and save marks and position.
      libanjuta: Add "document-[added|removed]" signals to IAnjutaDocumentManager.
      document-manager: Emit "document-[added|removed]" signals.
      debug-manager: use IAnjutaDocumentManager::document-added to add breakpoints to editor.
      debug-manager: Fix two leaks of GFile objects.
      document-manager: sort files in document combo in ascending order.
      libanjuta: Fix IAnjutaFile::opened signal documentation.
      am-project: Fix leak of GMatchInfo in split_automake_variable().
      starter: Fix leak of GtkRecentInfo.
      symbol-db: Fix leaks of two GPtrArrays in do_import_system_sources_after_abort()
      file-loader: Fix leak of GtkRecentInfos in the RecentChooserMenu.
      symbol-db: Fix leak of file_abs_path in symbol_db_engine_update_project_symbols().
      project-manager: Fix leak of the nodes GList in gbf_project_view_update_tree().
      symbol-db: Fix leak of prj_elements_list in do_check_offline_files_changed()
      file-loader: Fix leak of plugin names in sort_wizards()
      debug-manager: Default to Yes in "The program is running" dialog.
      snippets-manager: Fix faulty assertion in snippets_db_dispose().
      libanjuta: Actually free stuff in AnjutaPkgConfigChooser::finalize.
      symbol-db: Add update_flag to the symbol unique constraint.
      file-manager: Fix compile warning.
      git: Fix destruction of GitLogPane.
      sourceview: Fix leak of list of GtkSourceCompletionItem.
      sourceview: connect settings notifications with g_signal_connect_object().
      language-support-js: Fix g_object_unref() of NULL object.
      Add new quick-open plugin.
      file-manager: Use a GFile instead of an URI for the base path property.
      file-manager: Add option for showing the currently edited file in the file manager.
      file-manager: Enable typeahead search.
      file-manager: Fix leak of GtkTreeModelSort.
      file-manager: Add "Show in File manager" action to document popup.
      document-manager: make the search files options span two cells of the top grid
      document-manager: remove usage of unneeded initialized variable in class_init
      symbol-db: fix symbols view label box to be horizontal
      libanjuta: don't use deprecated functions in AnjutaAsyncCommand
      sourceview: use gtk_widget_preferred_size instead of gtk_widget_size_request
      sourceview: use G_PRIORITY_DEFAULT for IO
      anjuta: reduce size of toolbar buttons to GTK_ICON_SIZE_MENU
      indentation-c-style: enable the plugin for IDL files
      quick-open: remove duplicate declaration
      document-manager: connect to toplevel SearchBox keypress to handle closing
      quick-open: remove doc from list in quick_open_dialog_remove_document()
      document-manager: emit "document-removed" for open documents in dispose
      language-support-cpp-java: change modeline of plugin.c
      language-support-cpp-java: don't use deprecated g_string_down()
      language-support-cp-java: fix crasher when swapping header/source
      file-manager: don't try to select document which has no file yet
      devhelp: Port to webkitgtk2
      class-gen: fix compile warnings
      project-wizard: move license templates to data/
      class-gen: generate license the same way as project-wizard
      class-gen: output filename instead of project name before copyright
      class-gen: Always generate GObject private structure
      build-basic-autotools: don't let build directory button expand
      jhbuild: Extract libdir from newly added JHBUILD_LIBDIR environment variable.
      jhbuild: Translate error messages.
      sourceview: mark clearing of buffer as a not undoable action
      sourceview: use etag to only emit "changed" when file was externally modified
      symbol-db: fix compile warnings
      libanjuta: Add new AnjutaCompletion object for prefix matching
      libanjuta: Add basic tests for AnjutaCompletion
      parser-cxx: use AnjutaCompletion instead of deprecated GCompletion
      parser-cxx: remove unused ParserCxxAssistContext
      python-assist: use AnjutaCompletion instead of GCompletion
      python-assist: remove unused PythonAssistContext
      python-assist: don't use deprecated functions
      git.mk: update to the latest version
      Include git.mk in Makefiles where it was missing
      message-view: fix compile warnings
      sourceview: only update stored etag if save was succesful
      libanjuta: keep a ref on the AnjutaAsyncCommand when its thread is run
      git: use g_signal_connect_object() in GitLogCommand
      git: use g_signal_connect_object() to connect to commands in GitLogPane
      git: fix up memory management of log model
      git: properly unset the log command in the case the command failed
      file-manager: make file_view_show_extended_data() more robust
      parser-cxx: use g_signal_connect_object() to connect to query signals
      message-view: use g_type_class_add_private() to add private struct
      sourceview: move all construction of Sourceview into constructed
      sourceview: keep a separate reference to AnjutaShell in SourceviewIO
      sourceview: only cancel open operations when closing editor
      sourceview: add checks to SourceviewIO that the parent Sourceview is alive
      sourceview: don't take extra refs during open/save
      sourceview: use g_signal_connect_object() to connect to io signals
      symbol-db: don't allow or set null scope_definition_id and scope_id.

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Christian Kirbach (4):
      Updated German manual translation
      Updated German help translation
      Updated German translation (fixed mismatched tags)
      Updated German translation

Daniel Mustieles (12):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Removed markup from UI file
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Dimitris Spingos (3):
      Updated Greek translation
      Updated Greek translation
      Updated Greek translation

Duarte Loreto (1):
      Updated Portuguese translation and converted to New Spelling (Novo AO)

Enrico Nicoletto (1):
      Updated Brazilian Portuguese translation

Fran Diéguez (5):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Frédéric Péters (1):
      devhelp: update to latest devhelp changes

Gabor Kelemen (4):
      Fix another Hungarian mistranslation
      Hungarian help translation added
      Added hu to HELP_LINGUAS
      Updated Hungarian help translation

Gheyret Kenji (6):
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation

Gil Forcada Codinachs (1):
      [l10n] Minor fixes to Catalan translation

Ihar Hrachyshka (1):
      Deleted obsolete Belarusian translation.

James Liggett (13):
      Post-release version bump
      Updated files for 3.7.1 release
      language-support-cpp-java: Remove org.gnome.anjuta.plugins.cpp.gschema.valid from git
      language-support-vala: Don't clean config.vapi
      Updated files for 3.7.2 release
      Updated files for 3.7.3 release
      Update files for 3.7.4 release
      git: Always annotate signed tags
      Update files for 3.7.90 release
      git: Unset the log model view before refreshing the log
      Make the glade catalog an optional feature
      Update the HACKING file
      Update files for 3.7.92 release

Jasper Lievisse Adriaanse (1):
      Remove two unused/non-existing headers.

Joan Duran (1):
      [l10n] Updated Catalan translation

Johannes Schmid (5):
      project-wizard: Fix vala ui path (bgo#Bug 686718 - wrong path of gui file of gtk-vala-application)
      python: Fix crash during auto-indentation
      various: Fixed compile warnings and a real bug in the gdbmi plugin
      python: Fix bgo#687646 - Auto-completion causes a segfault in Anjuta 3.6.1
      sourceview: Fix wrong assignment when saving markers

Kalev Lember (1):
      Fix desktop file syntax errors

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Marek Černocký (3):
      Updated Czech translation
      Fixed needlessly marked label for translation
      Updated Czech translation

Mario Blättermann (3):
      [l10n] Updated German translation
      [l10n] Updated German translation
      [l10n] Updated German doc translation

Matej Urbančič (2):
      Updated Slovenian translation
      Updated Slovenian translation

Milo Casagrande (1):
      [l10n] Updated Italian translation.

OKANO Takayoshi (2):
      [l10n] Update Japanese translation
      [l10n] Update Japanese translation

Okano Takayoshi (1):
      git: bgo#691044 - typo in git-cherry-pick menu

Piotr Drąg (7):
      Updated POTFILES.in
      Updated POTFILES.in
      Updated Polish translation
      Updated POTFILES.in
      Updated Polish translation
      Updated POTFILES.in
      Updated Polish translation

Ryan Lortie (1):
      build: disable -Werror to workaround flex(1) issue

Rūdolfs Mazurs (1):
      Fixed Latvian po file header

Seong-ho Cho (1):
      Updated Korean translation

Sébastien Granjoux (77):
      am-project: bgo#684770 - Adding a "Miscelaneous Data" objective ignores the given name
      build: bgo#684758 - anjuta-3.5.91 fails to configure due to ac_ct_CXX check
      am-project: Avoid critical warnings when a group does not have a Makefile.am
      am-project: bgo#683728 - Project browser is not updated when files are added or removed
      am-project: Check a copy of anjuta project in regression instead of the real project
      am-project: bgo #681051 - Folder properties dialog can't be close with ESC
      am-project: bgo #681050 - Double click on folder in project view open properties window
      am-project: bgo #681073 - Anjuta crashes when switching git branches of the current project on the commandline
      build-basic-autotools: Configuration name combo box should be editable
      build-basic-autotools: Update environment variables when the build configuration is changed
      jhbuild: Provide a fallback for G_DEFINE_QUARK to allow compilation with GLib 2.32
      build-basic-autotools: Fix alignment of some text broken by the previous patch
      anjuta: Rename AnjutaApp as AnjutaWindow
      anjuta: Rename Anjuta as AnjutaApplication
      anjuta: Remove custom filtering for debugging message as this is provided by GLib >= 2.32
      anjuta: Do not use GDL members deprecated in version 3.6
      anjuta: Move command line parsing in AnjutaApplication
      am-project: Do not store files as binary in anjuta shar archive used in regression test
      glade: Fix make file some files were not installed
      git: Fix bgo 687145 - Critical warning when switching git pane
      libanjuta: Improve documentation of AnjutaSession
      anjuta: Allow to abort loading of a session
      anjuta: Clean up in create_window function
      libanjuta: Add a function to create a new main window in the same process
      anjuta: Restore command line options
      anjuta: Save GDL settings correctly
      libanjuta: Avoid a critical warning when an anjuta window is closed quite fast
      libanjuta: Destroy plugins when the main anjuta window is closed
      project-wizard: Fix vala ui path (bgo#686718 - wrong path of gui file of gtk-vala-application)
      build-basic-autotools: bgo#686911 - Path of Vala source files passed to message pane is wrong
      anjuta: Remove unused variable and deprecated functions
      anjuta: Remove trailing spaces
      build-basic-autotools: Remove trailing spaces
      build-basic-autotools: Remove warning
      message-view: Remove trailing spaces
      message-view: Message window is not displayed due to yesterday patch
      run-program: Remove trailing spaces
      run-program: Avoid a critical warning when closing a project
      terminal: Remove trailing spaces
      terminal: Fix warnings and remove deprecated functions
      project-manager: Remove trailing spaces
      project-manager: Avoid a critical warning for missing files
      build-basic-autotools:bgo#688293 - build-basic-autotools: Fix invalid read
      gdb: Fix debugger broken by the previous fix in gdbmi
      run-program: Fix a crash when destroying the plugin
      project-wizard: Allow to start a new project from the command line
      project-wizard: Remove trailing spaces
      project-wizard: Remove compilation warnings
      project-wizard: 616728 - hide breakpoints and watches windows on new project
      libanjuta: Allow to set indentation and tab size separately
      project-manager: Display current project backend
      project-manager: Allow to change project backend
      faq: Add some information about jumping to an error position
      libanjuta: Fix a few compiler warnings
      libanjuta: Clean up and bug fix in plugin manager
      anjuta: bgo #688609 - Saved dock positions not applied when opening a project
      project-import: Try to fill project name automatically in import project dialog
      project-import: Open a directory with Anjuta
      starter: Fix a warning
      anjuta: Make sure the starter widget is visible on startup
      am-project: Fix a crash when changing target properties
      build-basic-autotools: Fix selection of build directory
      build-basic-autotools: Use a GtkFileChooser dialog instead of a GtkFileChooserButton to select build directory
      project-wizard: Remove a critical warning
      project-wizard: Replace deprecated GtkTable by GtkGrid
      project-manager: Replace deprecated GtkTable by GtkGrid
      patch: Replace deprecated GtkTable by GtkGrid
      project-manager: Fix several warnings
      project-manager: Replace deprecated gtk_paint_hline
      project-manager: Remove New Library menu item
      glade: Add a menu item for glade properties dialog
      libanjuta: bgo #693916 - Avoid the name Anjuta in libanjuta messages
      document-manager: Save search box settings
      libanjuta: Fix linking of anjuta-completion-test
      document-manager: Move common code in a function
      document-manager: Highlight search text in background
      document-manager: Allow to search starting from the current position

Victor Ibragimov (1):
      [l10n] Added Tadjik translation

Мирослав Николић (3):
      Updated Serbian translation
      Updated Serbian translation
      Updated Serbian translation

Anjuta 3.7.92 (March 19, 2013) -- James Liggett

Ask H. Larsen (1):
      Updated Danish translation

Aurimas Černius (1):
      Updated Lithuanian translation

Balázs Úr (1):
      Updated Hungarian translation

Carl-Anton Ingmarsson (16):
      sourceview: only update stored etag if save was succesful
      libanjuta: keep a ref on the AnjutaAsyncCommand when its thread is run
      git: use g_signal_connect_object() in GitLogCommand
      git: use g_signal_connect_object() to connect to commands in GitLogPane
      git: fix up memory management of log model
      git: properly unset the log command in the case the command failed
      file-manager: make file_view_show_extended_data() more robust
      parser-cxx: use g_signal_connect_object() to connect to query signals
      message-view: use g_type_class_add_private() to add private struct
      sourceview: move all construction of Sourceview into constructed
      sourceview: keep a separate reference to AnjutaShell in SourceviewIO
      sourceview: only cancel open operations when closing editor
      sourceview: add checks to SourceviewIO that the parent Sourceview is alive
      sourceview: don't take extra refs during open/save
      sourceview: use g_signal_connect_object() to connect to io signals
      symbol-db: don't allow or set null scope_definition_id and scope_id.

Christian Kirbach (2):
      Updated German translation (fixed mismatched tags)
      Updated German translation

Daniel Mustieles (1):
      Updated Spanish translation

Dimitris Spingos (2):
      Updated Greek translation
      Updated Greek translation

Duarte Loreto (1):
      Updated Portuguese translation and converted to New Spelling (Novo AO)

Enrico Nicoletto (1):
      Updated Brazilian Portuguese translation

Gheyret Kenji (1):
      Updated Uyghur translation

James Liggett (3):
      git: Unset the log model view before refreshing the log
      Make the glade catalog an optional feature
      Update the HACKING file

Kalev Lember (1):
      Fix desktop file syntax errors

Marek Černocký (2):
      Fixed needlessly marked label for translation
      Updated Czech translation

Mario Blättermann (2):
      [l10n] Updated German translation
      [l10n] Updated German doc translation

Matej Urbančič (1):
      Updated Slovenian translation

Sébastien Granjoux (3):
      document-manager: Move common code in a function
      document-manager: Highlight search text in background
      document-manager: Allow to search starting from the current position

Victor Ibragimov (1):
      [l10n] Added Tadjik translation

Anjuta 3.7.90 (February 18, 2013) -- James Liggett

Anish A (1):
      Updated Malayalam Localization

Arnel A. Borja (1):
      quick-open: Fix typo in distributed files

Aurimas Černius (1):
      Updated Lithuanian translation

Carl-Anton Ingmarsson (43):
      sourceview: connect settings notifications with g_signal_connect_object().
      language-support-js: Fix g_object_unref() of NULL object.
      Add new quick-open plugin.
      file-manager: Use a GFile instead of an URI for the base path property.
      file-manager: Add option for showing the currently edited file in the file manager.
      file-manager: Enable typeahead search.
      file-manager: Fix leak of GtkTreeModelSort.
      file-manager: Add "Show in File manager" action to document popup.
      document-manager: make the search files options span two cells of the top grid
      document-manager: remove usage of unneeded initialized variable in class_init
      symbol-db: fix symbols view label box to be horizontal
      libanjuta: don't use deprecated functions in AnjutaAsyncCommand
      sourceview: use gtk_widget_preferred_size instead of gtk_widget_size_request
      sourceview: use G_PRIORITY_DEFAULT for IO
      anjuta: reduce size of toolbar buttons to GTK_ICON_SIZE_MENU
      indentation-c-style: enable the plugin for IDL files
      quick-open: remove duplicate declaration
      document-manager: connect to toplevel SearchBox keypress to handle closing
      quick-open: remove doc from list in quick_open_dialog_remove_document()
      document-manager: emit "document-removed" for open documents in dispose
      language-support-cpp-java: change modeline of plugin.c
      language-support-cpp-java: don't use deprecated g_string_down()
      language-support-cp-java: fix crasher when swapping header/source
      file-manager: don't try to select document which has no file yet
      devhelp: Port to webkitgtk2
      class-gen: fix compile warnings
      project-wizard: move license templates to data/
      class-gen: generate license the same way as project-wizard
      class-gen: output filename instead of project name before copyright
      class-gen: Always generate GObject private structure
      build-basic-autotools: don't let build directory button expand
      jhbuild: Extract libdir from newly added JHBUILD_LIBDIR environment variable.
      jhbuild: Translate error messages.
      sourceview: mark clearing of buffer as a not undoable action
      sourceview: use etag to only emit "changed" when file was externally modified
      symbol-db: fix compile warnings
      libanjuta: Add new AnjutaCompletion object for prefix matching
      libanjuta: Add basic tests for AnjutaCompletion
      parser-cxx: use AnjutaCompletion instead of deprecated GCompletion
      parser-cxx: remove unused ParserCxxAssistContext
      python-assist: use AnjutaCompletion instead of GCompletion
      python-assist: remove unused PythonAssistContext
      python-assist: don't use deprecated functions

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (9):
      Updated Spanish translation
      Updated Spanish translation
      Removed markup from UI file
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Fran Diéguez (3):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Frédéric Péters (1):
      devhelp: update to latest devhelp changes

Gheyret Kenji (5):
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation
      Updated Uyghur translation

James Liggett (1):
      git: Always annotate signed tags

Johannes Schmid (1):
      sourceview: Fix wrong assignment when saving markers

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Piotr Drąg (4):
      Updated POTFILES.in
      Updated Polish translation
      Updated POTFILES.in
      Updated Polish translation

Sébastien Granjoux (19):
      anjuta: bgo #688609 - Saved dock positions not applied when opening a project
      project-import: Try to fill project name automatically in import project dialog
      project-import: Open a directory with Anjuta
      starter: Fix a warning
      anjuta: Make sure the starter widget is visible on startup
      am-project: Fix a crash when changing target properties
      build-basic-autotools: Fix selection of build directory
      build-basic-autotools: Use a GtkFileChooser dialog instead of a GtkFileChooserButton to select build directory
      project-wizard: Remove a critical warning
      project-wizard: Replace deprecated GtkTable by GtkGrid
      project-manager: Replace deprecated GtkTable by GtkGrid
      patch: Replace deprecated GtkTable by GtkGrid
      project-manager: Fix several warnings
      project-manager: Replace deprecated gtk_paint_hline
      project-manager: Remove New Library menu item
      glade: Add a menu item for glade properties dialog
      libanjuta: bgo #693916 - Avoid the name Anjuta in libanjuta messages
      document-manager: Save search box settings
      libanjuta: Fix linking of anjuta-completion-test

Мирослав Николић (3):
      Updated Serbian translation
      Updated Serbian translation
      Updated Serbian translation

Anjuta 3.7.4 (January 14, 2013) -- James Liggett

Akom Chotiphantawanon (1):
      Updated Thai translation

Alexander Shopov (1):
      Updated Bulgarian translation

Arnel A. Borja (1):
      symbol-db: Fix "parenthesis" typos

Carl-Anton Ingmarsson (28):
      symbol-db: When updating a symbol try to update the closest one.
      run-program: Default to Yes in "The program is already running" dialog.
      sourceview: keep ref on SourceViewIO during call to input_stream_read_async().
      symbol-db: rename sdb_engine_get_tuple_id_by_unique_name4()...
      sourceview: Don't check if objects are not NULL before calling g_clear_object().
      sourceview: Add marks to an unloaded document the same way we reload marks.
      sourceview: Detect that a ifile_open() is a reload and save marks and position.
      libanjuta: Add "document-[added|removed]" signals to IAnjutaDocumentManager.
      document-manager: Emit "document-[added|removed]" signals.
      debug-manager: use IAnjutaDocumentManager::document-added to add breakpoints to editor.
      debug-manager: Fix two leaks of GFile objects.
      document-manager: sort files in document combo in ascending order.
      libanjuta: Fix IAnjutaFile::opened signal documentation.
      am-project: Fix leak of GMatchInfo in split_automake_variable().
      starter: Fix leak of GtkRecentInfo.
      symbol-db: Fix leaks of two GPtrArrays in do_import_system_sources_after_abort()
      file-loader: Fix leak of GtkRecentInfos in the RecentChooserMenu.
      symbol-db: Fix leak of file_abs_path in symbol_db_engine_update_project_symbols().
      project-manager: Fix leak of the nodes GList in gbf_project_view_update_tree().
      symbol-db: Fix leak of prj_elements_list in do_check_offline_files_changed()
      file-loader: Fix leak of plugin names in sort_wizards()
      debug-manager: Default to Yes in "The program is running" dialog.
      snippets-manager: Fix faulty assertion in snippets_db_dispose().
      libanjuta: Actually free stuff in AnjutaPkgConfigChooser::finalize.
      symbol-db: Add update_flag to the symbol unique constraint.
      file-manager: Fix compile warning.
      git: Fix destruction of GitLogPane.
      sourceview: Fix leak of list of GtkSourceCompletionItem.

Daniel Mustieles (2):
      Updated Spanish translation
      Updated Spanish translation

Dimitris Spingos (1):
      Updated Greek translation

Fran Diéguez (2):
      Updated Galician translations
      Updated Galician translations

Matej Urbančič (1):
      Updated Slovenian translation

OKANO Takayoshi (2):
      [l10n] Update Japanese translation
      [l10n] Update Japanese translation

Okano Takayoshi (1):
      git: bgo#691044 - typo in git-cherry-pick menu

Piotr Drąg (1):
      Updated Polish translation

Sébastien Granjoux (6):
      libanjuta: Allow to set indentation and tab size separately
      project-manager: Display current project backend
      project-manager: Allow to change project backend
      faq: Add some information about jumping to an error position
      libanjuta: Fix a few compiler warnings
      libanjuta: Clean up and bug fix in plugin manager


Anjuta 3.7.3 (December 17, 2012) -- James Liggett

B.Prathibha (1):
      Added keywords in desktop file.

Carl-Anton Ingmarsson (26):
      symbol-db: Keep a reference to the SymbolDBQuery when running it in a thread.
      indentation-c-style: Fix logic error from e27cade3ec1ce883182ff1b99637d781ae6b128c
      symbol-db: Use a vertical box for the search view.
      document-manager: Fix disconnection of GtkNotebook "switch-page" signal.
      anjuta-plugin-handle: Use g_hash_table_remove_all instead of g_hash_table_foreach_remove.
      file-manager: Keep a weak reference to the IAnjutaVcs object in FileModel.
      plugin-manager: Fix dependents checking on wrong object in should_unload().
      file-manager: Unref the FileModel reference when the FileView gets finalized.
      run-program: Keep a weak reference to the IAnjutaTerminal we run the program in.
      plugin-manager: Don't destroy available_plugins order in populate_plugin_model().
      anjuta: Fix destruction of the AnjutaUI instance.
      libanjuta: Set "relative-path" property of AnjutaFileDropEntry as readwrite.
      glade: Add toggle buttons for margin and align editing.
      anjuta: Fix destruction of AnjutaPreferences instance.
      sourceview: Don't store the builder for the preferences in a global variable.
      am-project: Change the "Dependencies loop in variables" warning to a debug print.
      plugin-manager: Clean up memory management.
      plugin-manager: Directly use anjuta_plugin_deactivate in unload_all_plugins().
      profile-manager: Add new close() function.
      anjuta: unload all plugins before closing a window.
      anjuta: Remove "exiting" signal from AnjutaShell.
      symbol-db: Remove buffer update timeout when plugin gets deactivated.
      document-manager: Remove autosave timeout when the plugin is deactivated.
      build-basic-autotools: Disconnect all signals on editors when the plugin is deactivated.
      build-basic-autotools: Remove idle for updating indicators when plugin is deactivated.
      git: Fix compile warnings.

Christian Kirbach (1):
      Updated German help translation

Marek Černocký (1):
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Ryan Lortie (1):
      build: disable -Werror to workaround flex(1) issue

Sébastien Granjoux (5):
      run-program: Fix a crash when destroying the plugin
      project-wizard: Allow to start a new project from the command line
      project-wizard: Remove trailing spaces
      project-wizard: Remove compilation warnings
      project-wizard: 616728 - hide breakpoints and watches windows on new project


Anjuta 3.7.2 (November 19, 2012) -- James Liggett

Arnel A. Borja (1):
      indentation-c-style: Fix "parenthesis" typos

Carl-Anton Ingmarsson (31):
      indentation-c-style: be more picky when completing braces.
      indentation-c-style: remove java_indentation() method
      indentation-c-style: When removing opening bracket also remove the closing one.
      sourceview: don't emit change events after doing an undo
      indentation-c-style: Change plugin.c modeline to spaces
      indentation-c-style: Enable the plugin for JavaScript source files.
      indentation-c-style: Rename action group to "C Indentation" and remove it on deactivation.
      indentation-python-style: Rename action group to "Python Indentation".
      Fix compile errors regarding undeclared functions.
      document-manager: Fix various compile warnings.
      anjuta-window: Don't call gtk_widget_show_all when setting up widget.
      document-manager: Support showing open documents in a combobox.
      document-manager: Remove obsolete code for tabbing between documents.
      indentation-c-style: Update preferences UI file to gtk+-3
      indentation-c-style: Fix modeline in plugin.c
      indentation-c-style: Fix get_line_indentation().
      indentation-c-style: Add option whether paranthesis alignment should only use spaces.
      file-manager: Fix invalid unref of NULL pointer.
      document-manager: use on_close_file_activate() when closing file using combo close button.
      document-manager: Show dirty character "*" and "[read-only]" in combo filename.
      document-manager: Add search_box to document manager box directly.
      document-manager: hide search box when pressing escape inside the document widget.
      libanjuta: use g_spawn_sync instead of fork() and waitpid()
      debug-manager: use g_spawn_sync() instead of fork() and waitpid()
      document-manager: Never disable "find in files" action.
      git: Fix assertion when running g_signal_handlers_disconnect on already destroyed widget.
      git: Fix assertion when running g_hash_table_unref() on a NULL pointer.
      debug-manager: Fix accessing of invalid tree models.
      document-manager: Update combo filenames when the project changes.
      glade: Fix the palette not being shown.
      glade: Fix the images in the palette toggles used for choosing the edit mode.

Christian Kirbach (1):
      Updated German manual translation

James Liggett (2):
      language-support-cpp-java: Remove org.gnome.anjuta.plugins.cpp.gschema.valid from git
      language-support-vala: Don't clean config.vapi

Johannes Schmid (4):
      project-wizard: Fix vala ui path (bgo#Bug 686718 - wrong path of gui file of gtk-vala-application)
      python: Fix crash during auto-indentation
      various: Fixed compile warnings and a real bug in the gdbmi plugin
      python: Fix bgo#687646 - Auto-completion causes a segfault in Anjuta 3.6.1

Sébastien Granjoux (25):
      git: Fix bgo 687145 - Critical warning when switching git pane
      libanjuta: Improve documentation of AnjutaSession
      anjuta: Allow to abort loading of a session

Anjuta 3.7.1 (October 29, 2012) -- James Liggett

Carl-Anton Ingmarsson (2):
      run-program: use AnjutaEnvironmentEditor instead of implementing our own version.
      jhbuild: new plugin to build/run program inside the jhbuild environment.

Gabor Kelemen (3):
      Fix another Hungarian mistranslation
      Hungarian help translation added
      Added hu to HELP_LINGUAS

Gil Forcada Codinachs (1):
      [l10n] Minor fixes to Catalan translation

Ihar Hrachyshka (1):
      Deleted obsolete Belarusian translation.

James Liggett (1):
      Post-release version bump

Jasper Lievisse Adriaanse (1):
      Remove two unused/non-existing headers.

Milo Casagrande (1):
      [l10n] Updated Italian translation.

Piotr Drąg (2):
      Updated POTFILES.in
      Updated POTFILES.in

Rūdolfs Mazurs (1):
      Fixed Latvian po file header

Sébastien Granjoux (19):
      am-project: bgo#684770 - Adding a "Miscelaneous Data" objective ignores the given name
      build: bgo#684758 - anjuta-3.5.91 fails to configure due to ac_ct_CXX check
      am-project: Avoid critical warnings when a group does not have a Makefile.am
      am-project: bgo#683728 - Project browser is not updated when files are added or removed
      am-project: Check a copy of anjuta project in regression instead of the real project
      am-project: bgo #681051 - Folder properties dialog can't be close with ESC
      am-project: bgo #681050 - Double click on folder in project view open properties window
      am-project: bgo #681073 - Anjuta crashes when switching git branches of the current project on the commandline
      build-basic-autotools: Configuration name combo box should be editable
      build-basic-autotools: Update environment variables when the build configuration is changed
      jhbuild: Provide a fallback for G_DEFINE_QUARK to allow compilation with GLib 2.32
      build-basic-autotools: Fix alignment of some text broken by the previous patch
      anjuta: Rename AnjutaApp as AnjutaWindow
      anjuta: Rename Anjuta as AnjutaApplication
      anjuta: Remove custom filtering for debugging message as this is provided by GLib >= 2.32
      anjuta: Do not use GDL members deprecated in version 3.6
      anjuta: Move command line parsing in AnjutaApplication
      am-project: Do not store files as binary in anjuta shar archive used in regression test
      glade: Fix make file some files were not installed

Anjuta 3.6.0 (September 26, 2012) -- James Liggett

This is a new stable version of Anjuta and all users should update to this
version as all 3.4.x versions become unsupported at this point.

Summary of the major changes between 3.4.x and 3.6:

* project-manager:
 - Support for calling make check (Sébastien Granjoux)
 - Support for subdirectories in project groups (Sébastien Granjoux)
 - Crash fixes (Sébastien Granjoux)

* git
 - Git Tasks dock is only shown the Git dock is active (Sébastien Granjoux/James Liggett)
 - The Status view is the first view shown in the Git dock (James Liggett)
 - Status view works with git 1.7.10 and newer (James Liggett)

* symbol-db
 - Various crash and infinite loop fixes (Massimo Corà)

* sourceview
 - Use common indentation settings (Sébastien Granjoux)

Bug fixes:
bgo 680401: Git plugin (Status) doesn't work with git version 1.7.10.4
sourceview: Correctly implement popup-menu (bgo#672692)
project-wizard: Explicitely use 3.0 as interface version for ui files (bgo#675877)
symbol-db: Ingore files with unknown language (see bgo#678695)
libanjuta: Fix memory corruption in AnjutaPkgConfig (bgo#679827)
build: Only check for passwords when installing as root (bgo#680136)
document-manager: bgo#680554 - entry of find in files doesn't get focused
document-manager: bgo#680559 - Find in Files does not scroll to top of results
document-manager: bgo#680555 - Escape key does not dismiss Find in Files panel
Fix bgo #680657 - Warnings when starting anjuta
Fix #679767 - crash trying to stop the debugger

Thanks to everybody who has helped this cycle and all translators.

Akom Chotiphantawanon (1):
      Updated Thai translation

Aleksander Morgado (1):
      devhelp: update plugin to avoid DhBase, no longer available in libdevhelp

Alexander Shopov (4):
      Updated Bulgarian translation
      Updated Bulgarian translation
      Updated Bulgarian translation
      Updated Bulgarian translation

Alexandre Franke (2):
      Update French translation
      Update French translation

Alexandre Rostovtsev (1):
      language-support-vala: build using $(VALAC), not valac

Andika Triwidada (2):
      Updated Indonesian translation
      Updated Indonesian translation

Andre Klapper (1):
      FAQ: Several improvements

Arnel A. Borja (1):
      language-support-vala: Removed "cpp-" prefix from schema key names

Ask H. Larsen (1):
      Updated Danish translation

Aurimas Černius (1):
      Updated Lithuanian translation

Bruce Cowan (1):
      Updated British English translation

Bruno Brouard (3):
      Updated French doc translation
      Updated French translation
      Updated French translation

Carles Ferrando (2):
      [l10n]Updated Catalan (Valencian) translation
      [l10n]Updated Catalan (Valencian) translation

Chao-Hsiung Liao (3):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)
      Updated Traditional Chinese translation(Hong Kong and Taiwan)
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (11):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Daniel Șerbănescu (1):
      Updated Romanian Translation

Dimitris Spingos (1):
      Updated Greek translation

Dimitris Spingos (Δημήτρης Σπίγγος) (1):
      Updated Greek translation

Dominique Leuenberger (1):
      gtksourceview plugin: include gtksource.h instead of gtksourceview.h

Duarte Loreto (1):
      Updated Portuguese translation

Fran Diéguez (8):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (7):
      Updated Hungarian translation
      Add omitted plugin.in files to POTFILES.in
      Fix a typo in the code-analyzer plugin name
      Updated Hungarian translation
      Updated Hungarian translation
      Fix a mistranslation in Hungarian
      Fix another mistranslation in Hungarian

Gil Forcada Codinachs (1):
      [l10n] Fixes on Catalan translation

James Liggett (8):
      git: Use tree paths instead of iterators to track the selected log viewer branch
      git: Remove an unused variable
      libanjuta: Add widget presenting capability to AnjutaDock
      git: Show the Status pane on plugin load
      libanjuta: Reverse the order of pane operations in anjuta_dock_replace command_pane
      symbol-db: Fix build
      git: Fix bgo 680401: Git plugin (Status) doesn't work with git version 1.7.10.4
      language-support-cpp-java: Remove .plugin file from git

Javier Jardón (1):
      Port to new documentation infrastruture

Jens Georg (1):
      class-gen: Fix GObject template include

Jiro Matsuzawa (1):
      [l10n] Update Japanese translation

Joan Duran (1):
      [l10n] Updated Catalan translation

Johannes Schmid (34):
      Updated files for release
      Post release version bump
      sourceview: Correctly implement popup-menu (bgo#672692)
      Updated files for release
      Fixed POTFILES.in
      project-wizard: Make sure no template requires gtk+ 2.12 anymore
      project-wizard: Explicitely use 3.0 as interface version for ui files (bgo#675877)
      configure: Detect python more robust
      indentation: Use Indentation as name for all indentation preferences
      symbol-db: Don't crash if project was moved to another location
      symbol-db: Ingore files with unknown language (see bgo#678695)
      symbol-db: Avoid warning when NULL is passed to sdb_engine_add_language()
      Updated files for release
      Post-release version bump
      libanjuta: Fix memory corruption in AnjutaPkgConfig (bgo#679827)
      Updated files for release
      Post-release version bump
      build: Only check for passwords when installing as root (bgo#680136)
      libanjuta: Fix some warnings and made AnjutaPluginDescription a boxed type
      Updated dependencies to fixed checking twice for libgda
      document-manager: bgo#680554 - entry of find in files doesn't get focused
      document-manager: Only use in project files
      document-manager: bgo#680559 - Find in Files does not scroll to top of results
      document-manager: bgo#680555 - Escape key does not dismiss Find in Files panel
      libanjuta, language-support-*: Move IAnjutaLanguageProviderProposalData to libanjuta
      libanjuta, language-support-*: Introspection from bgo#680466
      class-inheritance, code-analyzer: Remove plugins that don't work or aren't built
      document-manager: Unify focus handling
      configure: Fix build
      configure: Remove check for graphviz
      Updated files for release
      Post-release version bump
      Updated files for release
      Post-release version bump

Jonh Wendell (1):
      Updated Brazilian Portuguese translation

Kalev Lember (2):
      starter: Use glib resource framework for UI files
      starter: Remove unused starter_logo.png

Ken Shibata (1):
      [l10n] Update Japanese translation

Kjartan Maraas (2):
      Updated Norwegian bokmål translation
      Updated Norwegian bokmål translation

Kristjan SCHMIDT (1):
      Updated Esperanto translation

Marco Diego Aurélio Mesquita (1):
      glade: bgo#676811 - Fix check order of editor on member add

Marek Černocký (2):
      Updated Czech translation
      Czech translation

Mario Blättermann (2):
      [l10n] Updated German translation
      [l10n] Updated German translation

Massimo Corà (3):
      cxxparser: avoid infinite loop. Fixed bgo#679772
      cxxparser: improved code checks to avoid leaks.
      cxxparser: fixed warning on query field retrieving.

Matej Urbančič (2):
      Updated Slovenian translation
      Updated Slovenian translation

Mihai Ciocan (1):
      Fixed autoindentation after line wrapping

Moritz Lüdecke (13):
      project-manager: bgo #594912 - The target advanced options window should remember its size
      split language-support-cpp-java and language-support-python plugin in an indentation part and a new language-support part
      Some trivial fixes in indentation plugins and cpp-java plugin
      resolve dependencies from cpp-java plugin
      improve calltips in vala plugin
      Add new the interface IAnjutaLanguageProvider and extend IAnjutaEditorAssist
      Adapt the sourceview plugin to the new IAnjutaEditorAssist API
      Adapt the snippets-manager plugin to the new IAnjutaEditorAssist API
      Adapt the language-support-vala plugin to the new IAnjutaEditorAssist API
      Adapt the language-support-python plugin to the new interface IAnjutaLanguageProvider
      Adapt the language-support-js plugin to the new interface IAnjutaLanguageProvider
      Adapt the parser-cxx plugin to the new interface IAnjutaLanguageProvider
      Move parser part from the language-support-cpp-java to the new parser-cxx plugin

Nishio Futoshi (1):
      [l10n] Update Japanese translation

Pavel (1):
      subversion: Fix pointer size problems on gcc 4.5.3 and newer

Peter Mráz (1):
      Updated Slovak translation

Piotr Drąg (7):
      Updated Polish translation
      Updated POTFILES.in
      Updated POTFILES.in and POTFILES.skip
      Updated POTFILES.in
      Updated POTFILES.in and POTFILES.skip
      Updated Polish translation
      Updated Polish translation

Praveen Illa (1):
      Updated Telugu Translation

Rafael Ferreira (1):
      Updated Brazilian Portuguese translation. Reviewed by Enrico Nicoletto <liverig@gmail.com>

Ryan Lortie (2):
      vala language support: update to Vala 0.18
      ctags vala support: update to Vala 0.18

Rūdolfs Mazurs (2):
      Updated Latvian translation
      Updated Latvian translation

Sasi Bhushan (1):
      Updated Telugu Translation

Seong-ho Cho (1):
      Updated Korean translation

Steven Oliver (1):
      Add falcon pl to anjuta-tags

Sébastien Granjoux (41):
      am-project: Include project files as sources in the project tree
      project-manager: Remove project files from project tree view
      am-project: Fix regression tests after adding project files in the project tree
      am-project: Avoid a crash when parent group is missing
      am-project: Avoid a crash when adding a target to an invalid group
      am-project: Allow to create the root group in an empty project
      am-project: Allow to have sub directories in a group
      project-manager: Display group name containing sub directories
      libanjuta: Fix anjuta_token functions
      am-project: Do not expand variable in target and group flags
      am-project: Expand variables in source names
      am-project: Fix a crash in regression test 1
      am-project: Fix a crash on 64 bits system due to missing declaration of amp_source_new
      am-project: Fix a crash when loading project
      libanjuta: Remove some useless code in AnjutaPreferences
      libanjuta: Allow to define common settings in plugin preference page
      language-support-cpp: Use common settings for indentation
      language-support-python: Use common settings for indentation
      sourceview: Use common settings for indentation
      project-wizard: bgo #563986 - wizard generates modeline inconsistent with indentation prefs
      language-support-python: Move preferences in plugins/python
      language-support-cpp: Move preferences in plugins/cpp
      project-wizard: Do not use NPWValue in autogen API
      class-gen: Use a simple hash table instead of NPWValue
      libanjuta: Move autogen functions from project-wizard to libanjuta
      libanjuta: document AnjutaAutogen API
      libanjuta: Change autogen API to support introspection
      libanjuta: Reuse G_FILE_ERROR instead of defining a new error domain for autogen
      libanjuta: Move useful template macros from project wizard to a common directory
      class-gen: bgo#672892 - Class generator should respect project's indent settings
      am-project: Fix regression test
      build-basic-autotools: bgo #674863 - No easy way to call make check
      libanjuta: Fix warnings in autogen code
      libanjuta, am-project: bgo #675118 - Project manager never finishes loading Anjuta project
      anjuta: Fix closed dock windows which were kept hidden due to the latest changes in GDL
      Do not include devhelp.h if devhelp plugin is not enabled
      Fix bgo #680657 - Warnings when starting anjuta
      git: Only show the Git Tasks menu when the Git window is active
      Fix #679767 - crash trying to stop the debugger
      build: bgo#configure project - strange environment variables behaviour
      am-project: Fix regression test

Tom Tryfonidis (3):
      Updated Greek translation
      Updated Greek translation
      Updated Greek help translation

YunQiang Su (1):
      Update zh_CN translation

Yuri Kozlov (2):
      Updated Russian translation
      Updated Russian translation

Yuri Myasoedov (2):
      Updated Russian translation
      Updated Russian translation

Мирослав Николић (3):
      Updated Serbian translation
      Updated Serbian translation
      Updated Serbian translation



Anjuta 3.5.91 "Je voudrais etre un yeti" (September 3 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.4.x!

Andika Triwidada (1):
      Updated Indonesian translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Dominique Leuenberger (1):
      gtksourceview plugin: include gtksource.h instead of gtksourceview.h

Fran Diéguez (1):
      Updated Galician translations

James Liggett (1):
      git: Fix bgo 680401: Git plugin (Status) doesn't work with git version 1.7.10.4

Johannes Schmid (1):
      Post-release version bump

Piotr Drąg (2):
      Updated Polish translation
      Updated Polish translation

Sébastien Granjoux (1):
      Fix #679767 - crash trying to stop the debugger

Yuri Myasoedov (1):
      Updated Russian translation

Anjuta 3.5.5 "Kein Stress" (August 6 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.4.x!

Aleksander Morgado (1):
      devhelp: update plugin to avoid DhBase, no longer available in libdevhelp

Alexandre Rostovtsev (1):
      language-support-vala: build using $(VALAC), not valac

Andre Klapper (1):
      FAQ: Several improvements

Daniel Mustieles (1):
      Updated Spanish translation

Daniel Șerbănescu (1):
      Updated Romanian Translation

Fran Diéguez (1):
      Updated Galician translations

James Liggett (1):
      symbol-db: Fix build

Jiro Matsuzawa (1):
      [l10n] Update Japanese translation

Johannes Schmid (13):
      Post-release version bump
      build: Only check for passwords when installing as root (bgo#680136)
      libanjuta: Fix some warnings and made AnjutaPluginDescription a boxed type
      Updated dependencies to fixed checking twice for libgda
      document-manager: bgo#680554 - entry of find in files doesn't get focused
      document-manager: Only use in project files
      document-manager: bgo#680559 - Find in Files does not scroll to top of results
      document-manager: bgo#680555 - Escape key does not dismiss Find in Files panel
      libanjuta, language-support-*: Move IAnjutaLanguageProviderProposalData to libanjuta
      libanjuta, language-support-*: Introspection from bgo#680466
      class-inheritance, code-analyzer: Remove plugins that don't work or aren't built
      document-manager: Unify focus handling
      configure: Fix build

Kalev Lember (2):
      starter: Use glib resource framework for UI files
      starter: Remove unused starter_logo.png

Moritz Lüdecke (8):
      Add new the interface IAnjutaLanguageProvider and extend IAnjutaEditorAssist
      Adapt the sourceview plugin to the new IAnjutaEditorAssist API
      Adapt the snippets-manager plugin to the new IAnjutaEditorAssist API
      Adapt the language-support-vala plugin to the new IAnjutaEditorAssist API
      Adapt the language-support-python plugin to the new interface IAnjutaLanguageProvider
      Adapt the language-support-js plugin to the new interface IAnjutaLanguageProvider
      Adapt the parser-cxx plugin to the new interface IAnjutaLanguageProvider
      Move parser part from the language-support-cpp-java to the new parser-cxx plugin

Piotr Drąg (2):
      Updated POTFILES.in
      Updated POTFILES.in and POTFILES.skip

Steven Oliver (1):
      Add falcon pl to anjuta-tags

Sébastien Granjoux (4):
      anjuta: Fix closed dock windows which were kept hidden due to the latest changes in GDL
      Do not include devhelp.h if devhelp plugin is not enabled
      Fix bgo #680657 - Warnings when starting anjuta
      git: Only show the Git Tasks menu when the Git window is active

Tom Tryfonidis (1):
      Updated Greek translation

Мирослав Николић (2):
      Updated Serbian translation
      Updated Serbian translation

Anjuta 3.5.4 "Irgendwas ist immer" -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.4.x!

Alexander Shopov (2):
      Updated Bulgarian translation
      Updated Bulgarian translation

Andika Triwidada (1):
      Updated Indonesian translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Johannes Schmid (2):
      Post-release version bump
      libanjuta: Fix memory corruption in AnjutaPkgConfig (bgo#679827)

Ken Shibata (1):
      [l10n] Update Japanese translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Massimo Corà (3):
      cxxparser: avoid infinite loop. Fixed bgo#679772
      cxxparser: improved code checks to avoid leaks.
      cxxparser: fixed warning on query field retrieving.

Moritz Lüdecke (1):
      improve calltips in vala plugin

Anjuta 3.5.3 "Pizza" (25 July 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.4.x!

Alexander Shopov (1):
      Updated Bulgarian translation

Bruno Brouard (1):
      Updated French translation

Daniel Mustieles (4):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Dimitris Spingos (1):
      Updated Greek translation

Dimitris Spingos (Δημήτρης Σπίγγος) (1):
      Updated Greek translation

Fran Diéguez (2):
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (1):
      Updated Hungarian translation

James Liggett (5):
      git: Use tree paths instead of iterators to track the selected log viewer branch
      git: Remove an unused variable
      libanjuta: Add widget presenting capability to AnjutaDock
      git: Show the Status pane on plugin load
      libanjuta: Reverse the order of pane operations in anjuta_dock_replace command_pane

Johannes Schmid (8):
      Fixed POTFILES.in
      project-wizard: Make sure no template requires gtk+ 2.12 anymore
      project-wizard: Explicitely use 3.0 as interface version for ui files (bgo#675877)
      configure: Detect python more robust
      indentation: Use Indentation as name for all indentation preferences
      symbol-db: Don't crash if project was moved to another location
      symbol-db: Ingore files with unknown language (see bgo#678695)
      symbol-db: Avoid warning when NULL is passed to sdb_engine_add_language()

Jonh Wendell (1):
      Updated Brazilian Portuguese translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Marco Diego Aurélio Mesquita (1):
      glade: bgo#676811 - Fix check order of editor on member add

Marek Černocký (1):
      Updated Czech translation

Mario Blättermann (1):
      [l10n] Updated German translation

Moritz Lüdecke (3):
      split language-support-cpp-java and language-support-python plugin in an indentation part and a new language-support part
      Some trivial fixes in indentation plugins and cpp-java plugin
      resolve dependencies from cpp-java plugin

Peter Mráz (1):
      Updated Slovak translation

Piotr Drąg (2):
      Updated POTFILES.in
      Updated POTFILES.in and POTFILES.skip

Praveen Illa (1):
      Updated Telugu Translation

Ryan Lortie (2):
      vala language support: update to Vala 0.18
      ctags vala support: update to Vala 0.18

Rūdolfs Mazurs (1):
      Updated Latvian translation

Sébastien Granjoux (3):
      build-basic-autotools: bgo #674863 - No easy way to call make check
      libanjuta: Fix warnings in autogen code
      libanjuta, am-project: bgo #675118 - Project manager never finishes loading Anjuta project

Tom Tryfonidis (1):
      Updated Greek translation

Yuri Kozlov (2):
      Updated Russian translation
      Updated Russian translation

Мирослав Николић (1):
      Updated Serbian translation

Anjuta 3.5.1 "It's gonna be a long summer" (30 April 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.4.x!

Arnel A. Borja (1):
      language-support-vala: Removed "cpp-" prefix from schema key names

Bruno Brouard (1):
      Updated French doc translation

Carles Ferrando (1):
      [l10n]Updated Catalan (Valencian) translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (3):
      Updated Spanish translation
      Updated Spanish translation
      Updated Spanish translation

Fran Diéguez (3):
      Updated Galician translations
      Updated Galician translations
      Updated Galician translations

Gabor Kelemen (3):
      Updated Hungarian translation
      Add omitted plugin.in files to POTFILES.in
      Fix a typo in the code-analyzer plugin name

Gil Forcada Codinachs (1):
      [l10n] Fixes on Catalan translation

Johannes Schmid (2):
      Post release version bump
      sourceview: Correctly implement popup-menu (bgo#672692)

Kristjan SCHMIDT (1):
      Updated Esperanto translation

Matej Urbančič (1):
      Updated Slovenian translation

Mihai Ciocan (1):
      Fixed autoindentation after line wrapping

Moritz Lüdecke (1):
      project-manager: bgo #594912 - The target advanced options window should remember its size

Pavel (1):
      subversion: Fix pointer size problems on gcc 4.5.3 and newer

Piotr Drąg (1):
      Updated Polish translation

Sasi Bhushan (1):
      Updated Telugu Translation

Sébastien Granjoux (30):
      am-project: Include project files as sources in the project tree
      project-manager: Remove project files from project tree view
      am-project: Fix regression tests after adding project files in the project tree
      am-project: Avoid a crash when parent group is missing
      am-project: Avoid a crash when adding a target to an invalid group
      am-project: Allow to create the root group in an empty project
      am-project: Allow to have sub directories in a group
      project-manager: Display group name containing sub directories
      libanjuta: Fix anjuta_token functions
      am-project: Do not expand variable in target and group flags
      am-project: Expand variables in source names
      am-project: Fix a crash in regression test 1
      am-project: Fix a crash on 64 bits system due to missing declaration of amp_source_new
      am-project: Fix a crash when loading project
      libanjuta: Remove some useless code in AnjutaPreferences
      libanjuta: Allow to define common settings in plugin preference page
      language-support-cpp: Use common settings for indentation
      language-support-python: Use common settings for indentation
      sourceview: Use common settings for indentation
      project-wizard: bgo #563986 - wizard generates modeline inconsistent with indentation prefs
      language-support-python: Move preferences in plugins/python
      language-support-cpp: Move preferences in plugins/cpp
      project-wizard: Do not use NPWValue in autogen API
      class-gen: Use a simple hash table instead of NPWValue
      libanjuta: Move autogen functions from project-wizard to libanjuta
      libanjuta: document AnjutaAutogen API
      libanjuta: Change autogen API to support introspection
      libanjuta: Reuse G_FILE_ERROR instead of defining a new error domain for autogen
      libanjuta: Move useful template macros from project wizard to a common directory
      class-gen: bgo#672892 - Class generator should respect project's indent settings

Yuri Myasoedov (1):
      Updated Russian translation

Anjuta 3.4.0 "Wow, this time of the year again" (26 March 2012) -- Johannes Schmid

This is a new stable version of Anjuta and all users should update to this
version as all 3.2.x versions become unsupported at this point.

Summary of the major changes between 3.2.x and 3.4:

* project-manager:
 - Improved target chooser in various dialogs (Sébastien Granjoux)
 - Better parsing of complicated automake projects (Sébastien Granjoux)

* project-wizard:
 - Simplification to make it easier for newcomers to create projects (Sébastien Granjoux)
 
* language-support
 - Add widgets from glade as private members of GObject classes (Marco Diego Aurélio Mesquita)
 - Allow creating signal handlers by double-clicking (Marco Diego Aurélio Mesquita)
 - Build with vala-0.16 and various small fixes (Abderrahim Kitouni)
 
* Search
 - Find in files for project files (Johannes Schmid)

* Overall
 - Use relative path for sessions (Sébastien Granjoux)
 - Many bugs fixed including some crashers (various)

Thanks to everybody who has helped this cycle and all translators!

Andrea Zagli (1):
      [l10n] Updated Italian translation

Duarte Loreto (1):
      Updated Portuguese translation

Lucas Lommer (1):
      Updated Czech translation


Anjuta 3.3.92 "This week needs more speed" (20 March 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.2.x!

Akom Chotiphantawanon (1):
      Updated Thai translation.

Alexander Shopov (1):
      Updated Bulgarian translation

Antonio Fernandes C. Neto (1):
      Updated Brazilian Portuguese translation

Bruce Cowan (1):
      Updated British English translation

Bruno Brouard (1):
      Updated French translation

Carles Ferrando (1):
      [l10n]Updated Catalan (Valencian) translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (3):
      Updated Spanish translation

Daniel Nylander (1):
      Updated Swedish translation

Fran Diéguez (2):
      Updated Galician translations

Gabor Kelemen (2):
      Updated Hungarian translation

Joan Duran (1):
      [l10n] Updated Catalan translation

Johannes Schmid (2):
      document-manager: Destroy page with gtk_widget_destroy() instead of gtk_container_remove()
      sourceview: Correcly unref the buffer

Kenneth Nielsen (1):
      Updated Danish translation

Khoem Sokhem (1):
      Add Khmer translation.

Krishnababu Krothapalli (1):
      Updated Telugu Translations

Marco Diego Aurélio Mesquita (2):
      Fix marker comment for simple gtk+ project.
      Prevent multiple declarations for the same member widget.

Mario Blättermann (2):
      [l10n] Updated German doc translation
      [l10n] Added German faq translation

Massimo Corà (1):
      symbol-db: fixed scope_definition_id creation.

Matej Urbančič (1):
      Updated Slovenian translation

Paul Seyfert (1):
      [l10n] Updated German translation

Piotr Drąg (1):
      Updated Polish translation

Sébastien Granjoux (6):
      dir-project: Allow to add and remove source files
      project-manager: Allow to add groups to the root of directory project
      am-project: Avoid a crash when adding a second group at an upper level
      am-project: Keep sibling when reloading a node
      dir-project: Avoid a crash when closing a project
      dir-project: Avoid duplicated files in project view when reloading project

Timo Jyrinki (1):
      Finnish translation update from http://l10n.laxstrom.name/wiki/Gnome_3.4 translation sprint

Yuri Myasoedov (1):
      Updated Russian translation

Мирослав Николић (1):
      Updated Serbian translation

Anjuta 3.3.91 "Im Osten nichts Neues" (5 März 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.2.x!

Abderrahim Kitouni (4):
      am-project: don't prefix object name with target name because of VALAFLAGS
      project-wizard: only add [CCode (instance_pos = -1)] when using GtkBuilder
      project-wizard: [CCode (instance_pos = -1)] should be in the signal callback
      bgo#670537: Do not ship vala-generated .c files in tarballs

Alexander Shopov (1):
      Updated Bulgarian translation

Ask H. Larsen (1):
      Updated Danish translation

Daniel Nylander (1):
      Updated Swedish translation

Daniel Șerbănescu (3):
      Updated Romanian Translation

Fran Diéguez (2):
      Updated Galician translations
      Added galician translations for doc

Johannes Schmid (10):
      project-wizard: bgo#670483 - [CCode (instance_pos = -1)] should be removed from boilerplate code.
      Updated files for release
      am-project: Fixed anjuta.at testcase
      Revert "Do not ship vala-generated .c files in tarballs"
      am-project: Fix anjuta testcase
      document-manager: Fixes on find in files
      Post-release version bump and bump glade requirement
      am-project: Fixed anjuta test-case
      Fixed distcheck
      snippets: Add tooltips (bgo#627089)

Jonh Wendell (1):
      Updated Brazilian Portuguese translation

Kenneth Nielsen (1):
      Updated Danish translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Krishnababu Krothapalli (1):
      Updated Telugu Translations

Marco Diego Aurélio Mesquita (3):
      bgo#670149 - Automatically add a callback when user double-clicks a signal in the glade signal editor
      Fix check order for anjuta editor in glade plugin.
      Documentation fix for member widgets.

Matej Urbančič (1):
      Updated Slovenian translation

Sébastien Granjoux (7):
      am-project: Rename AM_PROPERTY_COMPILATION_FLAG
      project-wizard: bgo #670656 - I can not build a pygtk prj include i18n
      am-project: bgo #670830 - am-project anjuta test-case fails on dist-check
      build: Disable vala support if libvala is missing
      am-project: bgo #670789 - project-manager doesn't parse aqbanking project correctly
      language-support-cpp-java: bgo #662955 - Autoindent indents next line if previous have a string with double slash
      manual: Document emacs and vim modeline variables supported by Anjuta

Vincent Untz (1):
      Do not ship vala-generated .c files in tarballs

Yuri Myasoedov (1):
      Updated Russian translation


Anjuta 3.3.90 "Für meine Oma" (20 February 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.2.x!

What's new:
 * Find in files is back!

Abderrahim Kitouni (4):
      configure: fix build of vala plugin
      language-support-cpp-java: do not insert widgets declaration and initialization for Vala
      libanjuta: add some gi annotations (and regenerate vapi)
      language-support-vala: insert glade member widget declaration and initialization

Changwoo Ryu (1):
      Updated Korean translation

Chao-Hsiung Liao (1):
      Updated Traditional Chinese translation(Hong Kong and Taiwan)

Daniel Mustieles (19):
      Updated Spanish translation
      Fixed typo in string

Dominique Leuenberger (1):
      build: Support vala 0.15/0.16

Fran Diéguez (2):
      Updated Galician translations
      Updated Galician translations

Gheyret Kenji (1):
      Updated Uyghur translation

James Liggett (2):
      git: Only show the selection checkboxes in the Branches pane when needed
      libanjuta: Remove the old pane first in anjuta_dock_replace_command_pane

Johannes Schmid (22):
      Updated files for releas
      Post-release version bump
      anjuta: Correct desktop file so that gnome-shell recognizes anjuta
      search: Initial "Find in files" dialog work
      search: Minor code cleaup in search-box adding some access methods
      libanjuta: Added "opened" signal to IAnjutaFile interface
      sourceview: Implement IAnjutaFile::opened signal
      search: Improve find in files dialog
      search: Don't show spinner when not busy
      search: Get files from project manager according to the selection
      search: Added filter filter command
      language-manager: Added ianjuta_language_get_mime_types()
      search: Implemented file search based on mime-type and some memory fixes.
      libanjuta: Make AnjutaTabber look (mostly) like GtkNotebook tabs
      file-manager: Render version control status icons better
      language-support-cpp-java: Small memory leak
      search: Remove "Find files" button and instead reuse the search button for this feature.
      search: Use G_REGEX_MULTILINE for find in files.
      class-gen: Improve GObject tempalate (create priv variable if a private struct is created)
      class-gen: Guess param spec correctly.
      document-manager: Update project chooser in search-files correctly when project is changed
      manual: Improve code assistance documentation

Ken Shibata (1):
      [l10n] Update Japanese translation

Kjartan Maraas (1):
      Updated Norwegian bokmål translation

Marco Diego Aurélio Mesquita (2):
      Implement automatic member declaration and initialization for widgets in the glade plugin.
      Automatically detect which file that will hold member widgets declaration and initialization.

Massimo Corà (3):
      symbol-db: bgo #668438 IANJUTA_SYMBOL_FIELD_IS_CONTAINER has wrong column type
      symbol-db: added static value for local project
      symbol-db: force upgrade db version to 340.0

Matej Urbančič (1):
      Updated Slovenian translation

Olav Vitters (2):
      fix string formatting (from Mageia)
      fix build / linking (from Mageia)

Piotr Drąg (3):
      Updated POTFILES.in

Sébastien Granjoux (34):
      anjuta-manual: Improve project manager documentation
      anjuta-manual: Split FAQ using a page for each question
      project-manager: Small fixes on project manager dialog
      libanjuta: Add a help id in node information
      project-manager: Add a help button on project properties dialogs
      am-project: Fix move of projects (used in regression tests)
      am-project: Fix an error when changing quoted properties value in configure.ac
      am-project: Fix apply button in project properties dialog
      project-wizard: bgo #655865 - library project naming. library names is not what you want.
      project-wizard: bgo #661300 - Double clicking fails to initiate project wizard
      project-wizard: Add search paths for files included in autogen template
      project-wizard: Generate the licenses in a more general way, fix bgo #627431
      project-wizard: Add file forgotten in the previous commit
      libanjuta: Allow to store relative URI in anjuta saved session
      anjuta, document-manager, file-loader, glade, project-manager: Save relative URI
      project-manager: Fix new project manager combo box when the glade plugin is loaded
      debug-manager: Save breakpoint using relative file paths
      debug-manager: Use GFile instead of URI in breakpoint
      run-program: Save relative working directories in session file
      run-program: Save relative program URI in session file
      am-project: Add files missing in source package for regression test
      am-project: Fix configure.ac parser allowing to load gnucash
      am-project: Fix regression test using anjuta project
      project-manager: Implement ianjuta_project_manager_get_children
      message-view,sourceview: bgo #669359 - Yellow debugger color in dark theme
      am-project: Allow to create libtool modules
      am-project: bgo #669944 - missing file "gnucash.at" in am-project plugin
      libanjuta, project-manager, document-manager: ianjuta_project_manager_get_children find now all children with the specified type
      project-manager: Remove duplicate from the list of files returned by ianjuta_project_manager_get_children
      document-manager: Do not check file types if there is no files in find files window
      am-project: Display an error when trying to add a directory as a source
      am-project: rh #702849 crash when removing a target in the project root node
      dir-project: Merge root and top group node
      dir-project: Removing an node in a sub directory was crashing Anjuta

Tiffany Antopolski (1):
      po: Updated en_CA.po

Yuri Myasoedov (1):
      Updated Russian translation

Мирослав Николић (5):
      Updated Serbian translation



Anjuta 3.3.4 "First snow in Berlin" (16 January 2012) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.2.x!

Abderrahim Kitouni (7):
      libanjuta: set the info for the default value of a property
      libanjuta: add gir annotation for anjuta_project_node_insert_property_info
      libanjuta: don't register project property lists as GObject properties
      libanjuta, am-project: better memory management for the properties lists
      language-support-vala: update .vapi for the latest changes
      language-support-vala: take advantage of the new project API
      libanjuta, am-project, project-manager, language-support-vala: rename property to default_value

Alexander Shopov (1):
      Updated Bulgarian translation

Arnel A. Borja (10):
      sourceview: Fix typo in a gschema key name
      anjuta-build-tutorial: Remove AM_MAINTAINER_MODE
      project-wizard: Don't symlink Automake files
      project-wizard: Use Automake variables for defines
      project-wizard: Move PROJECT_CFLAGS to own line
      class-gen: Use convention for get-private macros
      project-wizard: Use pkgdatadir instead of datadir/package
      project-wizard: Move PROJECT_CFLAGS to own line in minimal template
      project-wizard: check HavePackage before adding PROJECT_CFLAGS
      project-wizard: Don't replace hyphen with underscore in filenames

Daniel Mustieles (6):
      Missing file in POTFILEs.in
      Updated Spanish translation

Fran Diéguez (1):
      Updated Galician translations

James Liggett (2):
      git: Fix switch delete branch, and merge action sensitivity
      Revert "git: Use combo box instead of tree view for remotes"

Jiro Matsuzawa (1):
      Updated Japanese translation

Johannes Schmid (7):
      Updated files for release
      Post-release version bump
      search: Search for next occurence when replace succeeds (see bgo#665945)
      search: Set focus chain (see bgo#665945)
      search: Add tooltip in search entry (see bgo#665945)
      search: Move close button to the right edge (see #665945)
      code-analyzer: Fixed bgo#667903 - Code Analyzer Crashes

Massimo Corà (3):
      symbol-db: fixed bgo #664413 - Symbols not updated correctly when switching branches
      symbol-db: improved some debug messages
      symbol-db: minor performance bugfix.

Matej Urbančič (1):
      Updated Slovenian translation

Muhammet Kara (1):
      [l10n]Updated Turkish translation

Peter Hoffmann (1):
      language-support-cpp: bgo#633341 - Code completion should close parentheses

Piotr Drąg (2):
      Updated POTFILES.in

Sébastien Granjoux (21):
      am-project: bgo #666621 - segfault in amp_node_property_add when there is an orphan AmpTargetNode
      project-manager: Allow to add groups and targets in the root node
      anjuta: Remove old tutorial links
      libanjuta: Fix anjuta_util_help_display to use yelp
      project-manager: Add a help button in some dialogs
      am-project: bgo #666966 - crash editing configure.ac
      libanjuta: Add a model property to AnjutaTreeComboBox
      libanjuta: Add IAnjutaProjectChooser interface
      project-manager: Implement a project node chooser
      project-manager: Fix ianjuta_project_manager_add_source_quite function
      libanjuta: Fix a critical warning when selecting a node in chooser widget
      file-wizard: Use the new project node chooser
      class-gen: Use the new project node chooser
      libanjuta: Add missing GdfProjectView in Anjuta glade catalog
      project-manager: Use a GtkFileChooser to add sources in a target
      file-wizard: Cosmetic improvements of new file dialog
      libanjuta: Improve AnjutaTreeComboBox
      project-manager: Use new improvements in ProjectChooser button
      project-manager: Select a valid default node in ProjectChooser button
      project-manager: Use ProjectChooser button in the Add library dialog
      project-manager: Rename directory to folder in project dialogs

Anjuta 3.3.3 "It's X-mas time..." (20 December 2011) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version,
use 3.2.x!

Abderrahim Kitouni (1):
      language-support-vala: fix a crash with the directory project backend

Akom Chotiphantawanon (1):
      Updated Thai translation.

Alban Browaeys (1):
      git: fix active_branch_iter not behing null though filled with null values.

Arnel A. Borja (3):
      project-wizard: Add wizard files to EXTRA_DIST
      language-support-vala: update the .vapi after project-manager changes
      language-support-vala: update project property interfaces

Bruno Brouard (3):
      Updated French doc translation
      Updated French translation

Christian Kirbach (3):
      Updated German Anjuta manual translation
      Updated German translation

Daniel Mustieles (4):
      Updated Spanish translation


Gabor Kelemen (1):
      Make the tasks in the Git tasks window show up translated.

Johannes Schmid (18):
      libanjuta: Add anjuta_dock_replace_command_pane
      git: Only show one command pane at any time
      git: fix bgo#646695 - Remote needs translator comment
      git: bgo# 656761 - Error messages being spewed
      message-manager: Fix rh#532290 - Crash when ianjuta_message_manager_append() is used with NULL string
      build-basic-autotools: Fix rh#757236 - anjuta crashes when file doesn't belong to build configuration.
      libanjuta: Add anjuta_dock_get_command_bar()
      git: Fix bgo#641079 - check number of branches selected when switching
      document-manager: Fixed some memory leaks
      anjuta: Fixed a memory leak
      language-support-js: Fixed bgo#665082 - Crash in javascript autocompletion
      git: Disable delete button when there is no selection in the tags pane
      git: Use combo box instead of tree view for remotes
      i18n: Fix bug with wrong format string in german translation
      sourceview: Don't break layout when displaying message area
      js-debugger: bgo#666448 - Support application/javascript target
      manual: Fix bgo666321 -  Wrong Context-Help shortcut
      Revert "git: fix active_branch_iter not behing null though filled with null values."

Matej Urbančič (1):
      Updated Slovenian translation

Piotr Drąg (1):
      Updated POTFILES.in

Sébastien Granjoux (16):
      debug-manager: Move settings in plugins/debug-manager
      run: Move preferences to plugins/run
      sourceview: Fix a crash with Scintilla
      project-wizard: Display only useful page on the sidebar
      project-wizard: Replace GtkSwitch by GtkCheckButton
      project-wizard: Add a title to each wizard page
      project-wizard: wizard pages were not displayed due to the previous changes.
      libanjuta, am-project, dir-project, mk-project, project-manager: Change AnjutaProjectProperty
      libanjuta, language-support-vala: Fix an declaration of anjuta_project_get_properties
      sourceview: Move preferences in plugins/sourceview
      document-manager: Remove editor settings
      sourceview: Add editor view settings
      document-manager: Remove unused editor view settings
      run-program: bgo #666336 - Add Execute project more than one
      sourceview: bgo #666482 - missing "anjuta-sourceview.xml" breaks build
      am-project: Fix a crash when closing and opening a new project

Anjuta 3.3.2 "Dark and cold" (21 November 2011) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version, 
use 3.2.x!

Bugs fixed:
648934 	Vala completion doesn't work in some cases.
662526 	Can't replace with empty replace text
663016 	Fix search behavior in regex and selections
663385 	Replace all hangs when replace text contains search_text
664058 	couple of spelling fixes
664263 	Auto-complete (anjuta-python-autocomplete.py) fails with rope<=0.9.2, calltip always fail
645212 	Enhance export feature
629769 	Hard coding of application title in splash screen
658788 	Change default dist to .xz
661299 	Template for Gnome Shell Extension
662960 	SegFault when a line is highlighted when debugging

Thanks to: Abderrahim Kitouni, Arnel A. Borja, Christian Kirbach, 
Daniel Mustieles, Fran Diéguez, Jason Siefken, Jorge González, 
Massimo Corà, Mihai Bivol, Piotr Drąg, Samir Ibradžić, Sébastien Granjoux

Anjuta 3.3.1 "Back in Berlin" (23 October 2011) -- Johannes Schmid

This is an unstable developer snapshot - if you need a stable version, 
use 3.2.x!

Bugs fixed:
659563 	Bookmarks reset to position 1 after file changed on FS
660841 	build failure with [-Werror=format-security]
662526 	Can't replace with empty replace text
610371 	Scite adds a trailing white space after pressing enter for aligning variables
653274 	Autotools backend doesn't support include file in configure script
653652 	'New file' doesn't check duplicates, gets confused
660061 	Remove 'no-dist-bzip2' from automake options
660065 	Can't create a new target in empty Makefile
633284 	Scintilla plugin crashes Anjuta when opening a file with syntax highlighting
661511 	Python/Django Project Wizard: Missing Components/Programs: django-admin 

Thanks to:
Andre Klapper, Arnel A. Borja, Carles Ferrando, Michael Biebl, 
Sébastien Granjoux, Xandru Armesto, krishnababu k, Мирослав Николић

Anjuta 3.2.0 "No more bombs" (25 September 2011) -- Johannes Schmid

This is the new stable release, please update if you are using anjuta
3.0.x or 2.32.x. From now on, only 3.2.x will be receiving bug-fixes.

Fixes:
* Fixed make distcheck: FAQ, autotests, etc (Sébastien Granjoux)

Special thanks for the whole 3.1/3.2 cycle goes to Sébastien who fixed
a huge amount of stuff and was responsible for the huge documentation rewrite.

Thanks to:
Akom Chotiphantawanon, Alexander Shopov, Andrea Zagli, 
Antonio Fernandes C. Neto, Arnel A. Borja, Bruce Cowan, Chao-Hsiung Liao,
Duarte Loreto, Gabor Kelemen, Javier Jardón, Jiro Matsuzawa, Joan Duran,
Joe Hansen, Johannes Schmid, Jorge González, Mario Blättermann, Matej Urbančič,
Paul Seyfert, Sébastien Granjoux, Yinghua Wang, Yuri Myasoedo

Anjuta 3.1.92 "Hot summer in Nagano" (18 September 2011) -- Johannes Schmid

Bugs fixed:
656470 	Dangling symlinks created by make install
658229 	Inconsistent size of widgets in Properties Frames of Class Generator Dialog
658262 	Extra separator between double upper case characters
566700 	Default font for the Scintilla editor
654320 	Vala: New Class Wizard - created file not added to project
655295 	Add Target in Vala project does nothing.
658903 	Anjuta Plugin wizard fails
654463 	Disable "Install missing packages" button on OpenBSD

Thanks to:
Akom Chotiphantawanon, Alexander Shopov, Antonio Fernandes C. Neto,
Arnel A. Borja, Bruce Cowan, Chao-Hsiung Liao, Duarte Loreto, Javier Jardón, 
Jiro Matsuzawa, Joan Duran, Jorge González, Paul Seyfert, Sébastien Granjoux,
Yinghua Wang

Anjuta 3.1.91 "On the way to Tokio" (5 September 2011) -- Johannes Schmid

Updates:
 - More improvements in vala plugin (Abderrahim Kitouni)
 - Fix up problems with gtk+ 3.0 (Sébastien Granjoux)

Bugs fixed:
638525 	vala support crash on reading source file
657491 	Only parse the source files of the current target
657513 	anjuta fails to build in gnome 3.1
657589 	tests fail in tarball releases because tarballs are missing anjuta.lst
655756 	User should be notified if execution of a project fails
656123 	plural forms needed
657590 	Projects with libtool fails to regenerate
657022 	make clean removes libanjuta-interfaces.h which breaks make clean; make

Anjuta 3.1.90 "Whitsunday Islands" (29 August 2011) -- Johannes Schmid

Changes:
 - Some seldom used debugger menu items were removed (Sébastien Granjoux)
 - A lot of fixes to the vala support (Abderrahim Kitouni)
 - vala-0.14 (>= 0.13.3) is now required

Bugs fixed:
656584 	Error in DevHelp
642187 	C++ symbols are not shown in symbol browser
657023 	Build broken with vala-0.13.x
566704 	Better UI for environment variables
652047 	Support linking against libgda-5.0
656585 	<FileName>.ui and INSTALL not created in a new project
657134 	Missing file in POTFILES.in
653259 	Empty lines in Locals during debugging

Thanks to:
Abderrahim Kitouni, Aron Xu, Daniel Mustieles, Dominique Leuenberger,
Jorge González, Kjartan Maraas, Marek Černocký, Og B. Maciel, P. F. Chimento, 
Piotr Drąg, Sébastien Granjoux

Anjuta 3.1.5 "Sydney Edition" (13 August 2011) -- Johannes Schmid

Officially brought to you about 20 000 km away from desktop-summit!

Bugs fixed:
654881 	Segmentation fault during project creation if no packages were selected
651151 	vala plugin crashes when uncommenting source
654502 	Allow building with libvala-0.14 (0.13 development tree)
655743 	Usage of GtkHBoxClass and GtkHBox
655998 	Main toolbar looks out-of-place
655584 	Can't edit Integer Field

Thanks to: Abderrahim Kitouni, Akom Chotiphantawanon, Alban Browaeys,
Alexander Shopov, Daniel Mustieles, Dominique Leuenberger, Mario Blättermann, 
Piotr Drąg, Sébastien Granjoux, Yuri Myasoedov

Anjuta 3.1.4 "Leaving on a jet-plane" (25 July 2011) -- Johannes Schmid

Bugs fixed:
654502 	Allow building with libvala-0.14 (0.13 development tree)
646410 	Missing infrastructure for the new Mallard manual
654073 	Please apply the kfreebsd patch to anjuta-extras
654124 	Vala: add class wizard creates file twice.
654445 	Add 'BSD' as a valid license in the Class Generator
654099 	file manager plugin: fix leak for file
654100 	file manager plugin: fix leak in row callapsed
654559 	Weird pseudo-password dialog shown with half a commit message when I import a project
654092 	Crash when adding a project file
654095 	increase reference count of the selected file
654560 	Contents of Preferences tabs seem to be packed to fill all vertical space, with ugly consequences
631157 	unix is not defined on OpenBSD
654455 	Fix build on OpenBSD

Thanks to:
Abderrahim Kitouni, Alban Browaeys, Daniel Mustieles, Dominique Leuenberger,
Francisco Javier Fernández Serrador, Francisco Javier Serrador, 
Jasper Lievisse Adriaanse, Jorge González, Marek Černocký, ario Blättermann,
Piotr Drąg, Sébastien Granjoux, Tamara Atanasoska

Anjuta 3.1.3 "Is this it?" (4 July 2011) -- Johannes Schmid

New:
 - Various improvements in the project wizard
 - Git usuability improvements
 - Auto-completion for Gtk.Builder objects in python plugin
 - more mallard documentation

Bugs fixed:
649107 	Add an index of help topics to the Mallard manual
651212 	Auto-completion of Gtk.Builder objects
312667 	Why not allow people to compile a simple .cpp file not starting a project in a first place?
588952 	build-menu disabled if sources are in subfolder
590323 	Make the context menu "context"-aware
645516 	Enabled (translation comment)
646073 	Application Manager
646192 	New File (translation comment)
652773 	Anjuta (current git) fails to load abiword project
652778 	Opening an automake based project with empty configure.in file fails.
653364 	build failure on kfreebsd: Error on line 6 char 104: Invalid UTF-8 encoded text in
647403 	Selecting Configure External Packages and selecting no packages causes segfault.

Thanks to: Daniel Mustieles, Daniel Nylander, James Liggett, Johannes Schmid, 
Jorge González, Massimo Corà, Matej Urbančič, Philip Chimento, Sébastien Granjoux

Anjuta 3.1.2 "Berg 2011" (13 June 2011) -- Johannes Schmid

New:
- Autocompletion for builder objects in python (Jason Siefken)
- Improvements in autotools backend (Sebastien Granjoux)

Bugs fixed:
645199 	Signal dnd issues
475261 	Change install directory
563856 	generic Vala project type
651670 	Glade file not rendering
646530 	Anjuta crashes when closing tab other than current
588387 	symbol-db-view-locals: better search
651285 	Memory leak in symbol-db/readtags.c
569994 	support includes in makefiles
644047 	No Symbols shown in Global and Search Symbol pane
645659 	Basic aesthetic improvements to preferences dialog
645695 	install broken since deec63dfe4c2527d5adfed049eeac423307229d1
645965 	Theming tweaks
588757 	automake projects reject accented characters in paths
640470 	Port Scintilla to Gtk+3
642784 	New autotools backend has problems with variables in dependencies
648361 	In the "Tools Editor" the Command-Browse button does not work
648571 	file manager variables don't work
650930 	anjuta-3.x project wizard fails to detect autogen-5.11.x
652017 	Default pygtk Makefile.am has incorrect path for ui file
651212  Auto-completion of Gtk.Builder objects

Thanks to
Abderrahim Kitouni, Abduxukur Abdurixit, Alexander Shopov, Alexandre Rostovtsev,
Carl-Anton Ingmarsson, Carles Ferrando, Chao-Hsiung Liao, Christian Hergert,
Cosimo Cecchi, Daniel Mustieles, Djavan Fagundes, Fran Diéguez, Jason Siefken,
Kristjan SCHMIDT, Massimo Corà, Matej Urbančič, Muhammet Kara, Naba Kumar,
Philip Chimento, Sébastien Granjoux, Tamara Atanasoska

Anjuta 3.0.0 "Three.Point.Zero" (4 April 2011) -- Johannes Schmid

Summary of new features compared to 2.32.x:
 * New project manager that supports a wider range of autotools features
 (Sébastien Granjoux)
 * Reworked git UI for easier version control (James Liggett)
 * Better glade integration including drag & drop for signals
 * Inline search features replace and regular expressions (Eugenia Gabrielova)
 * Project wizards adapted to new GNOME3 libraries and languages

Bugs fixed (since RC1):
645470	Anjuta from git master still creates Vala projects using GTK 2
645557	Autogenerated PyGTK projects have wrong path to UI file 
646530  Anjuta crashes when closing tab other than current

Thanks to:
Abduxukur Abdurixit, Akom Chotiphantawanon, Andrea Zagli, Aron Xu,
Ask H. Larsen, Bruce Cowan, Bruno Brouard, Christian Kirbach, Daniel Korostil,
Daniel Nylander, Djavan Fagundes, Duarte Loreto, Gabor Kelemen, Joan Duran,
Joe Hansen, Jordi Serratosa, Kenneth Nielsen, Kjartan Maraas, Lukas Lommer,
Marek Černocký, P. F. Chimento, Peteris Krisjanis, Rajesh Ranjan,
Rodolfo Ribeiro Gomes, Sébastien Granjoux, Yuri Myasoedov


Anjuta 2.91.92 "Toronto-style" (RC1) (21 March 2011) -- Johannes Schmid

Updated:
- Lots of little fixes on the templates

Bugs fixed:
643379 	Glade drag and drop support for Vala
307515 	drag and drop variable symbol onto watches for simple expressions
336856 	Search and replace is not simple
565275 	Quick Search should be able to search backward
565276 	highlight all matches in Quick Search
638134 	Redesign of Single and Multi-File Search & Replace
645311 	Adjust to GtkSourceView API break
644050 	Some strings are not marked for translation in the .ui file
643621 	Anjuta catalog makes glade complain.
644595 	Patches from Mandriva package
645049 	Password detection not working on non-english locales
645076 	Run dialog doesn't work with python project
570912 	Cannot remove module/package
644294 	old version of gtk+ specified for gtkmm projects 

Thanks to:
Abderrahim Kitouni, Bruce Cowan, Chao-Hsiung Liao, Daniel Mustieles,
Daniel Nylander, Dirgita, Fran Dieguez, Fran Diéguez, Gabor Kelemen,
Garrett Regier, Jorge González, Mario Blättermann, Matej Urbančič,
Nanci de Brito Bonfim, Piotr Drąg, Sébastien Granjoux

Anjuta 2.91.91 "Less bugs, more fun" (Beta 2) (7 March 2011) -- Johannes Schmid

New:
- Signal dragging support for Vala (Abderrahim Kitouni)
- Improved C++ signal dropping features (Marco Diego Aurélio Mesquita)
- Regular expression inline search (Eugenia Gabrielova)

Bugs fixed:
623735 	Move pkg-config symbol parsing to language-support-cpp-java
638836 	language-support-vala: refactor to work with latest project manager
336856 	Search and replace is not simple
565275  Quick Search should be able to search backward
565276 	highlight all matches in Quick Search
568047 	Glade plugin does not allow adding notebook containers with less than 3 tabs.
638134 	Redesign of Single and Multi-File Search & Replace
643205 	Updates symbols on glade signal drop.
644014 	Typo at translation message
640545 	File-wizard screws up file notice
642763 	Fix memory in message-view plugin
627105 	Mark default diff filenames for translation
642749 	Status window doesn't work
643707 	Please remove unnecessary markup from .ui files
644050 	Some strings are not marked for translation in the .ui file
636410 	Unable to delete data target
639440 	[PATCH] Strings not translated when plugin manager is used form apps
643245 	Create a prototype in the header file when a signal is dropped in a C source file.
643828 	A few typos
641331 	Add a (non-alphabetical) sorting order to wizard files 

Thanks to:
Abderrahim Kitouni, Akom Chotiphantawanon, Daniel Mustieles
Daniele Forsi, Dragos Dena, Eugenia Gabrielova, Gabor Kelemen,
James Liggett, Jorge González, Marco Diego Aurélio Mesquita,
Massimo Corà, Mathieu Dupuy, Sébastien Granjoux, Yuri Myasoedov

Special thanks to all the translators for spotting typos and non-translatable strings!


Anjuta 2.91.90 "Prepare for the gladification" (Beta 1) (21 February 2011) -- Johannes Schmid

New:
- Signal dragging support for python
- Glade usuability fixes
- New inline search/replace from Eugenia (Women Outreach program)

Bugs fixed:
530060 Have a "replace all" option in search and replace
553772 Unable to move or resize widget placed inside a layout widget
568047 Glade plugin does not allow adding notebook containers with less than 3 tabs.
631260 Composer window broken after defining ActionGroup
633786 plugin.c:59: warning: implicit declaration of function 'PyString_FromString' when compiling anjuta
642647 Crash if anjuta is launched with a project that needs the glade plugin.
642719 Prototype generator for C header files
638787 wrong set on gtk_source_view_set_smart_home_end
642763 Fix memory in message-view plugin
516685 New artwork for splash screen
549440 LIBADD is added at the wrong position in Makefile.am if it doesn't exist
565358 documentation files appear in "other files" target
566248 ianjuta_project_manager_get_elements returns weird data
569992 support makefiles named GNUmakefile.am
637981 Port Makefile backend to the new API
640969 Allow importing projects with 3rd party project backends
641181 error building out-of-tree plugins that only include libanjuta/libanjuta.h
642640 NULL pointer dereference and memory leak in parameter.c
642750 [PATCH] NULL pointer dereference in anjuta-tabber.c
570912 Cannot remove module/package
642723 Small in C header template 

Thanks to: Abderrahim Kitouni, Aron Xu, Christian Kirbach, Daniel Mustieles,
Eugenia Gabrielova, Fran Diéguez, James Liggett, Jorge González, Kjartan Maraas,
Marco Diego Aurélio Mesquita, Nanci de Brito Bonfim, Sébastien Granjoux

Anjuta 2.91.6 "To all the dead poets" (31 January 2010) -- Johannes Schmid

New:
- Support for dragging signals from glade into the code (C only)
- Improvements in project-manager
- More features in git-plugin

Bugs fixed:
638506 Homepage: FAQ Mailinglist link is wrong
639786 quick bookmark deletion
640277 editor position history doesn't work with shortcut
618142 Anjuta Snippets Plug-in
627131 Autocompletion duplicates characters
639795 Editing variabile after inserting snippet bug
638980 Crash when closing project
608578 Anjuta is unable to import Gnumeric source tree
611206 doesn't recognize newer AC_INIT
615990 path is missing when add a source to the target
616041 Add Source -> Cannot add source files -> Core Dump
618617 Project view doesn't make sense
638368 test-suite fails
639342 Anjuta crash when loading libgee
640348 minor mistake in UI string
640726 anjuta stops updating session information
581613 Unable to import a tarball into Anjuta 2.4.2
639093 I can't start a new project properly 

Thanks to: Chao-Hsiung Liao, Christian Kirbach, Daniel Muestieles,
Daniel Mustieles, Dragos Dena, Fran Diéguez, James Liggett, 
Jorge González, Kjartan Maraas, Massimo Corà, Matej Urbančič, 
Michael Kotsarinis, Rakesh Pandit, Sébastien Granjoux

Anjuta 2.91.5 "Moving forward" (11 Januar 2010) -- Johannes Schmid

Updates:
- Glade integration is working again and far more stable
- Devhelp plugin is here gain
- New class generation for Vala, Python and Javascript (Kenny)
- New artwork (Samuel)
- Comment/Uncomment feature for C/C++ (Peter)
- Various improvements in vala support

Bugs fixed:
638228 language-support-vala: interrupt parsing if user switches to another file
638252 language-support-vala: use the new markers to show error tooltips
511000 Icons needed
638532 crash in plugin list when pressing cursor-down
637699 JavaScript wizard
637774 Add Vala class wizard to class-gen
638534 Criticals with local-only repositories
616426 model wants symbols before db creation.
625399 Attempt to make a query when database is not connected
633018 crash in Anjuta IDE: I closed a project, wich...
637695 allow comment/uncomment with gtksourceview editor
638097 Remove deprecated gdk_spawn_command_line_on_screen gdk_spawn_on_screen
638347 Incorrect makefile
638830 Fortan typo?
638878 $(BUILT_SOURCES): No such file or directory
638034 Unable to create new project
638524 Syntax error on valid configure.ac files 

Thanks to: Abderrahim Kitouni, Akom Chotiphantawanon, Andika Triwidada, 
Aron Xu, Bekhtiyar Ghulam, Daniel Nylander, Gheyret T.Kenji, James Liggett,
Jens Georg, Johannes Schmid, Kenny Meyer, Kjartan Maraas, Massimo Corà,
Matej Urbančič, Peter Hoffmann, Sébastien Granjoux, Yuri Myasoedov

Anjuta 2.91.4 "Merry X-mas" (21 December 2010) -- Johannes Schmid

New:
- Project Manager: Lots of work improving the new project manager. Special
thanks to Sébastien Granjoux for all the time he invests here
- Git Shell: More panes for git features (James)

Bugs fixed:
636665 	[PATCH] .vapi file not distributed
609213 	Anjuta FAQ
636667  [PATCH] Plugins require GTK_LIBS to link against, but this is not in configure.ac
637249 	[class-gen] Python wizard
621424 	No easy way to delete a bookmark
636312 	Double click fails to select entire word if it contains _ or digits
619592 	crash in autocompletion
636084 	Crash Anjuta when typing in Build->Configure->Configuration combo box
636666 	[PATCH] Introspection fails to build with recent gobject-introspection
636668 	[PATCH] Link against the libraries anjuta and anjuta-shell are using
584060 	Project manager hangs anjuta when the contents of project files changes 

Thanks to:
Chao-Hsiung Liao, James Liggett, Jorge González, Kenny Meyer, Robert Ancell,
Sébastien Granjoux

Anjuta 2.91.3 "Lebkuchen - yay!" (30 November 2010) -- Johannes Schmid

WARNING: This is an unstable development snapshot

New:
- Git Shell: Git interface has changed to be context sensitive (James)
- Project Manager: New project manager landed with much better capabilities (Sébastien)
- clang-analyzer: New plugin to use the clang analyzer

Bugs fixed:
615345 Tabs in AnjutaTabber should not expand to all available space
631213 locale.h included twice in main.c
633112 Smart Brace Completion Quotation Mark Crash
633911 Unknown (translation)
635121 language-support-cpp-java: fix invalid read of paranthese-size setting
635795 Editing configure.ac crashes anjuta
631521 create project in folder c++

Thanks to: Abderrahim Kitouni,Akom Chotiphantawanon, Alexander Shopov,
Antonio Fernandes C. Neto, Ask H. Larsen, Bruno Brouard, Carl-Anton Ingmarsson,
Claude Paroz, Daniel Nylander, Duarte Loreto, Fran Diéguez, Gabor Kelemen,
Gheyret T.Kenji, James Liggett, Joan Duran, Jonh Wendell, Jorge González,
Kjartan Maraas, Leonid Kanter, Mario Blättermann, Massimo Corà, Matej Urbančič
Milo Casagrande, Nikos Bakaoukas, Petr Kovar, Philip Withnall, Saleem Ansari
Sébastien Granjoux, Simos Xenitellis, Yang Hong

Anjuta 2.91.2 "Remember the days when we ported from Gtk+ 1.2 to 2.0?" -- Johannes Schmid

WARNING: This is an unstable release! It's the first released based on the
GNOME 3.x library set and a such it may kill your kitten though it's unlikely.

New:
- Everything works with gtk+-3.0 now. gconf replaced with GSettings, etc.
- Switch to enable/disable modeline detection
- Automatic completion of comments with "*"

Regressions:
- Glade hasn't been ported to gtk+-3.0 yet and isn't available
- class-inheritance isn't build because of missing foocanvas for gtk+-3.0
- gtodo is disabled and will probably be removed soon
- terminal plugin hasn't been ported to GSettings, yet

Bugs fixed:
bgo#600407 - Missing LIBXML_CFLAGS and LIBXML_LIBS
bgo#627105 - Mark default diff filenames for translation
bgo#577595 - Prepend comment with *
bgo#625903 - Port to GSettings
bgo#625978 - configure failure in gtk+-3.0 environment
bgo#631952 - better GObject-Introspection support for new-project branch
bgo#633661 - vala support is automagic

Thanks to: Abderrahim Kitouni, Andika Triwidada, Carles Ferrando,
Eugenia Gabrielova, Evgeny Grablyk, Florian Ludwig, Gabor Kelemen,
Giannis Katsampirhs, Javier Jardón, Jens Georg, Joan Duran, Jorge González,
Josseline Mouette, knight2000, Mario Blättermann, Matej Urbančič, 
Nanci de Brito Bonfim, Pacho Ramos, Sébastien Granjoux, Takayuki KUSANO

Anjuta 2.32.0 "Goodbye Berlin" (27 Sep 2010) -- Johannes Schmid

This is our new stable release. Older releases won't see any bug-fixing, support,
etc and master is now heading for GNOME 3.0 which will rock!

Bugs fixed:
bgo#630460 PackageKit integration is not working on all distros
project-wizard: Update default ui file to use gtk+-2.16

Various translation updates, Anjuta is now fully available in over 20 and more
languages. Thanks for your effort.

Thanks to (again, mostly translators):
Andika Triwidada, Andrea Zagli, Aron Xu, Bruce Cowan, Bruno Brouard,
Chao-Hsiung Liao, Christian Kirbach, Duarte Loreto, Fran Diéguez, Gabor Kelemen,
Jonh Wendell, Jorge González, Kenneth Nielsen, Marek Černocký, Mario Blättermann,
Matej Urbančič, Michael Kotsarinis, Milo Casagrande, Piotr Drąg, Takayuki KUSANO,
Yuri Myasoedov

Anjuta 2.31.92 "What's reality like?" (13 Sep 2010) -- Johannes Schmid

Bugs fixed:
python-loader: bgo #628975 - error in python loader .plugin
sourceview: bgo #626541 - Crash when saving to unavailable location
bgo #628397: Fix anjuta-idl-compiler to keep typedef comments
bgo #628397 - gir build error

Thanks to (mostly translators):
Abderrahim Kitouni, Andika Triwidada, Aron Xu, Bruno Brouard, Christian Kirbach,
Claude Paroz, Daniel Nylander, Dragos Dena, Gabor Kelemen, Hiroyuki Sekihara,
Jorge González, Kjartan Maraas, Philip Withnall, Sébastien Granjoux,
Takayuki KUSANO

Anjuta 2.31.91 "Cold summer rain" (30 Aug 2010) -- Johannes Schmid

Updated:
- More updates to the vala support

Bugs fixed:
libanjuta: Fixed bgo #622922: migrated to GDBus
pm: bgo #626690 - wrong project clean on new-project
project-wizard: bgo #627595 - Ambiguous strings for translation
bgo #627648 - Add IDE to Categories in .desktop file
symbol-db: bgo#622340 - Tried to close project and Anjuta crashed
bgo #628099 - Remove markup from translatable strings
language-support-python: bgo#627437 - couldn't find python rope.
bgo #628286 Fix introspection build when builddir != srcdir
bgo #628285 Don't distribute the .gir files

Thanks to Abderrahim Kitouni, Andika Triwidada, Ask H. Larsen, Branko Kokanović,
Bruno Brouard, Christian Kirbach, Fran Diéguez, Gabor Kelemen, James Liggett,
Jorge González, Massimo Corà, Matej Urbančič, Philip Withnall, Robert Ancell,
Sébastien Granjoux

Anjuta 2.31.90 "GSoC is over - we have snippets now" -- Johannes Schmid

New:
- Python is now fully supported
- Initial support for python plugins (Abderrahim Kitouni)
- Snippets plugins from GSoC (Dragos Dena)

Updated:
- Language support for Vala got a major update

Bugs fixed:
project-wizard: bgo#625434 - remove cvsignore from templates
python-support: bgo#626950 Anjuta crash with python support
build-basic-auotools: bgo#626562 crash refusing to clean the configuration
symbol-db: bgo#622529 - Crash when trying to open a non-writable project
symbol-db: bgo#616560  - Symbol views do not display names containing especial chars correctly
manual: Fixed mailing list adress (bgo#625588)
language-support-vala: bgo#626306 Symbol completion doesn't work with "this."
libanjuta: Increase launcher buffer size (bgo#624700)
class-gen: add missing include (#626265)
Add PyGTK project template. Fixes bug #608304.

Abderrahim Kitouni, Andika Triwidada, Daniel Nylander, Dragos Dena
Fran Diéguez, James Liggett, Jens Georg, Jorge González, Leandro Mattioli
Massimo Corà, Matej Urbančič, Vincent Untz, Yang Hong

Anjuta 2.31.6.1 "Thank you, The Hague (5 Aug 2010) -- Johannes Schmid

Bugs fixed:
symbol-db: bgo#625964 anjuta-tags does not build
libanjuta: bgo#621919 AnjutaAsyncCommand class is inconsistent

Thanks to James Liggett and Vicent Untz

Anjuta 2.31.6 "Thank you, The Hague" (2 Aug 2010) -- Johannes Schmid

Updated:
- Debugger is now much more polished (Sebastien)
- Project wizard shows better package chooser

Bugs fixed:
devhelp: Use Devhelp-2 API (bgo#625841)
build: bgo #625604  - anjuta crashes on starting the debugger
gdb: bgo#625605  - register function is not found in a pretty printer
symbol-db: bgo #625350 - critical warning on project unload
debugger: bgo#558954  - Documentation for debug interfaces is incomplete
libanjuta: bgo#624660 introspection build order problem
debugger: bgo #515395  - Mouse cursor is a clock in debug mode
debugger: bgo #598187  - Feature request: Make 'Locals' columns configurable
project-wizard: bgo #624091  - Use AnjutaPkgConfigChooser
debugger: bgo #516112  - Debugger create too much variable objects

Thanks to Chao-Hsiung Liao, Eleanor Chen, Fran Diéguez, Frédéric Péters,
Jorge González, Mario Blättermann, Massimo Corà, Matej Urbančič, Naba Kumar,
Sébastien Granjoux, Sergei Grudinin, Tao Wang

Anjuta 2.31.5 "Too hot to code" (12 June 2010) -- Johannes Schmid

New:
- Debugger supports pretty-printing now

Updated:
- More work on the symbol database code quality and performance

Bugs fixed:
project-wizard: bgo #623754  - focus on wrong text-field
run: bgo #623944  - buttons swapped on "Program parameters"
gdb: bgo#494292  - Set next statement
gdb: bgo #617323  - Save debugger stack trace
configure: Fix the forced debugging mode even if --disable-debug is given (bgo#612453)
Fix for bgo #622706 and allow to sort shortcuts by accelerator
symbol-db: Fixed bgo #617472: doubled items in locals view
bgo #622526  - HAVE_INTROSPECTION does not appear in AM_CONDITIONAL
terminal: bgo#619253  - Problem of ianjuta_terminal_execute_command in 2.28
anjuta: F6 switches focus instead of setting over (bgo#621678)
symbol-db: Fixed crasher bgo #622139
project-wizard: bgo #621512  - Remove deprecated glib symbols
language-support-vala: bgo#620927  - Vala plugin compilation
libanjuta: bgo#620664  - Drag and drop of multiple source files

Thanks to Abderrahim Kitouni, Akom C, Andika Triwidada, Fran Diéguez,
G. Baylard, Gennaro Bellizio, Jorge González, Massimo Corà, Matej Urbančič,
Naba Kumar, Romain Perier Sébastien Granjoux

Anjuta 2.31.3 "Smile, tommorow will be worse" (7 June 2010) -- Johannes Schmid

New:
- language-support for Vala

Updated:
- Symbol database is super fast now
- Glade plugins was cleaned a lot and doesn't spit warnings anymore

Bugs fixed:
anjuta: bgo #618273  - Anjuta closes when pressing ESC in the save dialog
bgo #586428  - paths with symlinks do not get 'real' absolute paths
language-support-cpp-java: bgo#618955  - Smart brace completion is no longer smart
message-view: bgo#620209  - Message View Crashes When Hovering Mouse Cursor Over Message Toggle Icons
npw: fix #610934  - Improve translations for the wizard files
Remove deprecated GTK+ symbols. Fixes bug 572754.

Anjuta 2.31.2 "There are no ugly girls, just lazy ones" (25 May 2010) -- Johannes Schmid

New:
- class-inheritance is included using libfoocanvas

Bugs fixed:
file-wizard: #616810 Error when creating new c source and header
language-support-cpp-java: bgo#618314  - Anjuta crash on while editing
symbol-db: Fixes #bgo 617433 Tab switching is slow because of rescanned symbols
symbol-db: Partially fixes bgo #615429: Optimize global and local views sql queries
libanjuta: Completes fixing bgo #615428: new column is_container

Anjuta 2.31.1 "Better late than never" (6 May 2010) -- Johannes Schmid

New:
- Symbol-db tree model with direct database access
This brings faster a faster and more up-to-date symbol tree

Bugs fixed:
anjuta-tags: bgo #616780 - Wrong return type recognition
document-manager: fixed bgo #616739 - doesn't open .ui files, neither in xml mode
anjuta-tags: fixed bgo #616503 - updates to the ctags vala parser.
symbol-db, language-support-js: bgo #616435 - make distclean removes y.tab.c
document-manager: bgo#550027  - Open a source tab in full window size
document-manager: bgo #586689 - close all but this
symbol-db: Bug 613962 - symbol-db views need alphabetical ordering
symbol-db: Fixes bgo #614906 - Local view shows namespaces far too often
symbol-db: bgo #614408 - convert GET_PRIV () to ->priv
anjuta: Fixed bgo 500962 - Further icons
symbol-db: Fixed bgo #611834 - Symbol icons are wrong for members
macro: #613118 - Please fix escaping of UTF-chars in ui file

Anjuta 2.30.1 "BASIC's not the answer" (26 April 2010) -- Johannes Schmid

Bugs fixed:
symbol-db: Fixed bgo #611834 - Symbol icons are wrong for members
document-manager: bgo #600083 - close documents by middle-mouse click
symbol-db: bgo #614936 - compile error with cfiles under js_parser
symbol-db: bgo #614932 - void function cannot return value
symbol-db: bgo #614933 - build fail with sun cc because zero-sized struct
language-support-cpp-java: libstdc++ is not available on Solaris #614928
gtodo: Deselecting "Hide completed items" does nothing (#614751)
language-support-cpp-java: bgo#615596  - . -> completions doesn't work with prefixed &, %, etc
libanjuta: #615718  - anjuta-command crash call on set_error_message.
js: bgo#615341  - Use correct LDFLAGS for the JS plugins
dir-project: bgo #616503 consider Vala files as sources
patch: Fixed bug 616740 - duplicated shortcuts nodes

Anjuta 2.30.0 "Ostern in Berlin" (29 March 2010) -- Johannes Schmid

Bugs fixed:
git: Free the log message for merges at the right time
Makefile.am missing libxml flags in some plugins (bgo#613559)
macro: #613118 - Please fix escaping of UTF-chars in ui file
project-wizard: JS template support and require GJS 0.6
build: bgo#612959 - Anjuta crashes when clicked 'Compile'
language-support-cpp-java: Avoid duplication of local symbols in project search
language-support-cpp-java: Fixed some undo problems with indentation
sourceview: bgo#567029 - underline warnings/errors using user-selected message colors
starter: Add tooltip for recent projects.

Anjuta 2.29.92 "Give me Shortcuts" (8 March 2010) -- Johannes Schmid

Changes:
- Stabilisation fixes with autocompletion
- Performance work

Bugs fixed:
anjuta: bgo#567689 -  Shortcuts grabbed all components of anjuta
bgo #566194 -  Garbage in the message pane for messages with bold font
sourceview: Don't block F7 shortcut (bgo#611204)
language-support-cpp-java: Better expression parsing (bgo#608499)
project-wizard: Added back translatable-strings.h until bgo#610934 is fixed
preferences: fix preferences registration for recent gtk+ versions (bgo#609190)
project-wizard: bgo#606596 -  Javascript template doesn't make sense
fm: bgo#605050 -  Saving a file duplicates its entry in File Manager
build-basic-autootls: Get make targets for files from language-manager plugin (bgo#611933)
bgo #611312 -  Make manual page up-to-date

Anjuta 2.29.91 "Vala la Révolution" (22 February 2010) -- Johannes Schmid

Features:
- Support for Vala symbols in the symbol-db

Bugs fixed:
language-support-cpp-java: bgo#609227 -  autocompletion problem (and some memory leaks)
bgo #550715 - Smaller icons in plugin list.
language-support-cpp-java: reapplied previous commit. bgo#610397 bgo#610404
symbol-db: bgo#610404 added cancel logic to search command.
starter: bgo#582726 -  Loading file from command-line/nautilus puts starter page in front of file
project-import: bgo#582717 -  'Create Folder' button not applicable in 'New From Existing Sources' file
    chooser dialog

Also special thanks to all translaters!

Anjuta 2.29.90 "Jag älkar svesk..." (7. Februar 2010) -- Johannes Schmid

Features:
- None (we are in feature freeze) except new language for Codename ;)

Bugs fixed:
bgo #608701 -  Compiler warnings
bgo #608396 -  crash while refreshing a buffer with some breakpoints
+ Several fixed in symbol-db and language-support-cpp-java

This is the first beta release in the 2.30 cycle so please give it some testing!

Anjuta 2.29.6 "Naba is back" (25 January 2010) -- Johannes Schmid

Features:
- Packagekit integration (Naba Kumar)
- Project manager supports a simple "Directory" project now which allows
to handle project that either don't use automake or where the automake parser
can detect the files correctly. (Sébastien Granjoux)

Bugs fixed:
bgo#541687 - selecting properties of executable with mouse
class-gen: bgo#606801 -  Bad translation error + GTKmm Project error
bgo#572754 - Replace deprecated GTK_OBJECT_TYPE with G_OBJECT_TYPE
bgo#601750 -  Tooltip evaluation doesn't respects mouse position
bgo#605060 -  Single-step highlighting works only for the first-opened project
bgo#607415 -  Anjuta creates lots of random directories

Anjuta 2.29.5 "Birthday present" (12 January 2010) -- Johannes Schmid

Features:
- Completion for ., ->, and :: in C/C++

Bugs fixed:
symbol-db: re-fixed bgo#605952 with patch from Sébastien Granjoux.
language-support-cpp-java: #566982 -  don't autocomplete inside string or comment
sourceview: Implement ianjuta_editor_cell_get_attribute() properly (#586457)
bgo #605763 -  No file found while adding a simple c++ class
bgo #605730 -  completion "." "->" are not shown
bgo #606069 -  Anjuta won't attach to process to debug it
symbol-db: bgo#605952 -  Some small fixes for symbol-db
bgo #559876 -  I can't add python file source code to Project > Add source code
bgo #565191 -  'add project target' is mostly broken
bgo#566209 -  "generate inhertances..." progress bar doesn't disappear
symbol-db: fixed bgo#605343 - fix build warnings
symbol-db: fixed bgo#605306 -  Add missing include to fix build

Anjuta 2.29.4 "Snow makes happy aka Last X-Mas" (21. December 2009) -- Johannes Schmid

Features:
- Javascript support (Deniz Ermilov)
- Support for parsing expressions allowing member completion (Massimo' Cora)
- Improved autocopletion support using GtkSourceCompletion support in
GtkSourceview master (Johannes Schmid)

Bugs fixed:
bgo#597318 - Anjuta terminal crashes X
bgo#597815 - Crash due to malformed UI definition file
bgo#599532 - plugin.c: missing call to fclose
bgo#600924 - misc. build fixes for 2.28
bgo#601567 - Import from git fails
bgo#585529 - Replace AnjutaMessageArea with GtkInfoBar
bgo#559925 - Send special keys to the terminal
bgo#602784 - Remove unneeded libsexy code
bgo#604581 - Crash Scintilla when writing a comment
bgo#599323 - symbol-db plugin can't create the symbol database
bgo#604954 - Configure project fail if project path contains space
bgo#604621 - specify /dev/shm at config time.

Anjuta 2.29.2 "Prager Herbst" (14 November 2009) -- Johannes Schmid

Features:
- New codename ;)
- For upcoming features, see the new-project-manager and the cxxparser branches

Bugs fixed:
String review (thanks to Phillip Withnall)
symbol-db: fix #597113
search-plugin: unmerge ui and remove action group when the plugin is deactivated
git: remove action groups when the plugin is deactivated
file-manager: fix bug where we accessed the FileView even though it was freed
debug-manager:bgo #596009 -  Easier adding of watches

Anjuta 2.28.0 (28 September 2009) -- Johannes Schmid

Bugs fixed:
gdb: bgo#594665 -  Fix link of test program
sourceview: Report error when location is > 0 for markers (bgo#593954)
terminal: bgo#594648 -  Terminal does not work
sourceview: #355151 -  drag/drop into editor window should open file

And of course lots of translation updates!

Anjuta is translated fully into the following languages:
pt_BR, en_GB, bg, de, da, fr, gl, it, pt, sv, es, tr, uk, hu, th

The manual is fully translated for:
el, es and th

Anjuta 2.27.92 (7 September 2009) -- Johannes Schmid

Bugs fixed:
class-gen: bgo #593532 - Untranslated strings
language-support-cpp-java: bgo #593291 - fix small typo

Thanks to all translators!

Anjuta 2.27.91 (27 August 2009) -- Johannes Schmid

Updates:
- Some git fixes (file-status, etc.)
- Stability fixes on symbol-db

Bugs fixed:
Typo in Anjuta pot file (bgo#593236)
bgo #592941 – Fixed errors in Anjuta IDE Manual (Greek translation)
bgo #591758 -  Fix language mistakes
bgo #591887 -  Bad strings for translation
bgo #590117 – Build failure: local scandir() function collides with system's
bgo #589828 – Can't open GtkBuilder files with the glade plugin
bgo#590708 – Some untranslated strings
project-wizard: bgo#591359 – Need an easier and intuitive way to create a shared library project
bgo #590337 – Compile failure: not allowed to link against a -module
bgo #590720 – glade plugin FTBFS on mips(el) and alpha, LANGUAGE_C built-in
bgo#590337 – Compile failure: not allowed to link against a -module
language-support: bgo#575926 – 'Maintain past indentation' disables itself
bgo #578690 – Several components underlinked
bgo #585428 – Context needed to translate
bgo#590334 – Fix -I ordering
bgo #590338 – Missing plugins flags
git: Add init support (bgo 566698)
language-support-cpp-java: fixed critical #588112 - infinite loop / freeze
bgo#587248 – Encoding key in desktop file is deprecated
bgo#588485 – fixes from running anjuta with G_DEBUG="fatal_warnings"
bgo#589699 – When ~/.cache isn't exists, session data isn't saved
bgo#588506 – Wrong value of PACKAGE_DOC_DIR
bgo#589601 – "gtk-execute" and "gtk-cancel" marked for translation

Anjuta 2.27.5 (27 July 2009) -- Johannes Schmid

Updates:
- Even better git plugin (James Liggett)
- Work to get C++ autocompletion done (Massimo' Cora)

Bugs fixed:
git: Show the active branch in the status bar (bgo 589401)
symbol-db: #588387 make typeahead searching caseless
Migrate anjuta project wizards from libglade to GtkBuilder (GnomeBug:530740)
bgo #575147 – Headers of new C++/GObject classes have wrong copyright and license notices.
bgo #577741 – "single step over function" does not always work as expected
bgo #587957 – doap file missing bug-database
bgo #583731 – Some untranslated strings
git: Refresh the log view when switching branches (bgo 580276)
bgo#578438 – broken svn libraries detection in configure
git: Fix a typo in a menu tooltip (bgo 587191)
gbf-am: build fix #586926
#586926 – gdbmi_test build fails
bgo#513156 – Get rid of libgnome(ui)
git: Add descriptions to the menu items (bgo 577924)
#586621 – Crash while loading project file
go#586148 – Case had to be the other way around
bgo#586148 – Fixing setting whitespace for the editor not working
bgo#577924 – Fixing AnjutaStatusbar for displaying menu tags
#577232 – run-program plugin: projects's working directory should be set to project root on start
#586030 – Value of a new environment variable is not saved in run parameter dialog
#584180 – Duplicate copy of GBF/General.pm installed to same location
#582961 – Replace SexyIconEntry by GtkEntry icon functionality (available in GTK+ 2.16)
subversion: Show conflicted files in the commit dialog (bgo 578411)
symbol-db: #585498 – Completion stop working and strange warning

Anjuta 2.27.3 (14 June 2009) -- Johannes Schmid

Updates:
- Pixel-saving UI for tabs
- Remove markup from translatable strings

Bugs fixed:
- Lots of git bugs fixed
#584013 – libanjuta-1.0.pc.in still requires libglade-2.0
#584347 – Don't reference child revisions
#567214 - bookmarks window wastes too much space
#582464 – crash in Anjuta IDE: Hacking on Empathy, dele...

Anjuta 2.27.2 (26 May 2009) -- Johannes Schmid

Updates:
- Lots of git improvements
- Subversion improvements
- Removed libglade dependency

#581416 - Fix void function cannot return value
#581869 - anjuta fails to build outside source tree
#582710 - Please consider using g_timeout_add_seconds to reduce wakeups
#582977 – String misspelled
#581421 - build fail on symbol-db/test
#530740 – Use GtkBuilder instead of libglade
#583589 – Some untranslated strings
#580340 - Reuse the last commit message when amending commits

Anjuta 2.27.1 (4 May 2009) -- Johannes Schmid

Updates:
- Improvements in git plugin
- Improvements with auto-completion speed

Bugs fixed:
#530740 - Use GtkBuilder instead of libglade
#581074 - Creating a new wxWidgets project should not include libglade
#580994 - using DEBUG_PRINT instead of g_print
#580013 – patch plugin doesn't handle patch-files with whitespace
#568779 – project wizard should infer project name from base path
#577721 – tooltips appears in wrong position
#579118 – Segmentation fault when adding file to project
#578087 – Artwork for Symbol Database is actually not from Monodevelop
#567588 – highlight default button in Find dialog
#576959 - Search does not point to correct line number on first match when file is not opened in editor.
#577006 – crash creating new file
#574607 – Replace function selects text uncorrectly
#576057 – doesn't build with graphviz 2.22.2
#575617 – Update FSF address

Anjuta 2.26.0 (16 March 2009) -- Johannes Schmid

Bugs fixed:
#397883 – The license info is almost empty
#574376 – Save doesn't always save
#573858 – link fail on Solaris for plugin symbol-db
#562113 – Clean docbook syntax in order to validate
#571740 – Get rid of deprecated libgnomecanvas
- Fixed crash in git plugin
- Fixed little problem in build plugin
- Fixed distcheck

- Translation updates:
Anjuta is now fully translated into the following languages:
pt_BR, en_GB, da, fi, fr, gl, el, it, ca, pt, sv, es, tr, hu, vi, de, sl
and over 80% in
ru, ja, mr, ar, th, pl
The manual is translated into Spanish now.

Thanks to all translators

Anjuta 2.25.903 (2 March 2009) -- Johannes Schmid

Bugs fixed:
- Valgrind memory fixes
- Documentation fixes and updates
- Fixes in the glade plugin
- Version control integration fixes
- Auto-indentation fixes
#564282 – configure error: source directory already configured
#567513 – Running configure doesn't make anjuta be aware that the
  project doesn't need a configure stage in its menus
#565170 – Invalid read in plugin.c
#573326 – Debug misfunction
#572637 – Valgrind shows some errors in symbol-db
#567068 – autocomplete box should vanish on backspace
#564306 – don't ask which program to run if project has only one target
#559806 – Anjuta crashes when closing unsaved file
#556970 – Swap .h/.c doesn't work for C header files (*.h)
#555895 – Save configure options for build configuration
#572608 – crash clicking on 'find in files...' results.
#572451 - crash on closing project
#571760 – Find & Replace is broken (due to my previous changes)
#511589 - remove missed includes
#572289 – Make code less ambiguous
#564891 – Crash when closing editor window

Anjuta 2.25.902 (16 February 2009) -- Johannes Schmid

This is a bug-fix release for the GNOME 2.25.91 Beta!

Updates:
- Code completion
- Searching
- Project Management

Bugs fixed:
#570820 – problem with gtk+ trunk
#564942 – display project-relative path in search results pane
#571381 – Seach button disabled if no files opened. 
#571733 – file manager should sort files case-insensitively
#571233 – Uncorrect loading of subversion plugin
#571215 – doesn't indent function declarations correctly
#570492 – Some criticals in the terminal plugin
#556148 – it's impossible to remove project variables
#571262 – gbf-am: treat tail slash as a package
#566991 – list project modules in sorted order
#571114 – Crash after clicking on Edit/Preferences with open document
#571143 - Double free crasher of path string.
#563704 – Anjuta displays column/line numbers after edit windows closed
#556970 – Swap .h/.c doesn't work for C header files (*.h)
#570720 – There are warnings in some cases when I press cancel in 
	program arguments dialog
#566785 – Anjuta crashes after enabling and disabling a plugin
	often
#567606 – Auto-indentation in Anjuta gets tab indentation wrong for function paramaters
#565015 – duplicate matches in search results pane
#539580 – Uncorrect pass search result to
#570614 – outdated download addresses
#566531 – Find & Replace results in wrong result for files
	containing multi-byte UTF-8 sequences
#570877 – symbol-db doesn't scan user-added packages.
#570929, initialize widgets before add watches.
#566987 – display tooltip with prototype when calling function in project.
#570245 – gbf gio-critical g_file_query_exists
#566693 – Code completion of symbols usually not working
#570492 – Canot open editor - crash
#567100 – opening Find dialog causes GtkSpinButton warning
#570444 – can't change numbers in preferences dialog
#566987 – display tooltip with prototype when calling function in project

Thanks to anybody involved!

Anjuta 2.25.901 (3 February 2009) -- Johannes Schmid

This is a bug-fix release for things that were broken too much in 2.25.90

Bugs fixed:
#570249 – glade plugin does not build
#566702 – Please add a separator between Build Project and Build Tarrbal
#570264 – cannot do subversion->commit: no modified files are detected anymore
#570223 – Replace all in open buffers crashes
#567206 – Build doesn't start if auto-save fails

Anjuta 2.25.90 (2 February 2009) -- Johannes Schmid

New:
- Glade integration work (GSoc) merged
- Support for scratchbox2

Updates:
- Improved file status display
- Don't depend on Gnomeprint

Bugs fixed:
#561370 – there is no way to know which files are in repository and which not.
#566800 – Had a random crash in "File manager" preferences pane
#569908 – completion of symbol shouldn't scroll the editor
#511589 - fix c&p error in uri_is_parent; fix uri_get_chrooted_path
#570136 – add option to not show unversioned files
#542412 – GSoc: Glade3 integration
#567728 – Copypasting build errors, messages and warnings
#564276 – useless checkbox next to action groups in Shortcuts view
#514609 – install-data-hook problem on Gentoo
#563499 – Goto Matching Brace and other commands missing in GtkSourceView editor
#564272 – Highlight Mode menu should indicate current mode
#567030 – gtksourceview editor should underline warnings
#561094 – Creation of backup files can't be disabled using gtksourceview
#569585 – translation issues, typos
#570034 – the open ToolbarItem is named "Open recent file"
#570056 – version mismatch for dependency gtk+
#567846 – A lot of g_warning-s when starting up Anjuta
#570014 – invalid print of uninitalized value
#560857 – GNOME Goal: Remove deprecated GLib symbols
#567361 – allow me to jump to declaration in external package header
#513156 – Get rid of libgnome(ui) (partial)
#569857 – terminal copy/paste doesn't work
#566209 – "generate inhertances..." progress bar doesn't disappear (partial)
#549958 – user is not notified if a file is removed from filesystem
#567206 – Build doesn't start if auto-save fails
#357275 – allow user to jump directly to Symbols / Search
#357275 – allow user to jump directly to Symbols / Search
#491491 – Auto save's problem (automatic reload was a bad idea)
#357820 – Goto / Previous history should return to previous cursor position
#569225 – glade-plugin build error
#568493 – Anjuta freezes after moving around large portions of code
#511589 for debug-manager plugin
#491491 – Auto save's problem (reload automatically)
#549958 – user is not notified if a file is removed from filesystem
#564308 – autogenerated gtk/gnome program does not exit
#565188 – Invalid write on deinitialization
#568119 – Automatic scanning of system-packages doesn't work
#568381 – Website manual chapter 5. Debugging
#548310 – Allow plugins to load/save key accelerators
#565320 – sbox2 support for anjuta
#564659 – Port anjuta to use Gtk+ print instead of deprecated gnomeprint
#566696 – Make the terminal plugin open in the directory of the project
#568254 – build fail on symbol-db-engine-core.c with suncc

Anjuta 2.25.5 (19 January 2009) -- Johannes Schmid

New:
- File-browser shows version control status for subversion using emblems

Updates:
- Removed gnome-vfs usage
- Lots of improvements with auto-completion and symbol-db
- string fixes

Bugs fixed:
#567967 – build fail with sun cc because zero-sized struct
#568068 – critical warnings on activation of debug-manager
#531717 - remove tray icon
#511589 - port to gio
#568008 – invalid g_object_unref in file-manager
#568020 – critical warning on bracket completion
#565353 – View Log and Diff context menu commands should 
	act immediately
#568028 – goto [declaration|implementation] should prefer the current 
	file.
#567060 – symbol search should ignore case.
#565342 – wizard creates useless dist-hook in Makefile.am
65024 – "Retrieving log..." still displayed after retrieval 
	complete
#564988 – Subversion context menu should have a Revert command
Fix #567222 – Please add comments for translators
Fix #567216 – Don't leave trailing spaces
Fix #567226 – Don't leave trailing spaces
Fix #567224 – Don't leave trailing spaces
Fix #567881 – Strange strings
#567523 (Goto Implementation jumps to declaration).
#567504 – New Project dialog is not centered
#567505 – Anjuta hangs while generating inheritances
#567217 – Don't use trailing spaces.
#567228 – Don't leave trailing spaces.
#548910 Hide the Global tab in case only C-files are used in a project.
#567360 – Context Help needs an icon
566924 - Subversion diff should be done from the project's root
	directory.  
#566943 – Icons are not not found
#567156 – better autodetection of language
#567010 - Can't import project if parse scripts failed
#567068 – autocomplete box should vanish on backspace
#566987 – display tooltip with prototype when calling function in project
#566693 – Code completion of symbols usually not working
#567227 – Don't leave trailing spaces
#567223 – Don't leave trailing spaces
#567219 – String fixes
#567218 – Don't leave spaces before punctuation
#567203 – small signal error in symbol-db-system
#566985 – sort multiple symbol matches by file path
#567058 – Goto Implementation can't jump to struct or typedef types
#566690 – Goto declaration menu item should go to implementation if 
	there's no delcaration
#567067 – Anjuta hangs if I close project while scanning symbols
#567049 – Goto Definition fails for symbols ending in a digit
#566699 – Default "Available API tags" for 
	Symbol Database preference tab.
#566691 – Goto declaration nor goto definition work with macros
#565981 – Don't use g_file_test()
#511589 - Remove unnecessary hack for GNOME-VFS which
  	is not needed for GIO/GVFS
#511589 – Remove dependency on gnome-vfs from Makefiles
#511589 – Anjuta uses GNOME-VFS
#566715 – invalid free in run-program/parameters.c
#511589 – Anjuta uses GNOME-VFS 

Anjuta 2.25.4 (5 January 2009) -- Johannes Schmid

Translations updates:
====================
es, fr, sv, fi, he, ru, pt_BR, pl

New:
- Symbol-db plugin now default and working, old ctags code and symbol-browser
removed
- Starter plugin for fast access to common actions
- Remote debugging support using gdbserver
- New bookmark interface
- gnome-build merge into anjuta

Updates:
- Single toolbar without bonobo
- Devhelp plugin uses webkit now
- Lots of HIG fixes
- Improved searching
- Scintilla updated to 1.77

Special thanks to (in no particular order, before the huge list of bugs appears...)
- Sébastien Granjoux (for general bug fixing, merging gnome-build and being totally awesome)
- Massimo Cora' (for doing the great work on the symbol-db plugin)
- Naba Kumar (for giving lots of input on design decisions)
- James Liggett (for the work on the version control plugins)
- Adam Dingle (for many patches and lots of QA in bugzilla)
- Jens Georg (for the GNOME-VFS porting)
- Carl-Anton Ingmarsson (for various great patches)
- Ignacio Casal Quinteiro (for updating devhelp to webkit and the new starter plugin)
- All translators and people I possibly missed here

Bugs fixed:
#565885 – Search is broken for a single file with output to find pane 
#565714 – use F11 shortcut for Full Screen
#511589 – Anjuta uses GNOME-VFS (partly)
#305515 – Bookmarks are not remembered across sessions
#566284 – search-view should match more
#566225 – activating selected row in search view does nothing
#564302 – "Loaded Project..." is confusing
#566129 – crash when project opening and file not found
#565773 – symbol scanning is very slow
#529181 – refresh dialog pops over all windows
#563988 - Zoom factor is not updated correctly in scintilla
#565769 – symbol-db blocks anjuta when files are removed
#565890 – cleanup thread handling by using a GThreadPool
#565823 – symbol-db hardcodes /usr/include for header files
#545127 – When searching down can't see below search result
#565278 – remove Next Occurrence and Previous Occurrence commands
#565014 – sort Find in Files output by filename
#564891 – Crash when closing editor window
#565691 – no Goto Definition command in symbol-db
#565701 – Anjuta hangs if ctags not installed
#565578 – Next Document command does not cycle back to first document
#565650 – Port anjuta-session from gnome-config to GKeyfile
#565706 – trailing period in symbol-db labels
#565700 – Enter key inserts garbage into Symbols / Search box
#565492 – remove usage of std i/o
#560857 – Remove deprecated GLib symbols in project wizard
#565381 – Anjuta manual needs copy editing
#564987 – Save All, Close All should appear in Documents menu
#565002 – Redo shortcut should be Ctrl+Shift+Z
#565016 – Previous History and Next History should have shortcuts
#563585 – Find in Files is extremely slow
#565189 – anjuta fails to build due to IAnjutaBookmark not being
	removed from documentation
#564673 – I cannot activate sourceview plugin over scintilla
#563889 – GNOME Goal: Clean up GLib and GTK+ includes
#563980 - displayed some more info on search tab
#309664 - Some file types impossible to open In Anjuta
#563490 – Select Code Block command selects nothing in GtkSourceView editor
#559806 – Anjuta crashes when closing unsaved file
#563988 – don't display zoom factor when using GtkSourceView editor
#564295 - minor English fix
#563500 – inconsistent case sensitivity defaults
#564377: Avoid opening an empty buffer when file does not exist
#562808 – symbol-db crashes with latest libgda
#560857: Remove use of g_mem_chunk in tools plugin
#513156: Get rid of libgnome(ui) (partial)
#563692: added a toolbar with build and execute buttons
#563696 – garbage pixels appear in build output
#563685 crash when trying to create a GObject
#563753 default project directory is "/" until I set it explicitly
#563586 Crash if project TODO.tasks is not readable
#559951: Class Generator cannot add new class
#563530: "Do not show binary files" should add ".pyc" and ".pyo"
#552081: Dependent plugins are not added in the preference dialog
#560284: Crash when deleting a folder outside Anjuta
#562623: Project creation fails if path uses a tilde
#562754: Create corresponding header file does not work
#548873: File->Close project menu remains active after closing
	a project
#562750 – The view should be showed when you search something.
#558910: libanjuta has several warnings
#560311 – Update devhelp plugin to use webkit version
#557767 – Open file in file tree view on press Enter
#312660 – Too many click to set "terminus" font
#561369: Debug->add source path menu item doesn't work
#558788 – Improving debugging
#559800 - Missing debugger menu
#558315 – Ambiguous message
#544583 Add support for gnome applet projects
#556147 Provide valid default directory for project
#552996 - New file dialog misses BSD licence
#545668 - new file are not added correctly to the project
#545668 – file's icon not correctly updated on tabs-right-click
#556053 – closing file tabs disable 'save button'
#556053 – closing file tabs disable 'save button'
#523609 – PATCH: Using a deprecated func in about.c
#554337 Allow to change build directory to project directory
#554337 Set uri instead of current_folder_uri
#554684 – Cursor column number is not updated when typing text
#554337 could not find glade file while executing a program

Anjuta 2.24.0 (22 September 2008) -- Johannes Schmid

Translations updates:
====================
he, da, de, nb, ar, hu, mr, pt_BR, cs, da, sr, gl, th, ja, hi, nl, fi, ca, es, pt, en_GB, it, sv, fr, zh_CN, sq, gl, th, gu, tr

Updates and fixes:
- New version of symbol-db plugin beta
- Fix warnings, some documents could have no associated file
- Fix #529468: Use weak pointers to avoid acting on widgets that have
  been destroyed.
- Fix #551574 Project names and descriptions are not translatable
- Fix #551684: Wrong AC substitutions in anjuta-version.h.
- Fixed a problem with async file loading.
- Fix libanjuta API documentation
- Imported new symbol icons from MonoDevelop.
- Fix #550322 - Newlines should be placed at the end of error messages
  lines
- Fix #550470 - Crash: Executing file through popup menu
- Use the View->Editor->* menu items for view spaces, view eol and
  line wrap (new) option instead of the preferences.
- Fix #549950 - crash while saving a file


Anjuta 2.23.91 (1 September 2008) -- Naba Kumar
-------------------------------------------------

Translations updates:
=====================
mr, sq, es, gl, sr@Latin, ar, fi, gu, sv, de

New:
====
* GSoC Git plugin completed: Beta 1 completes the agreed-upon feature set in
  the proposal.
* Symbol-DB plugin maturing.

Updates and fixes:
==================
* Fixed a crasher in symbol-db due to use of uninitialised memory
* Fixed bug #548622 – sun cc can not compile build-options.c
* Do not free mutex in symbol-db because that crashes 50% of the time.
* Fixed critical on plugin deactivation of message-view plugin
* Fixed bug #546109 - Spurious libanjuta-2.0.pc file
* Install anjuta-version.h
* Keep const gchar* instead of GFile in debugger interface
* Updated debugger documentation
* Updated build documentation
* when terminal window is active (remove shortcut)
* Fixed bug #548646 Delete key press is routed to editor window
* Fixed bug #549105 Patch plugin icon not loaded
* Fixed bug #549405 – There are warnings when I create a new file
* Fixed bug #548606 now engine exits cleanly even if it's in scanning mode.
  It still remains the libgda bug anyway, bug #545979.
* Fixed bug #522032 also for symbol-db.
* Added two checkboxes: one is for parallel scan control, the other is for
  the buffer updating control.
* GSoC Git plugin: Beta 1 completes the agreed-upon feature set in
  the proposal.
* Fixed bug #548984 – Use AC_HELP_STRING macro
* Use gnome-terminal if terminal plugin is missing


Anjuta 2.5.90 (18 August 2008) -- Johannes Schmid
-------------------------------------------------

Translations updates:
=====================
ar, be@latin, de, es, fi, gl, he, mk, oc, pt, ru, th, vi

Updates and bugfixes:
=====================
* Fix #536372: Write __MAX_BAUX instead of __MAX_BAUD
* Fix a crash when GNOME Terminal is not installed
* now search for symbols can be done also in global tags. Added a new parameter
	to search function and adjusted dependencies on different plugins.
* Put tables.sql into distribution
* Fix #536889 anjuta doesn't pass "make check"
* Fixed #537398 – crash in Anjuta IDE: Closed project
* Fix #537134: critical warnings tools->plugin_deactivate
* Fix #534523: anjuta parses filenames from make wrong
  GMatchInfo need to be freed even when regex fail in build_get_summary
* Fixed a possible bug where the project-manager plugin is deactivated twice.
* Fix #536375: libsocket not included cause build fail on Solaris
* Add new scratchbox 1 plugin implementing IAnjutaEnvironment
* Enabled tooltips for recent files to identify full paths.
* Ported file-manager to gio
* Fix #530215 – Have a message area like gedit
* Using glib/gi18n.h instead of libgnome/gnome-i18n.h
* Fixed a crash on file selection. Gave enough buffer for the formated
  time print.
* Restore text focus on switching editor with ALT+X and
  navigating from local-symbols view.
* Fixed #528699 – Auto-indent ignores spaces-per-indent settings
* Fix #538798: UI selected tab document differs from real one
* Fix again #538798: UI selected tab document differs from real one
* Fix #538921 – Duplicated folders
* Fix #539726 – Completing port to GIO
* Fix #513156 – Get rid of libgnome(ui)
* Fix #538443 – Missing files in POTFILES.in
* Fix #538906 – Enable state "Max actions" when "No limit" toggled
* Fix #449620 – Implement autocompletion for gtksourceview editor
* Fix #540731 - Port editor to gio
* Fixed loading of files from the command line
* Fixed crash when double-clicking on a breakpoint.
* Change (nearly) all interfaces to use GFile* instead of uris
  Document all shell variables
* Fixed #541313 – Crash on saving file
* Fix #515954 – create_global_tags.sh: wrong anjuta-tags path
* Fixed global tags loading
* Fix bug #538217: Run in terminal option isn't remembered
* Fix bug: Debugger sources directories isn't remembered neither
* Fixed "Hide binary files"
* Fix #539551 – AutoComplete doesn't work
* Fix #539551 – AutoComplete doesn't work
* Fix #357697 – readonly file can be edited
* Fix #511762 – Multiple selection don't work well when hitting enter
* Fix #535173 – UI isn't updated on closing all documents
* Fix #500962 – Further icons
* Fix #475244 – AC_SUBST() not needed after PKG_CHECK_MODULES()
* Fix #518594 – Get rid of .anjuta and follow fd.o specifications
* Fixed #541689 – Filter buttons added
* Fixed symbol-db plugin for threaded libgda calls
* Show all completions even when the editor makes own suggestions
* #541941 – Crash on searching with regular expression
* Fixed #542838 – create_global_tags.sh is creating tags in root directory
* Added 'continue global tags scan after abort' feature.
* Allow to build project outside source directory (fix #540782)
* Fix crash on closing project due to the previous patch
* Add more options for build command: parallel make, keep going on error
  and keep message untranslated
* Fix another crash on closing project with a file outside project
* Fix #375640: Allow user to stop a build in progress
* Fix #534566: expand shell variable in configure parameters
* Fix #543889: Crash typing in configuration field
* Fix #522825: Opening files from shell disable build->compile menu
* Fix configuration name not displayed, error when compiling target
  outside project
* Fix #543978: GPL license shown in COPYING file irrespective of
  which license selected
* Fix #544190: Crash double click on item in stack trace
* Fix #530630: Scintilla hand up after hit return
* Fix #544841 – Cursor set on a wrong line when I click
* Fix several memory leaks in build plugin
* Keep all command data in one object
* Fix #544495: Memory leak
* Avoid using the same function name in interfaces implemented
  by the same object to avoid trouble with bindings
* Fix crash on 64bits machine due to the previous change (thanks Ignacio)
* Fix #543149 Project doesn't rebuild when file is changed
* Bug #529270 - GSoc: Git Plugin, alpha release 3.
* Add header file to expose libanjuta versioning information.
* Add a preference for the new visible whitespace feature of gtksourceview
* Pull GIO into the libraries that libanjuta links against. (Bug #546394)
* Fix #542432 – Svn diff doesn't work correctly
  Convert the output of svn diff from localce to utf-8
* Fix #545673 – A bug in isymbol_get_file function
  Use g_file_new_for_uri() instead of g_file_new_for_path
* Fix #546620 – Build- and make dist fixes (with some small changes)
* Fix #420279 – INS and OVR do not immediately change in status bar
* Save files in their original encoding
* Use a fallback dialog if the document was not added to the document-manager
  yet (#545557 – Crash pressing on message view)
* Fix #493818 Close project with opened target properties dialog opened
  crash Anjuta
* 545624 – Toolbar broken
* Lots of improvements to symbol-db
* Use uf8_strlen instead of strlen to avoid selection problem with
  non-ASCII search strings (see #440637 comment 15)
* New git plugin (Anjuta GSoC project)

Anjuta 2.5.0 (02 June 2008) -- Naba Kumar
-----------------------------------------

Translations updates:
=====================
gl, zh_TW, el, ru, en_GB, es, he, de, cs, ar, fr

Updates and bugfixes:
=====================
* Fix #514620: Port anjuta to GRegex
* Fix #536254: gtk_marshal_VOID__INT_INT shouldn't be used
* Update sexy icon entry
* Fix #536045: New run program plugin crash
* Keep comment for enum and structures
* Declare class typedef first
* Allow to document Anjuta shell variable using define
* Add a documentation sample in IAnjutaProjectManager interface
* Fix a detail in the previous patch
* Fix #534175: Deprecated code in Plugin Tutorial
* Use sh instead of bash when possible
* Order of include matter on OpenBSD
* ps syntax differ on *BSD
* Fix #527357: gdb plugin doesn't work under OpenBSD (do not clear CREAD).
* Fix #528226: doesn't compiling on FreeBSD6.3
* #535048 – Anjuta doesn't build when checking underlinking and overlinking
* Forget this change to add AnjutaCommand and AnjutaAsyncCommand
  in the documentation
* Change the new IAnjutaBuilder interface to use callbacks
* Add the documentation of IAnjutaBuilder
* Fixed bug #532537 - Crash on closing Anjuta Preferences when it
  open twice.
* Set line to mouse location when popup-menu is displayed (#530689)
* Document AnjutaCommand and AnjutaAsyncCommand
* Fix a crash when changing a watch while debugger is stopped
* Allow loading application/octet-stream mime type
* Fix #378903: Use IAnjutaBuilder to always debug an up to date program
* Use IAnjutaBuilder to always run an up to date program
* New IAnjutaBuilder interface allowing to check if a target is up to
  data and having a notification when the target is built
* Fix #533758: django project creation fails
* #532625 – Wrong consecution of functions calls when opening a glade file
* Fix #533346: Create project in path with spaces fails
* Fix #531940: Can't change the default project directory
* Remove useless _DEPENDENCIES
* Fix #532243: Execute program with whitespace in the project path fails
* Fix #531623: Crash on updating non-existing watch
* Fixed a bunch of compiler warnings
* Fixed global tags loading from project configuration and added a
  configuration option
* Fix translation issues (#530860 and #531411)
* #531405 – AM_CONFIG_HEADER macro is obsolete
* add limit/offset keywords to search query. Adjusted APIs.
* Fixed a minor bug with caches in the engine.
* The terminal configuration default option doesn't work (#530031)
* Combobox for terminal choose not working (#530032)
* Do not reverse list of file in save-session (#531445)
* Set line to mouse location when popup-menu is displayed (#530689)
* Add a context menu with copy/paste in terminal plugin
* Add an interface method to access the pkg-config data from gnome-build.
* Automatically load symbol from project configuration (proof-of-concept)
* Adapt to changes in recent libgda for symbols-db
* Fix run plugin again, previous patch was causing a crash when
  the program exist
* Fixed bug broken titles for new files
* Added some utility methods (derived from gedit)
* set message 'Generating inheritances...' when doing sdb_engine_second_pass_do ()
* fixed a population bug introduced with using of caches. It broke the kind
  of symbol in some cases (e.g. returning of table_id = -1). 
* Avoid lazy initialization and inlined the lookup functions to speed up the
  thing.
* Performances improvement in sdb_engine_second_pass_update_heritage () using
  a prepared query (libgda parser now rulez!). Some fixes to the lock ()/unlock ()
  logic in this part should avoid gui freezing, at least here it does not freeze.
* greyed out trees while population is in place.
* Put the new run program plugin in the default plugin list
* Fix a crash when the program doesn't exist
* Put the menu items of the message-manager in the correct Goto menu
* Allow markup in dialog description
* #523186 – Open With dialog should mention filename
* #530033 – Have window title like gedit
* Also add the dirty char (*) at the beginning of the filename to match HIG
* Moved Goto menu into View to avoid cluttering the menubar and created
  new Documents menu
* Show open documents in the "Documents" menu and add actions for next/prev
  document like in gedit. Don't center menu items of notebook popup menu.
  (Fixes bugs #453702 and #529528)
* 530566 – Fix translation and POTFILES.in
* Use current project folder as default and added a file filter for
  the patch file chooser.
* fixed search symbols to match "foo_symbol_%"
* New run program plugin, includes a new dialog box to set
  program arguments
* Update debugger plugin to use run program parameter dialog
* Remove run program menu item
* Use a gchar * null terminated array instead of a GList for
  passing environment variables
* Add a child-exited signal in the IAnjutaTerminal interface
  Remove environment variables merging, it is already done
  in vte
* fixed partial pattern match in symbols accordingly with api.
* Hide progress bar when things are done in symbols db.
* new dynamic prepared queries architecture. Now every query used in the
  engine has its own compiled query in libgda-sqlite provider. This for speed
  improvements, code cleaning and auto-escaping of string parameters. 
* Lookup of dynamic queries takes care of sym_info parameters and of 
  parameters passed to functions. The compiled GdaStatements are stored in an 
  array of GTree (of GTree(s)). Some parameters, as the filter_kinds, 
  are bounded at n = 5, to avoid a third level of indirection on the store-trees.
* Fix #529798: Mark additional strings for translation
* Add additional restriction on project name fix #529226
* Fix #529506: Uncorrect unloading tools plugin
* Don't spit out two many warnings when the message view is destroyed
* Only use first 500 characters for validation
* Use GRegex instead of pcre and convert files to utf-8 if necessary.
  Rest of #440637
* #528693 – Ctrl-F (Find) followed by Ctrl-V (Paste) pastes into main window
  (there was an else missing...)
* Fixed bug #528264 - New: Uses incorrect spelling "assistent"
* Fixed a condition where we kill our own process
* Added new sessions states to avoid loading the local symbols before
  the session is loaded (speeds up start-up).
* Fixed #528705 – There is no Redo
* Add an env parameter in the IAnjutaTerminal interface allowing
  to specify additional environment variables
* Show 5 project and 15 file items in recent-chooser
* Make searching utf-8 aware. We still need to fix encodings for
  search/replace in files as it is currently assumed they are utf-8 like
  the editors.
* Fix recent files in the toolbar
* Do not enable brace autocompletion by defualt because it annoying for
  fast typist (i.e. it's easier to type ending brace than move carat)
  and it's currently broken for scintilla.
* Removed dead files.
* Added anjuta_utils_get_user_config_dir. This func is used
  to get the user config directory.
* Switched from GnomeApp to GtkWindow.
* Move the encoding conversion infrastrcute to libanjuta and update all
  users. Test all available encodings by default in scintilla editor
  like sourceview is doing and removed encoding preferences
* Fixed crasher
* Various small improvements to the dialog
* Add separator to recent menu (#526932)
* Merged the UI changes from bug #511688 and simplified the search dialog
* Check for ctags binary (#516123)
* GdaSet *plist is now used globally for every prepared statement.
  It won't be created/unreffed at every query.
* Fixed crasher when deactivating symbol-db plugin
* Don't use transactions - uses only half of the time now!
* fixed global tab icons. Libgda could not understood the right fields, now it
  does.
* Only show () for functions/methods and macros with arguments. Does not work
  with symbol-db yet but fixes things for symbol-browser
* Fixed some issues with symbol caching
* Give the symbol-db it's own progress bar because there are too many
  interactions with the global status bar.
* Sort symbol trees
* Block insert-text signal on cut/copy/paste
* Only update buffer when a newline is inserted
* Precompute file_defined_id to speed up symbol population
* Fixed some problems with binary streams needed by symbol-db
* Use some caching to speed up symbol population
* Exit properly when symbol scanning is over
* Fix bug #525999: Remove space in file and target names generated
  by project wizard
* Fix sample anjuta plugin: ianjuta_document_manager_get_current_editor
  has been renamed ianjuta_document_manager_get_current_document
* Added a check for vital programs and packages needed to create a
  new project. A warning dialog is shown to user in project
  wizard when he proceeds after selecting a project type.
  Updated all project templates to cover vital programs and
  packages to generate and build correctly.
* Fixed bug #523068 link in about window doesn't work.
* Removed unused color management code
* Added style chooser for sourceview editor (#522555)
* Moved "New" action from document-manager to file-loader using 
  IAnjutaDocumentManager interface. Reenabled pop-down menu for "New"-ToolItem.
* Killed libegg (#349279)
* Removed dead code and libegg from Makefiles
* Removed symbol-browser toolbar which used libegg and was
  buggy (#451588)
* Port FileLoader to GtkRecent (#398984)
* Merged changes from symbol-db branch
* Use gnome_vfs_get_slow_mime_type()
* Use gnome_vfs_get_slow_mime_type() to determine the mime-type and try
  supertype instead no plugin for mime-type was found (#525706)
* Fixed padding in preferences
* #515854 – Move configuration into preferences
* #470483 – Make toolbar type (icon/text/both) independet from GNOME settings
* Improve start program dialog, allowing to specify working
  directory and environment variables
* Get rid of gnome_help_display_with_doc_id()
* Fixed type 'assistent' to 'assistant'.
* Ports anjuta-ui to gtk_cell_renderer_accel
* Ported the GnomeDruid stuff to GtkAssistant an removed the glade
  file because libglade doesn't have GtkAssistant support.
* Avoid a crash when debugger stop on an error
  Display an error message when debugger target is not found
* Fixes 520076 – [PATCH] Add support for setting custom CFLAGS from the UI
* Add API to set environment variables for the forked process
* #520761 – Weirz behavior with popup
* 520415 – [PATCH] Problems in auto indentatation code,
* 520766 – Brace autocompletion (Patch from Ignacio Casal Quinteiro <nacho@gnome.org>)
* 521691 – Crash when click "Resolve Conflicts" without opened project
* 520324 – Execute command is not overridable
* #521847 – anjuta freez when edit file
* Removed all GNOME_CALL* calls in plugins.
* Moved data/properties to plugins/editor/ and removed dead code from
  Makefile.am files.

Anjuta 2.4.2 (27 May 2008) -- Naba Kumar
-----------------------------------------

Updates:
========
Translation updates: he, pt_BR, es, ca

Bugfixes:
=========
* Fixed bug #440637: Make searching utf-8 aware
* Fixed bug #528705: There is no Redo (from trunk)
* Fixed bug #528693: Ctrl-F (Find) followed by Ctrl-V (Paste) pastes into main window
* Fixed bug #531623: Crash on updating non-existing watch
* Fixed bug #532243: Execute Program with whitespace in the project path fails
* Fixed bug #531940: Can't change the default project directory
* Fixed bug #533346: Create project in path with spaces fails
* Fixed bug #532625: Wrong consecution of functions calls when opening a glade file
* Fixed bug #533758: django project creation fails
* Fixed bug: crash when changing a watch while debugger is stopped
* Fixed bug #532537: Crash on closing Anjuta Preferences when it open twice.

Anjuta 2.4.1 (07 Apr 2008) -- Naba Kumar
-----------------------------------------

Updates:
========
Translation updates: el, zh_TW, zh_HK, ml, ru, en_GB and it

Bugfixes:
=========
* Fixed #520761 - Weirz behavior with popup
* Fixed #520415 - [PATCH] Problems in auto indentatation code
* Fixed #521691 - Crash when click "Resolve Conflicts" without opened project
* Fixed #520324 - Execute command is not overridable
* Fixed #521847 - anjuta freezes when editing file
* Fixed #525706 - Use gnome_vfs_get_slow_mime_type() to determine the
   mime-type and try supertype instead no plugin for mime-type was found
* Fixed #525999 - Remove space in file and target names generated
   by project wizard
* Fixed sample anjuta plugin
* Block insert-text signal on cut/copy/paste

Anjuta 2.4.0 (10 Mar 2008) -- Naba Kumar
-----------------------------------------

Updates:
========
Translation updates: ca, it, es, pt_BR, gl, fi, lt, fr, en_GB, hi, hu,
nl, ja, zh_TW, zh_HK, ar, ru, sv, nb, da and ml.

Bugfixes:
=========
* Hide tooltip when Up, Down, Page_Up or Page_Down is pressed
* Fixed memory leaks and implemented ianjuta_editor_get_offset() which
  was missing.
* Updated prepare-Changelog.pl to latest script version in gnome svn
* Escape tooltip text to avoid broken markup
* Removed some debug code
* Fixed #519275 - Subversion should allow offline diffs
* Fixes #518469 - Save message buffer not working good
* Added a configure requirement for scintilla editor plugin
* Fixed tags generation that broke in last release.

Anjuta 2.3.5 (25 Feb 2008) -- Naba Kumar
-----------------------------------------

Updates:
========
Translation updates: si, es, oc, ne, kn, de, en_GB, fi, be and pt_BR

Bugfixes:
=========
* Fixed #515867 - Anjuta dies on startup
* Fixed #515868 - File browser only shows icons when activated
* Fix anjuta_launcher_set_encoding() and cleaned-up. Mostly backported
  from symbol-db branch
* Fixed #515954 - create_global_tags.sh: wrong anjuta-tags path
* Move anjuta-shell to noinst_PROGRAMS as it is just a test
* Indent lines after comments correctly
* Set indentation size correctly in sourceview plugin, when tab size is
  set by language support plugin
* Indent /* */ comments correctly for multilines.
* Fixed #504905 - Ctrl-I (Auto Indent) doesn't indent properly after
  C++ public: and private:
* Fixed #516014 - Output in UTF-8 format to avoid hangs with the editor.
* Fixed #516377 - Status bar does not change its status of 'Search for
  .. continued at top'
* Fixed some memory leaks 
* Fixed #516128 - crash in Anjuta IDE: selected profiler as the...
* Fixed #516737: Import project doesn't load project with space in name
* Fixed #516743: Import project keeps an old date on project file
* Fixed #515207: Add a new project window screenshoot
* Fixed #515993: "Add package" button is "Add Package" in code
* Fixed #516727: "Build All" is "Build Project" in code
* Fixed #516728: "Clean All" is "Clean Project" in code
* Fixed #516728: "Autogenerate" is "Run Autogenerate..." in code
* Fixed #516730: Fix note title 
* Fixed #516630 - Selection custom binary in profiler is not user-friendly.
* Fixed #516641 - Valgrind: Load Log does not clear list
* Fixed implementation of get_character and return value of iiter_first()
  and iiter_last();
* Cleaned implementation of char-added signal by using "insert-text" signal
  instead of filtering "key-press-event"
* Some bugfixes and clean-ups in comment indentation code
* Load executable in gdb with space in path name 
* Fixed "char-added" signal to pass the correct iterator
* Set breakpoint in file with uncommon characters in path name
* Avoid a glib warning if no project is loaded
* Fixed #518329: Crash when adding breakpoint and other similar bugs

Anjuta 2.3.4 (11 Feb 2008) -- Naba Kumar
-----------------------------------------

Bugfixes:
=========
* Documentation fixes for IAnjutaDebugger* interfaces
* ianjuta_document_manager_find_document_with_path expect an uri not a path.
* Fix #513130, #513131 #513135: Wrong menu item names and errors in the
  documentation
* Remove a possible memory leak
* Fix #512901: Crash when adding a breakpoint
* Fixed Editor->View popup menu for those entries that are appropriate for
  sourceview	
* Fix #507831 - Wrong Profiler values for some locales
* Fixed button ui problem...
* Fix #511586: Project path with "+" not working in debugger
* Emit all state changes notification
* Avoid crash when getting relative path from debugger (same fix
  than for #510028)
* Fix #513485: wrong strings maked as translatable
* Fixed crash when closing anjuta after all document tabs have been closed
* Fixed "jumping" tooltips, fixed indentation of brances
* Fixed #512751 - libgnomeprint unnecessary without scintilla
* Use two decimal places for float values in profiler views (bug #507831)
* Another UI issue with the patch plugin and silenced a compiler
  warning
* Updated manual figures to be in clearlooks theme, removed old figures
* Updated manual
* Fixed tabsize preference
* Adapted to API changes in GtkSourceView
* Fixed wrong status message output when resolving svn conflicts.
* Pass an uri to ianjuta_document_manager_goto_file_line_mark() to fix
  clicking on search result messages
* Fixed #512535 - Open files tabs' position is correctly remembered 
  but not applied at startup
* Adjust preferences default values
* Fixed #513730 - Option not present in the GUI po file
* Fixed #509908 - [UI] Problems with the General settings tab
* Fixed #511010 - [UI] Execute program utility window
* Fixed #511981 - Error parsing make output
* Fixed #495511 - Header_h macro correction
* Fixed #513888 – Trailing '\' in anjuta-manual/Makefile.am 
  causes make install to fail
* Partial fix of #507921: translation issues in debug-manager, tools,
  project-wizard, gdb and anjuta-plugin-manager.
* Update debugger documentation
* Fix bug #514118: Rename Clear All Breakpoints to Remove
  All Breakpoints
* Fix search plugin to use an URI instead of a file path
* Fix anjuta_docman_get_uri to always return an URI
* Fix bug #514124 and bug #514138: Wrong menu item name
* Fixed translation bugs from #507921.
* Removed unused files in scintilla plugin
* Fix translation bug #514494 and bug #514440
* Fixed #514732 – 64 bit compliation error
* Fixed bug #514733 – Use of uninitialized variables
* Fix crashes when trying to stop the debugger while it is busy
* Fixes bug #515500 - Make sure that all paths are "canonical" by
  libsvn rules so anjuta doesn't die if the user gives a path that
  libsvn doesn't like. 
* Removed (almost) empty files, fixes #515383 and #515388
* Fix interrupt command, not working due to previous change
* Fix #512531 - Parallel build fails
* Fix translation bug #515459 and #515460
* Fix bug #515463: Deattaching process kill it
* Fixed stream comment
* Fix spelling errors, including bug #515204, #515172, #515117 and #513892
* Fixes bug #510183 - Tooltips claim to be broken.

Anjuta 2.3.3 (27 Jan 2008) -- Naba Kumar
-----------------------------------------

Changes:
========
New menu item to add extra source directories for debugger
Select the first window in the glade project when it is first opened. 

Bugfixes:
=========
* Fix #507304 – crash in Anjuta IDE while removing done tasks
* Do not reopen file having escaped character (+,...) in path name
* Add forgotten Swedish entry to DOC_LINGUAS.
* Adds export-dynamic option to LDFLAGS to project template for libglade
  to work for autoconnect signals.
* Install anjuta-tags binary into FHS policy compliant directory and
  update references. (Fixes bug: 509346.)
* Do not use opacity in assist window in sourceview editor.
* Fix memory leaks
* Added printing support to GtkSourceView editor
* Fixed API docs
* Many string fixes
* Refresh the symbols for new file saved.
* Fixed bug #502322 - Highlight doesn't work on new file saved
* Removed unused gconf_notifications in task manager plugin.
* Fixed bug #509864 - No initial section selected when opening the Preferences dialog
* Fixed bug #509865 - Incorrect padding in the Documents settings tabs
* Fixed bug #509867 - Create button contents is mis-aligned
* Fixed bug #509869 - "Add Directory" button is not HIG complient
* Fixed bug #509875 - The "Update globale tags" button wording is incorrect
* Fixed bug #509873 - Build Autotools Preferences has excessive padding
* Fixed bug #509872 - General Information labels are incorrectly aligned
* Fixed bug #509871 - General preferences has incorrect use of colons
* Fixes bug #508805 - Add support for both file and folder preferences.
* Fixed bug #508399 - When you enable a plugin, preferences don't show up
* Fixed bug #507627 memory tab stay active on debugger stop Remove two unused
  variables due to the previous patch
* Fixes Bug #509510 - Check input of some dialogs to avoid termination
  if user gives bad or no input
* Resupport cut/copy/paste/clear on GtkEditables when those have focus.
* Fixed symlinks (#510238) and file permission (#405321) handling
  for scintilla editor.
* Remove reference to IAnjutaCpuDebugger (useless)
* Use gulong instead of guint for addresses
* Split IAnjutaCpuDebugger interface in IAnjutaDebuggerRegister,
  IAnjutaDebuggerMemory and IAnjutaDebuggerInstruction
* Use editor native funtions to avoid round trips.
* Enable logging of gdb communication with an environment variable
* Fix bug #488519, remove critical warning (completion_cache == NULL is valid)
* Fix #498734, typing error in c++ project template
* Fix a crash when scrolling in the diassembly window
* Start the terminal shell on plugin activation
* Fix #502508, use anjuta_launcher to keep program output
* Fix parsing with quotes in the command line. 
* Fixed #465084 - wizard instead of assistant (only string changes...).
* Update IAnjutaEditor and IAnjutaIndicable interfaces to take iterators
* Fix #511757 - Close icon in tabs cut off.
* Fix #511049: Change UI of add source directories dialog
* Fixed some of gtk+ critical warnings.
* Rename filename argument to uri when an uri is expected
  anjuta_docman_get_document_for_uri will remove symlinks 
* Probably fix #510028: crash debugger when having a relative filename
  in stack trace
* use gnome_vfs_get_uri_from_local_path to get local path from uri
  This takes care of escaping some characters
* Fix #512224: Use a string in english
* Fixes Bug #427108 - Scintilla plugin configuration folding-style
  setting not working
* Fixed Bug #365490 - problems displaying Scintilla Colors & Fonts dialog
* Added scrollwindow shadow in save dialog.
* Removed unmaintained rpm spec file.

Anjuta 2.3.2 (11 Jan 2008) -- Naba Kumar
-----------------------------------------

Changes:
========
* Document manager cleanups.
* Use GtkSourceView 2.1.x for sourceview plugin.
* Debugger improvements and cleanups.
* Use hover interface to display variable inspect values.
* Added (basic) support for vim modelines (#504331)
* Added basic Vala support
* Add a menu item to repeat the quick search

Bugfixes:
=========
* Fixed bug #501469: Crash if mime_type is unknown
* Fixed a bug remove all breakpoints was not working due to latest changes
* Setting breakpoints is disabled when program is running
* Fixed bug #481366: Do not stop at the beginning of the program
* Fixed removing condition on breakpoint 
* Fixed bug #488732: Breakpoint on delete lines
* Breakpoints are now linked to their position in editor
* Fixed a crash when a stack command is cancelled
* Do not save temporary breakpoints
* Fixed bug #502533: Implement assembler step
* Present correct widget with anjuta_shell_present_widget(). This got wrong
  when the new search bar was introduced.
* Save glade files correctly in session
* Use new tooltip API if available in glade plugin.
* Sort notebook pages when session is restored (needs work)
* Gtk 2.12 Tooltip API is used if available in document manager.
* Fixed some issues with session handling and several memory leaks in docman.
* Remove address, condition and pass breakpoint column if not supported
* Fixed clear all remove_all to avoid an endless loop if a breakpoint
  cannot be removed
* Fixed bugs #497878 crash when double clicking on gtk-foobar.glade in PM.
* Fixed #503719 Opening and closing .glade files plays badly with docman.
* Fixed next/previous message
* Fixed bug #491301: Inspecting a variable opens a bad focus dialog
* Fixed bug #504818 Some signals/timeouts should be disconnected when dialogs are closed
* Fixed bug #505237 Sort list of modified files
* Shorten down the title bar if the current path is inside the opened project
* Fixed #505315 anjuta hangs when going from editing a glade file to
  editing a c source file
* Fixed #498986 Anjuta-2.3.0 fails to build
* Fixed #506266 – Attempting to build the scintilla plugin, even when
  explicitly disabled
* Fixed GtkFileChooserButton preferences to also work when only the combo
  changes without a dialog being open.
* Only install glade catalog files if glade-3 is available
  (Fixes #506269 and #500296)
* Fixed #506740 – ianjuta_editor_get_text crash if request text
  past the buffer length
* Unregister preferences for custom preferences when the widget is
  destroyed.
* Fixed #486724 and #488615
* Removed stock icon open/save from
  menus to avoid conflict with file open/save. Fixes bug #507455
* Fixed #507441: Disable all breakpoints doesn't work
* Fixed #507444: Enable Breakpoint menu item doesn't change name
* Fixed #348854 invisible cursor in certain themes
* Added disable_password_check for stream where it does not make sense 
  (e.g symbol-db) and lots of DEBUG_PRINTS to better scope launcher errors
  that sometimes occur in symbol-db plugin
* Made all of the columns resizable and reorderable.
* API in AnjutaDescription for translatable properties. Fixes bug #496833
  comment #18.
* Fix bug #505205
* Fixed a crash when creating a new file
* Fixed editor popup menu (Cut, Copy, Paste)
* Fixed a memory corruption reported in bug #507491.
* Fixed #460390 Changing categories while edinting something
* Fixed translation issues (#496833)
* Fixed #508424 Auto complete: previous char was removed when
  pre TAB to auto complete.
* Fixed #508497 and added a new chooser to select whether to use
  libglade or not.

Anjuta 2.3.1 (02 Dec 2007) -- Naba Kumar
-----------------------------------------

Changes:
========
New improved subversion plugin (bug #457477)
New improved icons (bug #480093)
Major improvements to debugger
Internationalization improvements

Bugfixes:
=========
* Bug #493062 – gcj template needs AC_PROG_CC
* Bug #493212 – Use GTK_STOCK_ABOUT i.s.o. deprecated GNOME_STOCK_ABOUT
* Bug #422329 – Creating a new directory in program options doesn't work
* Bug #493583 – crash in Anjuta IDE: trying to open a file
* Replace anjuta_children_register by g_child_watch_add
* Fixed translations (Bug #496833, Bug #488211 and Bug #497758)
* Removed unused code in document manager.
* Bug #495536 – Plugins localization improvement
* Bug #495245 – Strings bug
* Add a pulsing progress bar to all dialogs receiving status
* Whole Project checkbox enabled by default in diff and update dialogs.
* Changes the editor names for diff editors to something much more descriptive. 
* The diff dialog should have a checkbox, enabled by default, that
  allows the user to make sure that all open files are saved before diffing.
* Do not insensitize New action when there is no document. Indentation fixes.
* Removed redundant icon.
* Fixed dockitem positions for subversion and symbol-db widgets.
* Use Ctrl+Shift+s as shortcut for Save As
* Partial Fix translation Bug #496833 comment 4,7,8,9,10,11 
* Debugger: Display error message returned by debugger command Add new error codes
* Debugger: program-unload signal does not exist used debugger-stopped
* Debugger: Do not display address when not needed
* Debugger: Breakpoints directly connect to debugger signals
* Debugger: Remove gnome terminal check function
* Debugger: Use anjuta terminal plugin instead of gnome terminal
* Debugger: Partial fix of bug #481366
* Debugger: Fix a stupid crash when changing a register value
* Debugger: Rename IAnjutaBreakpointDebugger into IAnjutaDebuggerBreakpoint
* Debugger: Fix parsing of breakpoint data
* Debugger: Add a breakpoint list command
* Debugger: Implement condition, hit count, ignore and temporary attribute
* Debugger: Remove editor watch when plugin is deactivated
* Debugger: Connect debugger signal only when program is loaded
* Debugger: Rename get_feature in is_supported
* Debugger: Fix bug #500376
* Debugger: Use different signals in IAnjutaDebugManager and IAnjutaDebugger

Translation updates:
====================
nb.po, it.po, es.po, gl.po, sv.po, sl.po, ru.po, ko.po, de.po,
ja.po, oc.po, ko.po

Anjuta 2.3.0 (31 Oct 2007) -- Naba Kumar
-----------------------------------------

Changes:
========
* Support for GError in interfaces.
* Big improvements in debugger.
* On demand preferences dialog (faster startup) and moved to Edit submenu.
* Moved plugins and shortcuts settings inside General preferences page.
* Move preferences menu from Settings to Edit submenu.
* Got rid of Settings submenu.
* Updates for glade-3 recent releases.
* Sort preferences pages on title.
* Introduced document-interface and reorganized documents handling such
  that documents tab can now hold any 'document' and not just editors.
* Glade files are now opened as documents, so they behave just like editors.
* Do not display registers list if not available
* Big fixes in glade plugin.
* Fixed lots of memory leaks (thansk valgrind)
* Change the address of FSF in various files
* Cleaned up message view (#458041)
* Cleaned up message view
* Removed some deprecated widgets.
* New and better (uses gnome-vfs) file-manager plugin
* Big improvements in autocompletion, both in scintilla and sourceview editors.
* Whole lot of new icons for toolbars and plugins.
* Added preference option to set the gdl switcher style
* Function tooltips are finally supported in sourceview.
* Added nicer icons for document manager and debugger.
* New incremental "Quick Search" bar in the document manager
* Improvements in plugin framework.
* Added API for commands override in build interface

Bugfixes:
=========

* Fixed anjuta-plugin project wizard
* Fixed selection management in sourceview
* Fixed incremental search
* Fixed #427390 – Show path of item in currently focused editor window
* Fixed #458034 – Method of indicating unsaved changes breaks convention
* Fixed #343522 – Unable to execute commands that use options.
* Fixed #466031 – Update of pieces of menus for Localization
* Show an error dialog instead of crashing when plugin loading fails
* Clean up debugger queue
* Many small code, warnings and leak fixes
* Fixed #440637 – Search, don't work very well
* Fixed #478238 – set env for execute programe in the terminal
* Fixed #479020 – Use of old open file dialog instead of GtkFileChooser
* Fixed #427104 – No "highlight" of lines matching find-result
* Improved (programming) language management.
* Fixed #480851, disconnect save_session signal when plugin is unloaded
* Moved indent code to it's own plugin.
* Fixed #478987 – Unusable 'Indent setting window' on preferences
* Fixed #477976 – Keybinding in run dialog
* Fixed #482067, escape project wizard user defined strings
* Fix several crashing bugs (including bug#482985) with the debugger
  when closing project, stopping the debugger, restarting the program
* Scroll to selected executable and remember it across sessions
  (followup of #477976)
* Fixed #357544 – incremental search should work consistently (or not at all) 
  when main toolbar is hidden
* Bug 440637 – Search, don't work very well (partly for incremental search)
* Use the same marker for 'important' in sourceview editor as
  gedit (yellow background)
* Correction to various search-related issues
* Move glade properties widget into center because it is way to big for
  the sidebar
* Added preferences to file-manager.
* Fixed crash when closing a project and unloading another while
  the debugger is enabled
* Fixed #487854 – Anjuta crashes when i try to add a SVN url
* Remove maximum gdb command length, should fix bug#474811
* Fix #488061: Mutiple crash dialogs
* Fixed the language supprt loading unloading stuff.
* Added some separators to the toolbar
* Fixed #487683 – undefined operations in libegg/eggtreemodelfilter.c
* Bug 489798 – Do not rely on svn-config

.. and others

Anjuta 2.2.2 (23 Oct 2007) -- Naba Kumar
-----------------------------------------

Changes:
========
* Fixed #477976 - Keybinding in run dialog
* Fixed #427104 - No "highlight" of lines matching find-result
* Fixed #479020 - Use of old open file dialog instead of GtkFileChooser
* Fixed #478238 - set env for execute programe in the terminal
* Update EggRecent (#456465)
* Fixed #466031 - Update of pieces of menus for Localization
* Fixed #343522 - anjuta: Unable to execute commands that use options.
* Improved incremental search (still sucks) and selection management in
GtkSourceView editor
* Fix bug#487112, crash while removing a breakpoint in a new file
* Fix bug#486597, crash when gdb is not installed
* Fix bug#482067, escape project wizard user defined strings
* Fixed #477976 - Keybinding in run dialog
* Fixed #427104 - No "highlight" of lines matching find-result
* Fixed get_current_word (useful for API help)
* Fixed #487854 - Anjuta crashes when i try to add a SVN url
* Fixed #474811 - Anjuta crash while debugging into variable
* Fixed #488061 - Mutiple crash dialogs
* Show error dialog instead of crashing when plugin loading fails.
* Fixed glade-3 3.3.2 build compatibility.
* Fixed #488928 - Do not register glade plugin if it wasn't built.
 
Anjuta 2.2.1 (06 Sep 2007) -- Naba Kumar
-----------------------------------------

Changes:
========
* Fixed lots of memory leaks (thanks valgrind)
* Fixed crasher on shutdown
* Avoid an endless loop if clearing all breakpoints while the programm
  is running
* Fixed help activation (bug #451557).
* Fixed compiler warnings.
* Fixed #423467 (View->Tasks menu items are not checked on startup)
* Fixed anjuta-plugin template plugin by moving the "\" out of the [IF] block
* Fixes bug #433552: crash in Anjuta IDE: add file test.h in project on
  generic Makefile.
* Disables 'Add to project' in wizards for projects that can not add sources.
* Fixed bug #450217: Refreshing tree brings to random crashes
* Fixed bug 453931 - crash in Anjuta IDE: Trying some c++ exampled
* Fixed bug 457093 - crash in Anjuta IDE: just typed in some text

Anjuta 2.2.0 (25 June 2007) -- Naba Kumar
-----------------------------------------

Changes:
========
* Autocompletion in gtksourceview editor.
* Allow/remember target specific options in profiler plugin.
* Allow selecting independent executable target for profiler.
* Fixed class generation templates.
* Updated users manual.
* Updated faqs.
* Simple support for building and executing inside scratchbox.
* Use progressbar instead of messages for system tags creation.
* SDL project template for project wizard.
* Be able to forget previously selected plugins from query dialog.
* Fixes in loading project
* Build fixes for some platforms.
* Fixed lots of bugs, both stability and usability bugs (see below).

Translation updates:
====================
es.po, gl.po, ja.po

Bug fixed
=========
#306968 After a time of write (may be the program make a auto-save), if you try to save the program detect a more recent version in the file vs. the buffer.
#310577 Chosen plugins aren't kept after application is closed
#314277 Option for Anjuta 1.x style project files
#315635 There's no SDL wizard...
#315983 Mac OS 10.3/Darwin support
#320192 Shared library targets compiled as executables
#346207 task manager doesn't repaint- anjuta 2.0.2
#350003 crash when doing file->new
#355151 drag/drop into editor window should open file
#355166 in Find dialog, Search Expression combo list is always empty
#358560 segfault while trying use scinilla editor
#362372 Problems with Help->About and a warning when creating a new file.
#371406 Anjuta 2.0.2-8 hangs on startup
#377461 don't create new message window for each build/find
#390990 Anjuta errors out when attempting to create generic C project
#393680 huge icon on the files pane for .anjuta files
#395362 Tagmanager crashes on update - Probably because of project reload
#397881 The credits are empty
#400572 Anjuta crashes on file pane refresh
#403502 User should also be allowed to select an independent executable target
#403503 Incorrect use of AnjutaPreferences. Use AnjutaSession instead
#412186 crash in Anjuta IDE: Crash on initial app. st...
#417372 Scintilla Editor Crash
#418448 crash in Anjuta IDE: I just installed Anjunta...
#424121 anjuta Cygwin fixes
#424845 crash in Anjuta IDE: I was closing a project ...
#427101 Compiler reports various warnings about sloppy code
#427395 Typo in configuration GUI
#427399 Typo in configuration GUI
#427406 Subversion plugin won't stay unloaded in new session
#427410 Enable changiing of editor for a project
#427702 Creating a static ou dynamic library
#428032 Crashes when removing "other files" sub-tree
#437466 Implement IAnjutaEditorAssist interface
#437688 crash in Anjuta IDE: closing project
#437689 when i generate a new c++ class it ask me to reload the file cpp
#437960 crash in Anjuta IDE: trying to start anjuta
#438878 Using gtksourceview editor for the first time has black background
#439710 Use G_DEFINE_TYPE parent_class global variable
#440196 crash in Anjuta IDE: removing a target (other...
#440370 Symbol browser doesn't jump to definition
#440585 Crash on opening source file
#440801 config.h should not be included in libanjuta public header
#440866 Anjuta aborts with numerous assertion failures when adding a new message view tab
#442038 Makefile-Project Wizard always fails
#442314 Autogeneration fails when there is no autogen.sh
#442315 After calling configure, the build menus are still insensitive
#445171 Build Failure on Slackware-11.0/Garnome: missing #include <sys/types.h>
#445707 undefined symbol: glade_project_get_changed
#447304 Souceview system default font should used fixed font (one used for terminal)
#447655 C keyword must NOT be localised
#448034 Anjuta crashes on starting
#448053 Crash on deactivating
#448408 crash in Anjuta IDE: Trying to change the edi...
#448491 Empty Lines Problem

Anjuta 2.1.3 (11 May 2007) -- Naba Kumar
----------------------------------------

Changes:
========
* Fixed glade plugin build against glade3 svn trunk
* Fixes for sun cc compiler
* Fixes for cygwin
* Debugger fixes
* Icons for build messages.
* Enabled makefile based projects (not fully working)
* Resolved namespace conflicts
* Better templates for GObject class generator.
* Fixes to editor life-cycle
* Support for shared library in new project templates.
* Fixes subversion build.
* New django project template
* New minimal and flat project template

Translation updates
===================
dz, hu, ja, de, gl, ar, en_GB

Bugs fixed
==========
#346355 search in project files don't work the first time
#355145 makefile-based projects are broken
#359399 Anjuta crash, I don't know (remember) why
#378193 Find in Files for empty string hangs Anjuta
#397505 code errors reported by compiler
#397509 Close project menu-item is disabled when no project file is open
#406963 File > New > Glade File does nothing
#409412 crash in Anjuta IDE: Changing font preference...
#417875 Use G_DEFINE_TYPE in plugins:class-gen
#417918 Use G_*_DECLS macro in Header_c maco
#419008 Does not use prefence set e-mail
#419036 Only one hyphen is replaced by underscore in macros
#422143 Crash when loading multiple files or several files quickly
#423680 sun cc can not compile anonymous union
#423682 sun cc can not compile with zero subscript
#423727 sun cc can not compile with inline function can not use static function
#423730 build fail on different return value of function anjuta_launcher_get_child_pid
#423733 build fail on solaris: missing header files in anjuta-utils.c
#423737 build fail on solaris: can not find lib util
#423768 compile fail on plugins/class-gen/window.c: void function cannot return value
#423772 compile fail on plugins/class-inheritance/class-inherit.c: invalid cast expression
#424121 anjuta Cygwin fixes
#424845 crash in Anjuta IDE: I was closing a project ...
#425850 anjuta crashes on import project from existing sources
#426701 can not find subversion --with-svn-include
#427395 Typo in configuration GUI
#427399 Typo in configuration GUI
#430401 Anjuta crash when closing file when debugger active
#433070 [Patch] Run gtk-update-icon-cache in uninstall-hook

Anjuta 2.1.2 (28 March 2007) -- Naba Kumar
------------------------------------------

New: Plugin profiles. Each project and user session would remember their plugins.
New: Improvements and clean up of icons.
New: API docs improvements.
New: Translatable strings cleanups.
New: Display program counter and breakpoints in disassembly view
New: Add markers in the disassembly view
New: Display function name in disassembly view
New: Segmentated toolbars for added configurability. Store and restore toolbar states.
New: Several stability improvements in debugger and others.
New: Improved local tags navigation
New: Fixed/improved global/project tags navigation (highlighting, autocompletion, calltips work now)
New: Improved gtksourceview editor component.
New: Improved autoindentation
New: Add a window displaying all threads in debugger
New: Several improvements in debugger navigation.
New: Improved prepare changelog tool script
New: Improved docking strategy. No more docking anomalies when enabling new plugins

Translation updates
===================
gl, en_GB, dz. hu, ca

Bugs fixed
==========
#306971 The auto-ident in swich/case doesn't work in an intelligent way (the best is for version 1.2.x series)
#355155 Goto / Matching Brace does nothing
#357541 can't launch Anjuta project file from Nautilus
#360462 Avoid markup in translatable messages
#374709 Anjuta Crash activating devhelp plugin
#377483 don't display "D" beside each directory in Files view
#378927 allow switching threads in debugger
#387208 [Patch] Add custom file-manager ignore pattern support
#392904 Disassembly view navigation is uncomfortable
#394709 symbol browser preference window is does re-size correctly
#397981 Automatic indentation does not work in some cases
#398035 Project manager templates are not localized
#398985 File symbol list as a combo box is useless. It should just be a button with popdown
#402774 No button at Empty Log message
#403514 Double clicking on the function names does not do anything
#407115 debugger crash on right-click on a frame in stack trace pane
#407314 build breakage in class-gen plugin
#407473 refresh dialog appears after saving a file
#408218 cass-gen is setting gtk.entries with null 'name' and 'email' values
#409176 Create Tags produces "The anjuta-tags utility is not installed. Please install it."
#409216 crash periodically
#409410 crash in Anjuta IDE: Right click in the sourc...
#409592 crash in Anjuta IDE: I closed the application...
#411377 Build breakage in profiler plugin
#411623 GLIB_REQUIRED should be 2.12
#412186 crash in Anjuta IDE: Crash on initial app. st...
#417612 GNOME Goal #3: Remove "Application" category from .desktop files
#418174 toolbar size
#418448 crash in Anjuta IDE: I just installed Anjunta...
#421525 Locals view does not update when stack frame is changed
#421529 Disassembly view is not updated when strack frame is changed
#423111 Wall can not build with sun cc
#423270 crash in Anjuta IDE: Crash on adding a new tool item

Anjuta 2.1.1 (11 Feb 2007) -- Naba Kumar
----------------------------------------

New: gprof based program profiler plugin.
New: Several improvements in debugger plugin.
New: Several improvements in editor plugins.
New: Enabled integrated devhelp now that it works.
New: Use pixmaps for editor markers.
New: Several minor improvements.

Translation updates
===================
* en_GB, sv, ja, Swedish translation of manual.

Bugs fixed
==========
#335235 python programs are not executeable/ do not start when pr...
#335981 Migration from popt to GOption
#340618 Application wizards should use gtkmm-2.4 API
#355160 show debug toolbar without debugger plugin => crash
#357997 add a new project variable => crash
#374709 Anjuta Crash activating devhelp plugin
#394216 No indication of subversion commands running
#395875 upon startup i get this big fat warning -- crash when add...
#398067 plugin.in files are not localized
#398930 Set alignment in the tab page header widget
#398991 Anjuta manuals does not use the gnome-doc-utils format
#400833 Changes in libgladeui ABI
#404561 xml and xsl editing is not possible
#397406 Class files are not created in the right directory
#394184 [Bounty] Test and fix all project wizards templates
#359478 Bounty: Gprof performance profiler plugin
#403501 Proper handling of parsing error
#403515 When a target is selected, the profiler widget should be ...
#391728 Program crashes when accepting save directory.
#378600 indicate debugger state
#392537 Starting debugger is very confusing: UI suggestions
#395808 breakpoints don't seem to work
#404755 Multiple instances of debugger views
#406113 debugger crash on 'Run/continue'
#376404 show current line arrow only when debugger running

Anjuta 2.1.0 (14 Jan 2007) -- Naba Kumar

New: Debug manager and gdb plugins.
New: Disassembly window in debugger.
New: C++ and gobject class wizard.
New: Mime icons in editor tabs.
New: Improvements in project templates.
New: C++ and java indentation plugin.
New: Save prompt implemented for unsaved data.
New: Documentation updates, both API and users manual.
New: Improvements in glade-3 integration.
New: Many other improvements.

Translation updates:
====================
ar, en_GB, hu, en_CA, nb, es, gl, ca, fi, ru, ne, de, ja

Bugs fixed:
===========
#396571 Anjuta crashes as soon as editing starts in normal text files.
#395362 Tagmanager crashes on update - Probably because of project reload
#377477 when debugging, scintilla editor grays out all lines before current line.
#342717 Build errors redisplayed AFTER a successful build.
#167534 Multiple errors in strings
#168274 anjuta creates an empty system.tags file
#168301 the new project druid should be center on the anjuta window
#169068 Unclear new strings, with misspellings
#169137 Missing spaces from changed strings
#169138 Spelling error in modified string
#169139 Missing spaces from changed string
#170406 problem when creating a new projects
#170467 crash when changing fonts and color in the preferences dialog
#172666 cvs diff does not always obtain full diff
#173048 library selection plugin
#300228 Ctrl + S intermittent behaviour
#300229 Replace button fault
#300231 Find pane non-functional
#301054 Help window not docked - Anjuta closes when Help window is closed.
#304495 Project saved as fullscreen
#304515 can not edit project properties
#304523 Crashes while importing a project
#304641 Can't type the "-character
#304650 make -j CPUS doesn't always work for anjuta2
#304651 Restoring the project doesn't restore the cursor location of the files
#304652 Possibility to set breakpoints in libraries that will be dlopen()'ed
#304829 questions on use anjuta 2.0
#305076 anjuta 2.0.0: edge column editor preference not functionnal
#305299 Error in anjuta.desktop file
#305301 In menu tree "Settings"->"Customize shortcuts" there are two lines "Task In menu tree "Settings"->"Customize shortcuts" there are two similar lines "Task manager"
#305303 Error while installing anjuta-devel rpm package
#306085 Keybindings are not saved.
#306187 bad definition of PACKAGE_LOCALE_DIR
#306474 The ordering of the buttons in the file open dialog is reversed.
#306582 Anjuta crashes when typing "std::"
#306790 doble click in a message, doesn't find the file.
#306966 Search tool on the tool bar don't work correctly
#306970 The order of the command buttons "Close" - "Search" - "Stop" in the Search Dialog, is useless; the sugestion is: "Search" - "Stop" - "Close"
#307800 Crashes when project directory removed from command line.
#307810 Can't configure a project after creating with new project wizard
#307872 Remember Configure and autogen options for the next time
#307886 Activated plugins not remembered
#308007 Bad interpreter in global-tags/create_global_tags.sh
#308870 Glade Plugin Won't open Glade file.
#309153 code cleanup use glib/gi18n.h
#309154 gnome_color_picker is deprecated
#309348 Anjuta 2.0.1, Anjuta application crash upon build (F9)
#309688 When committing a file that is loaded, I get a file-modification warning
#311420 Crash on terminal deactivation
#311948 some strings untranslatedable Preference dialog
#312227 Crash when selecting debug command
#312566 Patch that will fix another make -j 10 problem
#312666 Return "F3" to execute project
#314069 Window gets hidden when using glade3 plugin
#315188 Project Wizard Problems
#315218 anjuta 2.0 freeze on opening my project
#315521 Failed to compile HEAD-hourly-2005-09-05-18
#316731 Can not add new encodings
#317454 Anjuta crash when array lenght is incorrect
#320191 It's a chore adding/removing files and setting up targets
#320338 Colors of tab menu labels
#320341 Critical error in debugger "locals" window.
#321090 Wrong array/struct/union var type display in locals windows
#321455 Ask for root password when installing
#322634 anjuta_ui_add_action_group_entries : Anjuta Developers Reference Manual incorrect
#322744 New anjuta plugin project configured incorrectly
#323591 Data lost, two tab of the same file
#324572 anjuta crashes on open
#328209 Crash when opening a file while an unsaved new file is open
#332084 Anjuta crashes, when Ctrl+c is pressed.
#332161 Test editor not opening
#332954 No read permission for: file:///usr/share/anjuta/profiles/default.anjuta
#333601 GPL headers are first to c-header template.
#333606 Macro contain hyphen
#334546 No more lookup widget
#334663 Allow to set a parent class to new GObject class
#335142 crash when opeing a second file
#335981 Migration from popt to GOption
#336389 Should check for libwnck
#339296 Wizard can't cope with insufficient permissions in project target directory
#341359 Search function doesnt doing their job.
#341997 The 'Tree' tab in the symbol-browser is not type-to-search able
#342352 Can't close file which in not the current editor
#342375 configure doesn't check for g++
#342401 Compile fix when NLS is enabled
#342447 Crash when using the live-search-entry
#342937 crash after accepting Reload Warning Dialog
#343023 make gives strange error
#344015 on_build_mesg_format prepends an absolute path with the current dir
#344099 valgrind plugin is not built
#346295 Crash when removing breakpoint
#346450 Crash when removing all breakpoints
#346575 data loss when disk is full
#346775 No highlight styles to edit are shown in the preferences dialog in anjuta
#347412 crash when opening file with sourceview plugin
#347414 Stack trace window
#349374 Compilation on FreeBSD 6.1
#351387 don't use Alt+key combinations for shortcut keys
#355148 title bar should show name of active project
#355149 Anjuta should warn if I try to exit with unsaved edits
#355156 plugins window should sort plugins alphabetically
#355168 color selection is broken in messages preferences
#355407 The create_global_tags script doesn't find the anjuta-tags bin
#357151 a + character in a directory name confuses anjuta
#357534 syntax coloring fails and breaks selection display
#357537 allow double click in plugin selection dialog
#357542 Anjuta Plugins window is too narrow
#357546 add keyboard shortcut for toggling breakpoint
#358009 activating stack frame in debugger should also jump to source
#358068 indicate when Find in Files is complete
#358134 Goto Address command should prompt more clearly
#358163 debug Inspect/Evaluate dialog leads to crash
#358583 close any project => crash
#359118 Anjuta crashes when trying to open "src folder" after finishing creating/loading a project
#359259 highlight modes listed in reverse alphabetical order
#359317 can't load debug manager
#359663 make line highlighting optional in GtkSourceView editor
#359730 Anjuta can't launch help files
#359750 fix find/replace shortcut keys
#359862 Bounty: Improve class wizard
#361830 AboutDialog does not close
#363884 CVS head of 21/10 doesn't compile
#363953 create_global_tags.sh contains bash-ism
#364133 There are some GTK+ warning caused by document-manager plugins
#364135 Incorrect widget removed from notebook if call to anjuta_preferences_dialog_remove_page are not in LIFO
#364137 The valgrind plugin can cause anjuta to crash
#364142 Valgrind plugin crash when unloaded
#364144 There is a warning when closing and reloading a plugin using the symbol-browser plugin
#364179 Usage of srcdir and argv fields of vg_action object is incorrect
#364754 Subversion plugin doesn't compile with apr 1.2.X
#364755 Glade plugin crashes on anjuta exit
#364801 Unable to edit glade windows in fullscreen mode
#364900 Warning during compilation of valgrind plugin
#364903 Memory leak in valgrind plugin
#369030 create_global_tags.sh has some errors
#374665 Bounty: Use class macros for type casting in all plugin classes
#376031 [PATCH] CVS command file entry dialog show only directories
#376335 menu items should be capitalized
#377027 crash after unloading Terminal plugin
#377043 Intltool-update -m complains about missing files from POTFILES.in
#377061 close project while debugging => Anjuta hangs
#377767 resize crashes window manager in gnome
#377903 improve message color defaults
#378850 double clicking breakpoint should jump to its source
#378871 Debug / Info command problems
#378879 several command names need ellipses
#383319 GLADE_PROJECT_VIEW_TREE error with glade 3.1.2
#385597 Closed one project and attempted to open another
#388727 Block-tab does not work
#388731 Odd editor behaviour after performing block-text operations
#389764 Tags search do not retrieve all matching symbols
#392290 Missed install as root option in project manager
#392699 Some patches are necessary to build anjuta on NetBSD 3.0
#393680 huge icon on the files pane for .anjuta files
#394218 Signals list view in gobject class creation tab does not scroll horiz.
#395767 when selecting a GTK+ project the sample files generated do not compile

Anjuta 2.0.2 (15 May 2006) -- Naba Kumar

New: GtkSourceView based editor
New: Project configuration
New: Valgrind plugin
New: Tab drag&drop in Editor
Updated: Manual and FAQ

Improved: global tags can now be updated after installation
Improved: Remember toolbars on restart
Improved: Tag manager now knows about classes/namespaces which
should make C++ programming much more easy (IComplete)
Improved: Devhelp plugin improved but we still have linking problems
Improved: Scintilla is now up-to-date 1.68

Known issues:
- Glade plugin crashes because of namespace conflict with libglade (#341073)
- Devhelp plugin cannot be loaded without setting the correct LD_PATH (#341170)

Bug fixes:
#171314		Anjuta crash when trying to do "stream comment"
#311420 	Crash on terminal deactivation
#317454 	Anjuta crash when array lenght is incorrect
#332084 	Anjuta crashes, when Ctrl+c is pressed.
#170467 	crash when changing fonts and color in the preferences di...
#172442 	inserting empty box comment
#172666 	cvs diff does not always obtain full diff
#300231 	Find pane non-functional
#304495 	Project saved as fullscreen
#304641 	Can't type the "-character
#305082 	anjuta 2.0.0: crash in debugger / watch / inspect memory
#305301 	In menu tree "Settings"->"Customize shortcuts" there are ...
#305587 	gtkmm project compile crash
#306790 	doble click in a message, doesn't find the file.
#306966 	Search tool on the tool bar don't work correctly
#306970 	The order of the command buttons "Close" - "Search" - "St...
#307800 	Crashes when project directory removed from command line.
#307810 	Can't configure a project after creating with new project...
#307872 	Remember Configure and autogen options for the next time
#307879 	Crashed when exiting
#308870 	Glade Plugin Won't open Glade file.
#309153 	code cleanup use glib/gi18n.h
#309348 	Anjuta 2.0.1, Anjuta application crash upon build (F9)
#309526 	Help->ReportBugs points to removed bug tracking system
#309688 	When committing a file that is loaded, I get a file-modif...
#311710 	freeze in __lll_mutex_lock_wait () after crash?
#312566 	Patch that will fix another make -j 10 problem
#312666 	Return "F3" to execute project
#314069 	Window gets hidden when using glade3 plugin
#315188 	Project Wizard Problems
#315218 	anjuta 2.0 freeze on opening my project
#315521 	Failed to compile HEAD-hourly-2005-09-05-18
#316731 	Can not add new encodings
#320338 	Colors of tab menu labels
#320341 	Critical error in debugger "locals" window.
#321090 	Wrong array/struct/union var type display in locals windows
#321455 	Ask for root password when installing
#322634 	anjuta_ui_add_action_group_entries : Anjuta Developers Re...
#322744 	New anjuta plugin project configured incorrectly
#324572 	anjuta crashes on open
#328209 	Crash when opening a file while an unsaved new file is open
#332161 	Test editor not opening
#333601 	GPL headers are first to c-header template.
#333606 	Macro contain hyphen
#334663 	Allow to set a parent class to new GObject class
#335142 	crash when opeing a second file
#336389 	Should check for libwnck
#107510 	Excessive messages marked for translation in anjuta
#304650 	make -j CPUS doesn't always work for anjuta2
#334546		No more lookup widget
#312319 	Opening files when Anjuta is already open
#339296		Wizard can't cope with insufficient permissions in project target directory

Anjuta 2.0.1 (26 Jun 2005) -- Naba Kumar

New: Group and target properties (for automake based projects)
New: Improvements in class heirarchy. Added members view.
New: Tools plugin improvements and scripts as tools.
New: Prepare-ChangeLog tool.
New: Find-Fixmes tool.
New: Project translation status tool.
New: Save and restore editor current line positions.
New: Added configure flags to enable/disable optional plugins.
New: Message saving from menu.
New: Message manager context menu.
New: Remember plugins profile for project sessions.
Mew: Progress bar implementation.
New: Better progress bar in splash.
New: General preferences page.
New: "Add to project" in file wizard and class wizard implemented.
New: glade plugin improvements.
Updated: RPM spec file
Bug fix: Fixed lots of project import bugs.
Bug fix: Group and target removal.
Bug fix: Fixed Message tab position preferece.
Bug fix: Scroll messages on next/previous.
Bug fix: Fixed crash on project Import
Bug fix: Fixed crash on terminal dockings.
Bug fix: Fixed crash on exit (after using save-as dialog once).
Bug fix: Fixed crash on exit.
Bug fix: Fixed mime installation screw-up
Bug fix: Fixed installation paths.
Bug fix: Fixed 64bit arch build problems
Bug fix: Fixed Autoformat/indent problems.
Bug fix: Fixed Keyboard shortcuts for message navigation.
Bug fix: Fixed graphviz build problems.
Bug fix: Start gdb even if the program does	not exists. Fixes bug #305074
Bug fix: Fixed default font names and sizes.
Bug fix: Fixed errors in opening zero sized files.
Bug fix: Fixed buttons order in open dialog.

Anjuta 2.0.0 (15 May 2005) -- Naba Kumar

Architecture and code base:
New: New plugin architecture and all IDE components ported to this framework.
New: Complex docking shell that allows arbitrary docking of IDE widgets.
New: Dynamic plugin activation and deactivation.
New: Extensible architecture.
New: Plugins can interact with other plugins through interface.
New: Plugins can install dynamic UIs (menus/toolbars), including installing
	 context menus in other plugins.
New: Shell and Plugin API documentation.

Integration:
New: Integrated help system with Devhelp.
New: Integrated glade UI designer (incomplete).

Editor plugin:
New: Scope memeber autocompletion (e.g ., -> and :: autocompletion).
New: Editor split views.
New: Automatic indentation with tabbing.
New: More syntax highlighting lexers
New: Split multiple views of document
New: Remote editing (full gnome-vfs support)
New: Real-time file modification monitor.

Project management and build plugin:
New: Multiple parallel builds and independent debugging and execution.
New: Synchronous project management (simultaneous manual and automatic management)
New: Mime based filemanager and desktop integration.

Other plugins:
New: Task Manager.
New: Macro plugin allows inserting predefined and user defined texts (macros).
New: Easily extensible template based project wizards (based on autogen).
New: Symbol search plugin.
New: C++ and GObject based class wizard.
New: Class inheritance diagram plugin.
New: Subversion plugin (incomplete)
New: Session management framework.
Updated: Debuger uses GDB machine-interface.
Updated: CVS plugin
Updated: Pretty much everyting.

Anjuta 1.2.2 (13 Apr 2004) -- Naba Kumar

New: Anjuta advanced tutorial
New: Goes to first error automatically (Default is off. need to enable in anjuta.properties).
Bug fix: Use build.silent option from preferences (bug #895726)
Bug fix: Use font style defined for message indicators (bug #885032)
Bug fix: Set bold color as foreground color in terminal (bug #864924)
Bug fix: Removed 'cmp' dependency and used internal function to compare files.
Bug fix: Fixed return value when dest file could not be created.
Bug fix: Fixed a typo in Hello World indentation style.
Bug fix: Fixed misuse of translated strings when looking for style (bug #876037)
Bug fix: Save-all action now asks for filenames for new files (bug #898111)
Bug fix: Fixed a compiler warnings.
Bug fix: Disabled printing of long debug lines.
Bug fix: Close buttons on all dialogs (HIG) and ESC closes them (bug #671596).
Bug fix: Fixed a program execution crash bug.
Bug fix: Fixed Crash on Find & Replace (#887833)
Bug fix: Use defined file name when saving new files (fixes bug #898105).
Bug fix: Don't change filename when clicking on a directory.
Bug fix: Implemented keypress ctrl-c and ctrl-d for terminal (bug #878357).
Bug fix: Do not reload new files (bug #900897).
Bug fix: Disconnects menuitem signal properly (bug #901723).
Bug fix: Fixed bugs #890609 and #890609, #900903.
Bug fix: Fixed a typo in tutorial (bug #866143).
Bug fix: Reduced size of Search and Replace dialog (bug #902636).
Bug fix: Fixed a runtime warning (bug #900087).
Bug fix: Changed build shortcut to F11 (bug #877683).
Bug fix: Do not defualt to -k make option (bug #875486).
Bug fix: CFLAGS passed correctly (bug #816130, #801056, #782798, #773459)
Bug fix: Improved Search and Replace. Fixed crash bug.
Bug fix: Fixed bug #910097 (Insert comment).
Bug fix: Find-Usage rework (bug #890609).
Bug fix: Generated projects read m4 directory. Project generation works. (bug #917781).
Bug fix: Fixed Find-Usage crash when no project open
Bug fix: Fixed bug #893400 ("Remove file" in project tree).
Bug fix: Aligned buttons in the New file dialog and HIG compliance.
Bug fix: Fixed to get correct child exit status	using mask (bug #905738).
Bug fix: Goto the first error if it exists (bug #874380).
Bug fix: Save-all for 1 file opened (bug #912618).
Bug fix: Fixed conditional breakpoints.
Bug fix: Fixed debugger calltips displayed for wrong file.
Bug fix: Fixed delete breakpoints.
Bug fix: Fixed Breakpoint setting bugs (bug #895536).
Bug fix: Fixed a crash bug with debugger attach process dialog
Bug fix: Fixed freeze-ups during build terminations (bug #905738).
Bug fix: Fixed a memory corruption (bug #921893).
Bug fix: Open file starts in right directory (bug #908941).
Bug fix: Fixed another crash bug in Find-Usage.
Bug fix: Correctly prompts and reponds passwords (bug #894533).
Bug fix: Fixed 'remove' and 'clear' of Defines list in compiler options (bug #883837).
Bug fix: Installs .glade file of libgllade projects (bug #861038).
Bug fix: Glade based projects can now find installed pixmaps (bug #919903).
Bug fix: Fixed ADA syntax highlighting (bug #923474).
Bug fix: Fixed HANGUP bug for long lines (bugs #700968 and #911376)
Bug fix: Fixed core file loading in debugger.
Bug fix: Partially fixed to show long calltips properly (bug #917982).
Bug fix: Fixed a crash bug in search replace. (bug #921893).
Bug fix: Fixed a crash when launcher child could not be executed (bug #926606).
Bug fix: Fixed a crash bug when opening and closing a large project repeatedly.
Bug fix: Sets filename when saving new files.
Bug fix: Most font and print related bugs fixed (bug #885023, #925956, #890473).

Anjuta 1.2.1 (29 Jan 2004) -- Naba Kumar, Johannes Schmid

New: "New File" with some options for newly created files
Bug fix: #849914, #840159, #864922, #849928, #846386, #845782
Bug fix: #860906, #859329, #858993, #857605, #878404
Bug fix: 169058@bugs.debian.org
Bug fix: compile file works with shell expression like `command` now
Bug fix: Buildiing on SMP systems
Bug fix: debugger improvements & cleanups
Bug fix: Sample file confirms to C++-Standard now
Bug fix: Use gtk stock icon for editor tabs
Bug fix: Should builf sucessfully on Slackware 9.1 now (libiconv)

Thanks to Pavol Bosik, Andreas Volz, grzegol@pld-linux.org, Dan Elphick,
Franco Catrin L and Stefano Vallarino for their patches.

From this release on anjuta has two new development responsibilities
alongside with Naba Kumar <naba@gnome.org>:
Jean-Noel Guiheneuf <Jnoel@cvs.gnome.org>
Johannes Schmid <jhs@cvs.gnome.org>

If you want to support anjuta development please contact the
list <anjuta-devel@list.sourceforge.net>, more manpower is much-needed.
You can also make a donation through the SF.net donation system now.

Anjuta 1.2.0 (8 Dec 2003) -- Naba Kumar

Updated: Prompts users for unsaved files during project closing.
Updated: Added checkbox in wizard to enable/disable glade source generation.
Updated: Scintilla to version 1.57
Bug fix: Crash on preferences with other locales.
Bug fix: Freeze ups during build/debugging with other locales.
Bug fix: Crash with readonly project files (during saves).
Bug fix: Breakpoints bug.
Bug fix: Syntax hiliting bug.
Bug fix: Avoids error conditions for glade/glademm not found
Bug fix: Crash on anjuta exit
Bug fix: Crash on project close with unsaved files.
Bug fix: Compilation errors with old gcc.
Bug fix: Fixed debugger malfunctioning with non-english locales.
Bug fix: Crash bug during import.
Bug fix: Dnd file drop.
Bug fix: Setting breakpoints for c++ files works.
Bug fix: Crash bug to multiple open of same file fixed.
Bug fix: Enables debug and optimization flags for new projects.
Bug fix: Fixed pascal highlighting
Bug fix: Fixed build failure with no 'intl' directory.
Bug fix: Added filters to find in files.
Bug fix: Fixed tutorial
Bug fix: Added horizontal scrollbar to description text in wizard.
Bug fix: Installs properly even when system.tags file could not be generated.
Bug fix: Compiler error with old gcc.

Anjuta 1.1.98 rc2 for 1.2.0   (07 Nov 2003) -- Naba Kumar

New: Double click on margin toggles bookmark.
New: Double click on margin (debugger mode) adds/removes breakpoints.
New: Single click on margin (debugger mode) enables/disables breakpoints
New: Find previous added.
New: Emacs style file modeline in files.
Updated: Removed 'page setup' item from the file menu.
Updated: Scintilla (cvs 2003-09-29 -- ver 1.55+)
Updated: No libzvt dependency (means faster operation).
Updated: Performance improvements in Editor.
Updated: Documentations revived in docbook xml format.
Bug fix: Symbol browser now loads properly for new projects.
Bug fix: Fixed many compiler warnings.
Bug fix: Fixed crash bug in Application wizard.
Bug fix: Fixed crash bug in Project Import.
Bug fix: Printing in proper UTF8
Bug fix: Fixed crash bug during project creation.
Bug fix: Fixed clean-before-build bug.
Bug fix: Fixed find in files bugs.
Bug fix: Fixed gettext bug with projects.
Bug fix: Fixed Autoformat
Bug fix: Fixed crash bug with 'Add watch expression'
Bug fix: Fixed debugger freeze ups due to uninitialized strings in target programs.

Anjuta 1.1.97 rc1 for 1.2.0   (26 June 2003) -- Naba Kumar

New: Support for all text file encodings (can be customized in preferences).
New: Line and word selection menu entries (setting shortcuts possible).
New: Added *.css files highlighting.
Updated: Project window and message window no longer always float above the main window.
Updated: Reorganized messages tabs in more sensible order.
Updated: Better 'Customize menu' message.
Updated: Prompts for 'clean' for modified compiler options.
Updated: Deprecated GNOME 1.x project wizards. It can still open older projects.
Updated: Speedier startup (but needs more optimization todo).
Updated: New splash.
Updated: Some re-organization and cleanups.
Updated: Better debugger operations.
Updated: Better HIG complient dialogs.
Updated: Many many translation updates.
Bug fix: Separated -dP and -A flags of CVS update into different options.
Bug fix: No more file corruption for non-utf-8 encodings.
Bug fix: Removed references to older automake/autoconf in generated projects.
Bug fix: Fixed automake errors with old automake in generated projects.
Bug fix: Tcl/tk properties fix (all keywords will be recognized).
Bug fix: Red color editor tab for modified files now consistent in inactive state also.
Bug fix: Backward search works correctly.
Bug fix: Fixed shell script to properly detect installed *-config files.
Bug fix: Corrected many project generation codes.
Bug fix: Fixed compiler errors associated with older gcc.
Bug fix: Stack trace output can be activated with double-click.
Bug fix: Properly closes automatic debugger-tip (was very annoying before).
Bug fix: Properly jumps to correct file/line from build messages.
Bug fix: CVS dialogs bug fixes.
Bug fix: Fixed gnome-print, zvt and pcre dependencies in configure and rpm spec file.
Bug fix: Fixed glade/glade-2 confusion in generated projects.
Bug fix: Multiple file selection works now.
Bug fix: Fixed failure in poping up search combo puldown (in main menu).
Bug fix: And many more critical/non-critical bug fixes.
Bug fix: Fixed non-working shortcuts (changed to working ones).

Anjuta 1.1.1-beta   (05 May 2003)     -- Naba Kumar

New: Ported to GNOME2:
New: New Preferences management.
New: Tools management.
New: Watch and Backtrace moved to messages pane.
New: GNOMEVFS based file browser.
New: Pango fonts in editor (Anti-Aliased fonts).
New: Project configuration for GUI editor and version.
New: Advance search and replace (ported from 1.0.x branch).
Updated: Scintilla 1.51+ (cvs)
Updated: Session management. It now saves tree states.
Bug fix: Many

Anjuta 1.0.1:		(xth June 2002)			-- Naba Kumar

New: Auto-complete takes graphics now.
NEW: Auto-complete automatic.
New: Per project editor properties
New: Sub windows now float above main window.
New: Project version and excluded modules configuration.
NEW: Errors and warnings indications in editor.
New: Tools support and tools editor.
New: Incremental search (like emacs I-Search)
Bug fix: Printing now takes editor default fonts
Bug fix: Rpm package fix
Bug fix: ChangeLog insert uses spaces (instead of tabs)
Bug fix: Fixed compiler warnings.
Bug fix: Fixed debug terminal bug
Bug fix: Disabled gladen to remove the libssl dep.
Bug fix: brace indentation works properly.
Bug fix: Wrap-around search
Updated: Upgraded scintilla to 1.49+
Updated: Upgraded editor properties and added new properties.
Updated: Organized plugins

Anjuta 1.0-beta1:	(1st August 2002)			-- Andy Piper

   => Release of Anjuta-1.0-beta1 (beta)

This precedes the final release of Anjuta for the 
GNOME 1.x platform...

New: CVS support for Projects and individual files,
     file revisions are displayed in Files pane
New: Gnome Print support (including syntax colouring)
New: Patch plugin to apply diffs
New: Application Wizard support for wxWindows, Xlib, 
     GNOME2, Gtk2 and libglade2 Projects, plus option for 
	 dynamic or static libraries as targets in generic Projects
New: user identity preferences enabling new editor functions
New: better GNOME integration, now uses configured GNOME URL 
     handlers
New: MIME handling
New: Anjuta kickstart tutorial
New: automatic expression tips during debugging (hover-and-show)
New: compilation warning/error navigation from terminal
New: better find functionality
New: enhanced file selection widget
New: enhanced Evolution-style about dialog
New: Automatic Variable display when mouse hovered on the
     variable name (in dubugger mode).
New: Raw memory veiw for debugger (somewhat resembling ghex).

Updated: synced to Scintilla 1.46
Updated: many usability improvements to the GUI and menus

--------------------------------------------------------------------

Anjuta 0.1.9:   (14th February 2002)		-- Andy Piper

   => Release of Anjuta-0.1.9 (stable)
   
New: messages manager rewritten to use notebook tabs
New: symbol and tag browser fully based on TagManager
New: embedded terminal window (using zvt)
New: Project Import Wizard makes it easier to migrate
     existing projects to Anjuta (experimental)
New: libglade project type added to the Application
     Wizard
New: simple class creator plugin now included
New: files autosaved before a build
New: more translations - 21 languages now fully or 
     partially supported

Updated: new look for the Application Wizard
Updated: UI enhancements
Updated: Solaris support improved
Updated: many, many bug fixes.....

--------------------------------------------------------------------

Anjuta 0.1.8:   (30th November 2001)		-- Andy Piper

   => Release of Anjuta-0.1.8 (stable)
   
New: integration of new TagManager library - much improved
     autocompletion and calltips functionality
New: multiple file drag-and-drop
New: ability to save build message output
New: DOS file (CR/LF) handling
New: basic plugin hooks added
New: many new translations - 17 languages now fully or 
     partially supported

Updated: notebook tabs notify when file has been changed, can be
         scrolled for browsing
Updated: improvements to interactive debugger and communication
         with gdb
Updated: improved find functionality, better dialogs
Updated: synced up to version 1.41 of Scintilla, new lexers added
Updated: new icons

... plus the usual bug fixes and minor feature additions.

--------------------------------------------------------------------

Anjuta 0.1.7:   (21st August 2001)              -- Stephane Demurget

   => Release of Anjuta-0.1.7 (stable) - bug fixes release

Fixed: Two nasty bugs preventing to use the wizards (macros dir copy and
       src/source.c).
Fixed: Interface clean up.
Updated: HACKING, doc, and others
Updated: french, spanish, turk and japan translations fully up-to-date.

--------------------------------------------------------------------

Anjuta 0.1.6:	(31st July 2001)		-- Nabakumar. 

   => Release of Anjuta-0.1.6 (stable).

New: Class browser and file browser added in the project manager.
New: GDP standardized docbook documentations.
New: Anjuta faqs documentation.
New: New gnomish icon set and splashscreen.
New: Context sensitive help and gnome api browser
     (need Devhelp and the dev books to be installed).

Added: Preferences for setting caret and selection colors.
Fix for gdb version 5.
Closes all files when project is closed.
And many big fixes and minor feature additions.
Translations updated.

Note : the major part of the new project manager has been written but
it needs time to be integrated and tested. That's why it's not present in
this release. 

--------------------------------------------------------------------

Anjuta 0.1.4:	(25nd Mar 2001)		-- Nabakumar. 

   => Release of Anjuta-0.1.4 (stable).

Calltips provided for Gnome function prototypes (and standard libraries functions).   
Fixed project dir creation bug.
Fixed double accelerators bug.
Fixed source generation bug.
Fixed pixmap creation with NULL window.
i18n bug fix.
Debugger now takes program args.
Japanese translation.
Other minor  bug fixes.

--------------------------------------------------------------------

Anjuta 0.1.3:	(4th Mar 2001)		-- Nabakumar. 

   => Release of Third  version (Alpha)  with lots of bugs.
   
New Features in Anjuta 0.1.3:
-----------------------------

   	=> Anjuta now integrates Scintilla editing component:
	----------------------------------------------------
		* Automatic syntax hilighting (using lexers).
		* Code folding/hiding .
		* Linenumbers/markers display.
		* Text zooming.
		* Text autocompletion
		* Automatic indentation and indentation guides
		* ... and much more.

	=> Dynamic Project Management:
	-----------------------------
		* Anjuta no longer uses the template based project management.
		* Provides project configuration.
		* Added two more modules in project management:
			(Help module and Translation module).
		* Added BONOBO support and BONOBO application wizard.
		
	=> Java style Properties management:
	-----------------------------------
		Now uses Java style properties management. Which makes
		it highly configurable, both from distributor's and user's side.
	
	=> Supports for Other languages added:
	-------------------------------------
		* Java, Perl, Python, LaTeX, 
		... and others can be user configurable.
		
	=> On-Board command editor:
	--------------------------
		Facilitates customization of commands used
		for compiling, building and execution.
	
	=> Provides Hilite style editor:
	-------------------------------
		Used for customizing Syntax hiliting style.
	
	=> More intelligent messaging system:
	-----------------------------------
		* Now error messages (or messages in general)
		can be browsed using go to Prev/Next message,
		goto start/end of block and goto matching braces.
	
	=> Bookmarks management:
	-----------------------
		Anjuta has now supported Bookmarks
		management.
	
	=> Debugger:
	-----------
		* Now breakpoints can be toggled Onboard.
		* Added Run to cursor.
		* Fixed some earlier bugs.
	
	=> Added Two more toolbars:
	--------------------------
		* Browser toolbar for browsing messages,
		bookmarks and code blocks.
		* Format toolbar for easy formatting
		of code statements.
		
	=> Application GUI:
	------------------
		* Smarter and more informative status bar.
		* Improved memory to remember Application
		GUI configuration between sessions.

Thing that I forgot to change:
------------------------------
	=> Anjuta Online manual. It's still the old one.
	so, new users may find it a bit annoying to learn
	the controls, especially those who are young
	in programming.

--------------------------------------------------------------------
Anjuta 0.1.2-beta_2:	(24th Feb 2001)		-- Nabakumar. 

   => Release of 0.1.2 beta2  version  with lesser bugs.

--------------------------------------------------------------------
Anjuta 0.1.2:	(03rd Nov 2000)		-- Nabakumar. 

   => Release of second version (Beta) with lesser bugs.

   => Minor fixes in Doc files.
   => Fixed to ignore non-existent dir for blank prj.
   => More checking in project creation, especially to confirm
	that the prj file already does not exist.
   => Now Menu item "Format/Detach current document" is inactive
        when there is no document opened.
   => Improved Library settings GUI.
   => Can now enable/disable added libraries.
   => Stock libs provided for ease of entry.

--------------------------------------------------------------------
Anjuta 0.1.1: (01rd Nov 2000)	-- Nabakumar. 

  => Release of first version (Beta) with lots of bugs.
	
--------------------------------------------------------------------
